<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//Bool -> Check !isset
if(!isset($ClubNavigator_IsRecursion)){
	$ClubNavigator_IsRecursion = false;
}
//Rekursion wird untersttzt
if(!$ClubNavigator_IsRecursion){
	//String/Int != 0 -> Check empty
	if(empty($ClubNavigator_ID)){
		$ClubNavigator_ID = null;
	}
	//String -> Check empty
	if(empty($ClubNavigator_DetailsUrl) && $ClubNavigator_Mode != "dropdownfield"){	
		throw new Exception("No details url given");
	}
	//String -> Check empty
	if(empty($ClubNavigator_Mode)){
		$ClubNavigator_Mode = "list";
	}
	else if($ClubNavigator_Mode != "list" && $ClubNavigator_Mode != "dropdown" && $ClubNavigator_Mode != "dropdownfield"){
		throw new Exception("Mode has only 3 valid values: 'list' (default), 'dropdown' and 'dropdownfield', but '" . $ClubNavigator_Mode . "' was set");
	}
	//Bool -> Check !isset
	if(!isset($ClubNavigator_Add_EmptyValue)){
		$ClubNavigator_Add_EmptyValue = false;
	}
	
	$ClubNavigator_Entries = Api::GetClubsForOrganization();
	if(!empty($ClubNavigator_Entries) && $ClubNavigator_Add_EmptyValue){
		array_unshift($ClubNavigator_Entries, Localization::CLUBNAVIGATOR_EMPTYVALUE);
	}
}
$ClubNavigator_IsRecursion = false;
?>
<?php //Bei "dropdownfield" nur Feld selbst erzeugen ?>
<?php if($ClubNavigator_Mode === "dropdownfield"): ?>
<?php if(!empty($ClubNavigator_Entries)): ?>
<div data-entry-for="bsm_club">
	<label for="bsm_club"><?php echo Localization::CLUBNAVIGATOR_LABEL; ?></label>
	<select id="bsm_club" name="bsm_club">
		<?php foreach($ClubNavigator_Entries as $club): ?>
		<?php
			$ClubNavigator_IsEmptyValue = !($club instanceof Club);
			$ClubNavigator_Current_Acronym = $ClubNavigator_IsEmptyValue ? "" : $club->GetAcronym();
			$ClubNavigator_Current_ID = $ClubNavigator_IsEmptyValue ? "" : $club->GetID();
			$ClubNavigator_Current_DisplayName = $ClubNavigator_IsEmptyValue ? $club : $club->GetShortName();
		?>
		<option value="<?php echo $ClubNavigator_Current_Acronym; ?>"<?php if($ClubNavigator_ID == $ClubNavigator_Current_ID || $ClubNavigator_ID == $ClubNavigator_Current_Acronym): ?> selected="selected"<?php endif;?>><?php echo $ClubNavigator_Current_DisplayName; ?></option>
		<?php endforeach; ?>
	</select>
</div>
<?php endif; ?>
<?php else: ?>
<?php //Standalone ?>
<div data-bsm="data-bsm" data-type="navigator" data-object-type="club">
	<?php if(!empty($ClubNavigator_Entries)): ?>	
	<?php if($ClubNavigator_Mode === "list"): ?>
	<ul>
		<?php foreach($ClubNavigator_Entries as $club): ?>
		<li>			
			<?php
				$ClubNavigator_IsEmptyValue = !($club instanceof Club);
				$ClubNavigator_Current_Acronym = $ClubNavigator_IsEmptyValue ? "" : $club->GetAcronym();
				$ClubNavigator_Current_ID = $ClubNavigator_IsEmptyValue ? "" : $club->GetID();
				$ClubNavigator_Current_DisplayName = $ClubNavigator_IsEmptyValue ? $club : $club->GetShortName();
			
				$url = $ClubNavigator_DetailsUrl;
				$query = parse_url($url, PHP_URL_QUERY);
				
				if($query){
					
					$url .= "&amp;bsm_club=";
				}else{
					
					$url .= "?bsm_club=";
				}
				
				$url .= $ClubNavigator_Current_Acronym;
			?>
			<a href="<?php echo $url; ?>"<?php if($ClubNavigator_ID == $ClubNavigator_Current_ID || $ClubNavigator_ID == $ClubNavigator_Current_Acronym): ?> data-highlight="<?php echo $ClubNavigator_ID; ?>"<?php endif;?>><?php echo $ClubNavigator_Current_DisplayName; ?></a>
		</li>
		<?php endforeach; ?>
	</ul>
	<?php elseif ($ClubNavigator_Mode === "dropdown"): ?>
	<?php
		$urlParts = parse_url($ClubNavigator_DetailsUrl);
		
		// check if absolute URL
		if($urlParts['scheme']) {
			$url = $urlParts['scheme'] . '://' . $urlParts['host'] . $urlParts['path'];
		} else {
			$url = $urlParts['path'];
		}
		
		$query = $urlParts['query'];
		
		$hiddenParameters = array();
		if($query){
			parse_str(html_entity_decode($query), $hiddenParameters);
		}
	?>
	<form action="<?php echo $url; ?>" method="GET">
		<fieldset>
				<legend><?php echo Localization::CLUBNAVIGATOR_LEGEND; ?></legend>				
				<?php
					//Rekursion
					$ClubNavigator_Mode = "dropdownfield";
					$ClubNavigator_IsRecursion = true;
					//Include
					include("ClubNavigator.php");
					//Zurcksetzen
					$ClubNavigator_Mode = "dropdown";
				?>
				<div data-entry-for="hidden_and_submit">		
					<?php foreach ($hiddenParameters as $key => $value): ?>
					<input type="hidden" name="<?php echo $key; ?>" value="<?php echo $value; ?>" />
					<?php endforeach; ?>
					<button type="submit"><?php echo Localization::CLUBNAVIGATOR_BUTTON; ?></button>
				</div>
		</fieldset>
	</form>
	<?php endif; ?>	
	<?php endif; ?>
</div>
<?php endif; ?>