<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String -> Check empty
if(empty($ClubTable_DetailsUrl)){
	$ClubTable_DetailsUrl = null;
}
//Int != 0 -> Check empty
if(empty($ClubTable_District)){
	$ClubTable_District = null;
}
else if(!is_numeric($ClubTable_District)){
	throw new Exception("District must be a numeric value");
}
//Bool -> Check !isset
if(!isset($ClubTable_Show_Search)){
	$ClubTable_Show_Search = false;
}
//Bool -> Check !isset
if(!isset($ClubTable_Show_Caption)){
	$ClubTable_Show_Caption = false;
}
//Bool -> Check !isset
if(!isset($ClubTable_Use_EMailIcon)){
	$ClubTable_Use_EMailIcon = false;
}
//String -> Check empty
if(empty($ClubTable_ContactMode)){
	$ClubTable_ContactMode = "both";
}
else if($ClubTable_ContactMode != "both" && $ClubTable_ContactMode != "org" && $ClubTable_ContactMode != "fallback"){
	throw new Exception("ContactMode has only 3 valid values: 'both' (default), 'org' and 'fallback', but '" . $ClubTable_ContactMode . "' was set");
}
//String -> Check empty
if(empty($ClubTable_LogoMode)){
	$ClubTable_LogoMode = "none";
}
else if($ClubTable_LogoMode != "none" && $ClubTable_LogoMode != "left" && $ClubTable_LogoMode != "right" && $ClubTable_LogoMode != "only"){
	throw new Exception("LogoMode has only 4 valid values: 'none' (default), 'left', 'right' and 'only', but '" . $ClubTable_LogoMode . "' was set");
}
//String -> Check empty
if(empty($ClubTable_Organizations)){
	$ClubTable_Organizations = null;
}
//String -> Check empty
if(empty($ClubTable_Data)){
	$ClubTable_Data = null;
}

//Initalisieren der Show-Data Variablen
$ClubTable_Data_Array = Helper::ConvertParameterListToArray($ClubTable_Data);

$ClubTable_Show_ContactInfo = in_array("contactinfo", $ClubTable_Data_Array);
$ClubTable_Show_Address = in_array("address", $ClubTable_Data_Array);
$ClubTable_Show_Phone = in_array("phone", $ClubTable_Data_Array);
$ClubTable_Show_Mobile = in_array("mobile", $ClubTable_Data_Array);
$ClubTable_Show_Fax = in_array("fax", $ClubTable_Data_Array);
$ClubTable_Show_EMail = in_array("email", $ClubTable_Data_Array);
$ClubTable_Show_HomePage = in_array("homepage", $ClubTable_Data_Array);

$ClubTable_Filter = $_GET["bsm_club_filter"];
//WordPress-Support
$ClubTable_PageID = $_GET["page_id"];

$ClubTable_ProvideDetails = !empty($ClubTable_DetailsUrl);
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="club">
	<?php if($ClubTable_Show_Search): ?>
	<form method="GET">
		<fieldset>
				<legend><?php echo Localization::CLUBTABLE_SEARCH_LEGEND; ?></legend>				
				<div data-searchentry-for="bsm_club_filter">
					<label for="bsm_club_filter"><?php echo Localization::CLUBTABLE_SEARCH_LABEL; ?></label>
					<input type="search" id="bsm_club_filter" name="bsm_club_filter" placeholder="<?php echo Localization::CLUBTABLE_SEARCH_PLACEHOLDER; ?>" value="<?php echo Helper::EncodeUserInputString($ClubTable_Filter); ?>" />
				</div>
				<div data-searchentry-for="hidden_and_submit">
					<?php if (!empty($ClubTable_PageID)): ?>
					<input type="hidden" name="page_id" value="<?php echo Helper::EncodeUserInputString($ClubTable_PageID); ?>" />
					<?php endif; ?>				
					<button type="submit"><?php echo Localization::CLUBTABLE_SEARCH_BUTTON; ?></button>
				</div>
		</fieldset>
	</form>
	<?php endif; ?>
	<?php 
		$ClubTable_Organizations_Array = Helper::ConvertParameterListToArray($ClubTable_Organizations);
		//Wenn Verbnde angegeben wurden, diese bercksichtigen und alle Vereine laden
		$ClubTable_Clubs = empty($ClubTable_Organizations_Array) ? Api::GetClubsForOrganization() : Api::GetClubs();
		
		$ClubTable_Filtered = array();
		
		//Verbnde prfen, wenn kein leeres Array und nicht "all"
		$ClubTable_Check_Organizations = !empty($ClubTable_Organizations_Array) && !in_array("all", $ClubTable_Organizations_Array);
		foreach($ClubTable_Clubs as $club) {

			//Filtern nach Verband
			if($ClubTable_Check_Organizations && !in_array($club->GetOrganizationID(), $ClubTable_Organizations_Array)){
			
				continue;
			}
			
			//Filtern nach Filter
			if(!empty($ClubTable_Filter) && stripos($club->GetShortName(), $ClubTable_Filter) === false) {
			
				continue;
			}
			
			//Filtern nach Bezirk - nur wenn Nummer am Anfang der Vereinsnummer ist
			if(!empty($ClubTable_District) && stripos($club->GetNumber(), $ClubTable_District) !== 0){
				
				continue;
			}
			
			array_push($ClubTable_Filtered, $club);
		}		
	?>
	<?php if(empty($ClubTable_Filtered)): ?>
	<?php echo Localization::CLUBTABLE_SEARCH_NOENTRIES; ?>
	<?php else: ?>
	<table>
		<?php if($ClubTable_Show_Caption): ?>
		<caption><?php echo Localization::CLUBTABLE_CAPTION; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="name"><?php echo Localization::CLUBTABLE_COLUMN_NAME; ?></th>
				<?php if ($ClubTable_Show_ContactInfo): ?><th data-cell-for="contactinfo"><?php echo Localization::CLUBTABLE_COLUMN_CONTACTINFO; ?></th><?php endif; ?>
				<?php if ($ClubTable_Show_Address): ?><th data-cell-for="address"><?php echo Localization::CLUBTABLE_COLUMN_ADDRESS; ?></th><?php endif; ?>
				<?php if ($ClubTable_Show_Phone): ?><th data-cell-for="phone"><?php echo Localization::CLUBTABLE_COLUMN_PHONE; ?></th><?php endif; ?>
				<?php if ($ClubTable_Show_Mobile): ?><th data-cell-for="mobile"><?php echo Localization::CLUBTABLE_COLUMN_MOBILE; ?></th><?php endif; ?>
				<?php if ($ClubTable_Show_Fax): ?><th data-cell-for="fax"><?php echo Localization::CLUBTABLE_COLUMN_FAX; ?></th><?php endif; ?>
				<?php if ($ClubTable_Show_EMail): ?><th data-cell-for="email"><?php echo Localization::CLUBTABLE_COLUMN_EMAIL; ?></th><?php endif; ?>
				<?php if ($ClubTable_Show_HomePage): ?><th data-cell-for="homepage"><?php echo Localization::CLUBTABLE_COLUMN_HOMEPAGE; ?></th><?php endif; ?>									
			</tr>		
		</thead>
		<tbody>
			<?php foreach($ClubTable_Filtered as $club): ?>
			<?php	
			
				// Kontaktname
				$ClubTable_ContactLine = $ClubTable_Show_ContactInfo ? Helper::GetContactLine($club) : null;		
				// Adresse
				$ClubTable_Address = $ClubTable_Show_Address ? Helper::GetFullAddress($club) : null;
				// Telefon
				$ClubTable_Phone = $ClubTable_Show_Phone ? Helper::GetContactInfoByMode($club->GetPhone(), $club->GetPhoneAlternative(), $ClubTable_ContactMode, Localization::CLUBTABLE_SEPARATOR_PHONE) : null;
				// Mobil
				$ClubTable_Mobile = $ClubTable_Show_Mobile ? Helper::GetContactInfoByMode($club->GetMobile(), $club->GetMobileAlternative(), $ClubTable_ContactMode, Localization::CLUBTABLE_SEPARATOR_MOBILE) : null;
				// Fax
				$ClubTable_Fax = $ClubTable_Show_Fax ? Helper::GetContactInfoByMode($club->GetFax(), $club->GetFaxAlternative(), $ClubTable_ContactMode, Localization::CLUBTABLE_SEPARATOR_FAX) : null;
				// EMail
				$ClubTable_EMail = null;
				$ClubTable_EMail_RenderBoth = false;
				if($ClubTable_Show_EMail){
					$ClubTable_EMail = $club->GetEMail();
					// Ist die EMail leer, wird die andere nur verwendet wenn:
					
					// a) beide angezeigt werden drfen
					// b) fallback (alt) verwendet werden darf
					
					// In jedem Fall wird im Folgenden nur 1 EMail angezeigt
					if(empty($ClubTable_EMail) && ($ClubTable_ContactMode == "both" || $ClubTable_ContactMode == "fallback")){
						
						$ClubTable_EMail = $club->GetEMailAlternative();
					}
					// Ist die ausgesuchte EMail aber nicht leer, und die Alternative auch nicht, werden beide angezeigt,
					// falls dies eingestellt wurde
					else if($ClubTable_ContactMode == "both" && !empty($club->GetEMailAlternative())){
						$ClubTable_EMail_RenderBoth = true;
					}
				}
				
				$ClubTable_HomePage = $ClubTable_Show_HomePage ? $club->GetHomePage() : null;			
			?>
			<tr data-row-for="<?php echo $club->GetAcronym(); ?>">
				<td data-cell-for="name">
					<?php if(!empty($club->GetLogo()) && $ClubTable_LogoMode === "left"): ?>
					<img class="alignleft" src="<?php echo $club->GetLogo(); ?>" alt="" data-logo-for="<?php echo $club->GetAcronym(); ?>" />
					<?php endif; ?>
					<?php $ClubTable_OnlyLogo = !empty($club->GetLogo()) && $ClubTable_LogoMode === "only"; ?>
					<?php if($ClubTable_ProvideDetails): ?>
					<?php 
						$url = $ClubTable_DetailsUrl;
						$query = parse_url($url, PHP_URL_QUERY);
			
						if($query){
							
							$url .= "&amp;bsm_club=";
						}else{
							
							$url .= "?bsm_club=";
						}
						
						$url .= $club->GetAcronym();
					?>
					<a href="<?php echo $url ?>"<?php if($ClubTable_OnlyLogo): ?> title="<?php echo $club->GetShortName(); ?>"<?php endif; ?>>
			        <?php endif; ?>
			        <?php if($ClubTable_OnlyLogo): ?>
			        <?php $ClubTable_LogoAlt = $club->GetShortName(); ?>
			        <img class="aligncenter" src="<?php echo $club->GetLogo(); ?>" alt="<?php echo $ClubTable_LogoAlt; ?>" title="<?php echo $ClubTable_LogoAlt; ?>" data-logo-for="<?php echo $club->GetAcronym(); ?>" />
			        <?php else: ?>    
			        <?php echo $club->GetShortName(); ?>
			        <?php endif; ?>
			        <?php if($ClubTable_ProvideDetails): ?>
			        </a>
			        <?php endif; ?>		        
					<?php if(!empty($club->GetLogo()) && $ClubTable_LogoMode === "right"): ?>
					<img class="alignright" src="<?php echo $club->GetLogo(); ?>" alt="" data-logo-for="<?php echo $club->GetAcronym(); ?>" />
					<?php endif; ?>		        
		        </td>
				<?php if ($ClubTable_Show_ContactInfo): ?><td data-cell-for="contactinfo"><?php echo Helper::PlaceholderIfEmpty($ClubTable_ContactLine); ?></td><?php endif; ?>
				<?php if ($ClubTable_Show_Address): ?><td data-cell-for="address"><?php echo Helper::PlaceholderIfEmpty($ClubTable_Address); ?></td><?php endif; ?>			
				<?php if ($ClubTable_Show_Phone): ?><td data-cell-for="phone"><?php if (empty($ClubTable_Phone)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($ClubTable_Phone); ?>"><?php echo Helper::ToHtmlNumbers($ClubTable_Phone); ?></a><?php endif;?></td><?php endif; ?>			
				<?php if ($ClubTable_Show_Mobile): ?><td data-cell-for="mobile"><?php if (empty($ClubTable_Mobile)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($ClubTable_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($ClubTable_Mobile); ?></a><?php endif;?></td><?php endif; ?>
				<?php if ($ClubTable_Show_Fax): ?><td data-cell-for="fax"><?php if (empty($ClubTable_Fax)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($ClubTable_Fax); ?>"><?php echo Helper::ToHtmlNumbers($ClubTable_Fax); ?></a><?php endif;?></td><?php endif; ?>
				<?php if ($ClubTable_Show_EMail): ?><td data-cell-for="email"><?php if (empty($ClubTable_EMail)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToMailToLink($ClubTable_EMail); ?>"<?php if($ClubTable_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($ClubTable_EMail); ?>"<?php endif; ?>><?php if($ClubTable_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($ClubTable_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($ClubTable_EMail); ?><?php endif; ?></a><?php if($ClubTable_EMail_RenderBoth): ?>&nbsp;<?php echo Localization::CLUBTABLE_SEPARATOR_EMAIL; ?>&nbsp;<a href="<?php echo Helper::ToMailToLink($club->GetEMailAlternative()); ?>"<?php if($ClubTable_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($club->GetEMailAlternative()); ?>"<?php endif; ?>><?php if($ClubTable_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($club->GetEMailAlternative()); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($club->GetEMailAlternative()); ?><?php endif; ?></a><?php endif; ?><?php endif;?></td><?php endif; ?>						
				<?php if ($ClubTable_Show_HomePage): ?><td data-cell-for="homepage"><?php if (empty($ClubTable_HomePage)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo $ClubTable_HomePage; ?>" target="_blank"><?php echo Localization::CLUBTABLE_COLUMN_VALUE_HOMEPAGE; ?></a><?php endif;?></td><?php endif; ?>	
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php endif; ?>
</div>