<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//Int != 0 -> Check empty
if(empty($Course_ID)){
	throw new Exception("No course given");
}
else if(!is_numeric($Course_ID)){
	throw new Exception("ID must be a numeric value");
}
//String -> Check empty
if(empty($Course_Date_DayOfWeek)){
	$Course_Date_DayOfWeek = "none";
}
else if($Course_Date_DayOfWeek != "none" && $Course_Date_DayOfWeek != "short" && $Course_Date_DayOfWeek != "long"){
	throw new Exception("Date_DayOfWeek has only 3 valid values: 'none' (default), 'short' and 'long', but '" . $Course_Date_DayOfWeek . "' was set");
}
//String -> Check empty
if(empty($Course_Data)){
	$Course_Data = null;
}

//Initalisieren der Show Variablen
$Course_Data_Array = Helper::ConvertParameterListToArray($Course_Data);

$Course_Show_Name = in_array("name", $Course_Data_Array);
$Course_Show_Organizer = in_array("organizer", $Course_Data_Array);
$Course_Show_Category = in_array("category", $Course_Data_Array);
$Course_Show_Code = in_array("code", $Course_Data_Array);
$Course_Show_Type = in_array("type", $Course_Data_Array);
$Course_Show_Level = in_array("level", $Course_Data_Array);
$Course_Show_Sports = in_array("sports", $Course_Data_Array);
$Course_Show_Description = in_array("description", $Course_Data_Array);
$Course_Show_DescriptionHtml = in_array("descriptionhtml", $Course_Data_Array);
$Course_Show_RegistrationEndsAt = in_array("registrationendsat", $Course_Data_Array);
$Course_Show_CancellationEndsAt = in_array("cancellationendsat", $Course_Data_Array);
$Course_Show_Cost = in_array("cost", $Course_Data_Array);
$Course_Show_Participants = in_array("participants", $Course_Data_Array);
$Course_Show_Trainer = in_array("trainer", $Course_Data_Array);
$Course_Show_EMail = in_array("email", $Course_Data_Array);
$Course_Show_EventsTitle = in_array("eventstitle", $Course_Data_Array);
$Course_Show_EventsDate = in_array("eventsdate", $Course_Data_Array);
$Course_Show_EventsLocation = in_array("eventslocation", $Course_Data_Array);
$Course_Show_EventsDescription = in_array("eventsdescription", $Course_Data_Array);
$Course_Show_ScriptDescription = in_array("scriptdescription", $Course_Data_Array);
$Course_Show_ScriptCost = in_array("scriptcost", $Course_Data_Array);
$Course_Show_AccomodationDeadline = in_array("accomodationdeadline", $Course_Data_Array);
$Course_Show_AccomodationComment = in_array("accomodationcomment", $Course_Data_Array);
$Course_Show_AccomodationCost = in_array("accomodationcost", $Course_Data_Array);

//Ohne Beachtung der tatschlichen Daten, da dem Konfigurator evtl. ein falsches MaxLevel suggeriert wird
$Course_Show_Basic = $Course_Show_Organizer || $Course_Show_Category || $Course_Show_Code || $Course_Show_Type || $Course_Show_Level || $Course_Show_Sports || $Course_Show_Description || $Course_Show_RegistrationEndsAt || $Course_Show_CancellationEndsAt || $Course_Show_Cost || $Course_Show_Participants || $Course_Show_Trainer || $Course_Show_EMail;
$Course_Show_Events = $Course_Show_EventsTitle || $Course_Show_EventsDate || $Course_Show_EventsLocation || $Course_Show_EventsDescription;
$Course_Show_Script = $Course_Show_ScriptDescription || $Course_Show_ScriptCost;
$Course_Show_Accomodation = $Course_Show_AccomodationDeadline || $Course_Show_AccomodationComment || $Course_Show_AccomodationCost;
$Course_Max_HeaderLevel = $Course_Show_Name && ($Course_Show_Basic || $Course_Show_Events || $Course_Show_Script || $Course_Show_Accomodation) ? ($Course_Show_Events ? 4 : 5) : ($Course_Show_Events ? 5 : 6);

//Int != 0 -> Check empty
if(empty($Course_HeaderLevel)){
	$Course_HeaderLevel = 2;
}
else if(!is_numeric($Course_HeaderLevel) || $Course_HeaderLevel < 1 || $Course_HeaderLevel > $Course_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $Course_Max_HeaderLevel);
}

$Course = Api::GetCourse($Course_ID);
//Context
$Course_Organizer = $Course_Show_Organizer && !empty($Course->GetOrganizer())? $Course->GetOrganizer()->GetName() : null;
//Kategorie
$Course_Category = $Course_Show_Category ? $Course->GetCategory() : null;
//Code
$Course_Code = $Course_Show_Code ? $Course->GetCode(): null;
//Type
$Course_Type = $Course_Show_Type ? $Course->GetDisplayType(): null;
//Level
$Course_Level = null;
if($Course_Show_Level){
	$Course_Level_Array = array();
	if($Course->GetHasLevelA()){
		array_push($Course_Level_Array, "A");
	}
	if($Course->GetHasLevelB()){
		array_push($Course_Level_Array, "B");
	}
	if($Course->GetHasLevelC()){
		array_push($Course_Level_Array, "C");
	}
	if($Course->GetHasLevelD()){
		array_push($Course_Level_Array, "D");
	}
	$Course_Level = Helper::ToDelimitedList($Course_Level_Array);
}
//Sports
$Course_Sports = null;
if($Course_Show_Sports){
	$Course_Sports_Array = array();
	if($Course->GetForBaseball()){
		array_push($Course_Sports_Array, Localization::COURSE_SPORTS_BASEBALL);
	}
	if($Course->GetForSoftball()){
		array_push($Course_Sports_Array, Localization::COURSE_SPORTS_SOFTBALL);
	}
	$Course_Sports = Helper::ToDelimitedList($Course_Sports_Array);
}
//Beschreibung
$Course_Description = $Course_Show_Description ? nl2br($Course->GetDescription()) : null;
$Course_Description_Html = $Course_Show_DescriptionHtml ? $Course->GetDescriptionHtml() : null;
//Anmeldeschluss
$Course_RegistrationEndsAt = $Course_Show_RegistrationEndsAt ? $Course->GetRegistrationEndsAt() : null;
//Stornierungsfrist
$Course_CancellationEndsAt = $Course_Show_CancellationEndsAt ? $Course->GetCancellationEndsAt() : null;
//Kosten
$Course_Cost = $Course_Show_Cost ? $Course->GetCostCents() : null;
//Teilnehmer
$Course_Participants = $Course_Show_Participants ? $Course->GetParticipants() : null;
//Trainer
$Course_Trainer_Names = null;
if($Course_Show_Trainer){
	$Course_Trainer_Name_Array = array();
	$Course_Trainer = $Course->GetTrainer();
	if(!empty($Course_Trainer)){
		array_push($Course_Trainer_Name_Array, Helper::GetPersonDisplayName($Course_Trainer));
	}
	$Course_SecondTrainer = $Course->GetSecondTrainer();
	if(!empty($Course_SecondTrainer)){
		array_push($Course_Trainer_Name_Array, Helper::GetPersonDisplayName($Course_SecondTrainer));
	}
	$Course_Trainer_Names = Helper::ToDelimitedList($Course_Trainer_Name_Array);
}
//Rckfragen
$Course_EMail = $Course_Show_EMail ? $Course->GetEMail() : null;

//Update Show-Variable fr Anzeige
$Course_Show_Basic = !empty($Course_Organizer) || !empty($Course_Category) || !empty($Course_Code) || !empty($Course_Type) || !empty($Course_Level) || !empty($Course_Sports) || !empty($Course_Description) || !empty($Course_RegistrationEndsAt) || !empty($Course_CancellationEndsAt) || $Course_Cost !== null || $Course_Participants !== null || !empty($Course_Trainer_Names) || !empty($Course_EMail);

//Generell
$Course_Events = $Course_Show_Events ? $Course->GetEvents() : null;

//Update Show-Variable fr Anzeige
$Course_Show_Events = !empty($Course_Events);

//Generell
$Course_HasScript = $Course->GetHasScript() === true;
//Beschreibung
$Course_ScriptDescription = $Course_HasScript && $Course_Show_ScriptDescription ? nl2br($Course->GetScriptDescription()) : null;
//Kosten
$Course_ScriptCost = $Course_HasScript && $Course_Show_ScriptCost ? $Course->GetScriptCostCents() : null;

//Update Show-Variable fr Anzeige
$Course_Show_Script = !empty($Course_ScriptDescription) || $Course_ScriptCost !== null;

//Generell
$Course_HasAccomodation = $Course->GetHasAccomodation() === true;
//Deadline
$Course_AccomodationDeadline = $Course_HasAccomodation && $Course_Show_AccomodationDeadline ? $Course->GetAccomodationDeadline() : null;
//Kommentar
$Course_AccomodationComment = $Course_HasAccomodation && $Course_Show_AccomodationComment ? nl2br($Course->GetAccomodationComment()) : null;
//Kosten
$Course_AccomodationCost = $Course_HasAccomodation && $Course_Show_AccomodationCost ? $Course->GetAccomodationCostCents() : null;

//Update Show-Variable fr Anzeige
$Course_Show_Accomodation = !empty($Course_AccomodationDeadline) || !empty($Course_AccomodationComment) || $Course_AccomodationCost !== null;
?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="course">
	<<?php echo $Course_Show_Name ? "article" : "div"; ?>>
	<?php if($Course_Show_Name): ?>
	<h<?php echo $Course_HeaderLevel; ?>><?php echo $Course->GetTitle();?></h<?php echo $Course_HeaderLevel; ?>>
	<?php endif; ?>
	<?php if($Course_Show_Basic): ?>
    <section data-type="basic">
	    <h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>><?php echo Localization::COURSE_HEADLINE_BASIC; ?></h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>>
	    <dl>
	    	<?php if(!empty($Course_Organizer)): ?>
	    	<dt><?php echo ($Course->GetContextType() === 'Organization' ? Localization::COURSE_LABEL_ORGANIZER_ORGANIZATION : Localization::COURSE_LABEL_ORGANIZER_CLUB) . ' (' . Localization::COURSE_LABEL_ORGANIZER . ')'; ?></dt>
	    	<dd><?php echo $Course_Organizer; ?></dd>
	    	<?php endif; ?>
	    	<?php if(!empty($Course_Category)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_CATEGORY; ?></dt>
	    	<dd><?php echo $Course_Category; ?></dd>
	    	<?php endif; ?>	  	
	    	<?php if(!empty($Course_Code)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_CODE; ?></dt>
	    	<dd><?php echo $Course_Code; ?></dd>
	    	<?php endif; ?>	  
	    	<?php if(!empty($Course_Type)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_TYPE; ?></dt>
	    	<dd><?php echo $Course_Type; ?></dd>
	    	<?php endif; ?>	 
	    	<?php if(!empty($Course_Level)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_LEVEL; ?></dt>
	    	<dd><?php echo $Course_Level; ?></dd>
	    	<?php endif; ?>	  
	    	<?php if(!empty($Course_Sports)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_SPORTS; ?></dt>
	    	<dd><?php echo $Course_Sports; ?></dd>
	    	<?php endif; ?>	
	    	<?php if(!empty($Course_Description)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_DESCRIPTION; ?></dt>
	    	<dd><?php echo $Course_Description; ?></dd>
	    	<?php endif; ?>	
	    	<?php if(!empty($Course_Description_Html)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_DESCRIPTION; ?></dt>
	    	<dd><?php echo $Course_Description_Html; ?></dd>
	    	<?php endif; ?>	
	    	<?php if(!empty($Course_RegistrationEndsAt)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_REGISTRATIONENDSAT; ?></dt>
	    	<dd><?php echo Helper::IsPastDateString($Course_RegistrationEndsAt) ? Localization::COURSE_VALUE_REGISTRATIONENDSAT : Helper::GetDateByString($Course_RegistrationEndsAt, false, $Course_Date_DayOfWeek === "short", $Course_Date_DayOfWeek === "long"); ?></dd>
	    	<?php endif; ?>	   
	    	<?php if(!empty($Course_CancellationEndsAt)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_CANCELLATIONENDSAT; ?></dt>
	    	<dd><?php echo Helper::IsPastDateString($Course_CancellationEndsAt) ? Localization::COURSE_VALUE_CANCELLATIONENDSAT : Helper::GetDateByString($Course_CancellationEndsAt, false, $Course_Date_DayOfWeek === "short", $Course_Date_DayOfWeek === "long"); ?></dd>
	    	<?php endif; ?>	    	 
	    	<?php if($Course_Cost !== null): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_COST; ?></dt>
	    	<dd><?php echo Helper::GetMoney($Course_Cost); ?></dd>	    	
	    	<?php endif; ?>	   	
	    	<?php if($Course_Participants !== null): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_PARTICIPANTS; ?></dt>
	    	<dd><?php echo $Course_Participants; ?></dd>
	    	<?php endif; ?>	 	    		   
	    	<?php if(!empty($Course_Trainer_Names)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_TRAINER; ?></dt>
	    	<dd><?php echo $Course_Trainer_Names; ?></dd>
	    	<?php endif; ?>	 
	    	<?php if(!empty($Course_EMail)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_EMAIL; ?></dt>
	    	<dd><a href="<?php echo Helper::ToMailToLink($Course_EMail); ?>"><?php echo Helper::ToHtmlNumbers($Course_EMail); ?></a></dd>	    	
	    	<?php endif; ?>	    	 
	    </dl>
    </section>	
    <?php endif; ?>    
    <?php if($Course_Show_Events): ?>
    <section data-type="events">
	    <h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>><?php echo Localization::COURSE_HEADLINE_EVENTS; ?></h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>>
	    <?php foreach ($Course_Events as $event): ?>
	    <?php
	    	//Titel
	    	$Course_EventsTitle = $Course_Show_EventsTitle ? $event->GetTitle() : null;
	    	//Datum 
	    	$Course_EventsDate = null;
	    	if($Course_Show_EventsDate && $event->GetStartsAt() !== null && $event->GetEndsAt() !== null) 
	    	{
	    		$Course_EventsDate_Part1 = Helper::GetDateByString($event->GetStartsAt(), false, $Course_Date_DayOfWeek === "short", $Course_Date_DayOfWeek === "long");
	    		$Course_EventsDate_Part2 = Helper::GetDateByString($event->GetEndsAt(), false, $Course_Date_DayOfWeek === "short", $Course_Date_DayOfWeek === "long");
	    		$Course_EventsDate_Time1 = Helper::GetTimeByString($event->GetStartsAt());
	    		$Course_EventsDate_Time2 = Helper::GetTimeByString($event->GetEndsAt());
	    		$Course_EventsDate_NoTime = $Course_EventsDate_Time1 === $Course_EventsDate_Time2 && empty(strtotime($Course_EventsDate_Time1));
	    		
	    		$Course_EventsDate = $Course_EventsDate_Part1 === $Course_EventsDate_Part2 
	    			//Zeige nur 1 Datum an und ggf. die Uhrzeiten
	    			? $Course_EventsDate_Part1 . ($Course_EventsDate_NoTime 
	    					//Keine Uhrzeit
	    					? "" 
	    					//Von - Bis
	    					: (" " . $Course_EventsDate_Time1 . " " . Localization::GLOBAL_PLACEHOLDER . " " . $Course_EventsDate_Time2))
	    			//Beide Daten und ggf. die Uhrzeiten
	    			: $Course_EventsDate_Part1 . ($Course_EventsDate_NoTime
	    					//Keine Uhrzeit 
	    					? "" 
	    					//Hnge Uhrzeit an Datum 1
	    					: (" " . $Course_EventsDate_Time1)) . " " . Localization::GLOBAL_PLACEHOLDER . " " . $Course_EventsDate_Part2 . ($Course_EventsDate_NoTime
	    					//Keine Uhrzeit 
	    					? "" 
	    					//Hnge Uhrzeit an Datum 2
	    					: (" " . $Course_EventsDate_Time2));
	    	}
	    	//Ort
	    	$Course_EventsLocation = $Course_Show_EventsLocation ? $event->GetLocation() : null;
	    	$Course_EventsLocationName = !empty($Course_EventsLocation) ? $Course_EventsLocation->GetName() : null;
	    	$Course_EventsLocationAddress = !empty($Course_EventsLocation) ? Helper::GetFullAddress($Course_EventsLocation) : null;
	    	//Beschreibung	
	    	$Course_EventsDescription = $Course_Show_EventsDescription ? nl2br($event->GetDescription()) : null;
	    	//Evtl. berspringen, weil nichts fr die Anzeige
	    	if(empty($Course_EventsTitle) && empty($Course_EventsDate) && empty($Course_EventsLocationName) && empty($Course_EventsLocationAddress) && empty($Course_EventsDescription)){
	    		continue;
	    	}
	    ?>
	    <<?php echo !empty($Course_EventsTitle) ? "article" : "div" ?> data-type="event">
	    	<?php if(!empty($Course_EventsTitle)): ?>
	    	<h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 2 : 0); ?>><?php echo Course_EventsTitle; ?></h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 2 : 0); ?>>
	    	<?php endif; ?>
	    	<dl>	    	 	
		    	<?php if(!empty($Course_EventsDate)): ?>
		    	<dt><?php echo Localization::COURSE_LABEL_EVENTSDATE; ?></dt>
		    	<dd><?php echo $Course_EventsDate; ?></dd>
		    	<?php endif; ?>	  
		    	<?php if(!empty($Course_EventsLocationName) || !empty($Course_EventsLocationAddress)): ?>
		    	<dt><?php echo Localization::COURSE_LABEL_EVENTSLOCATION; ?></dt>
		    	<dd><?php if(!empty($Course_EventsLocationName)): ?><?php echo $Course_EventsLocationName; ?><?php if(!empty($Course_EventsLocationAddress)) :?><br /><?php endif; ?><?php endif; ?><?php if(!empty($Course_EventsLocationAddress)): ?><?php echo $Course_EventsLocationAddress; ?><?php endif; ?></dd>
		    	<?php endif; ?>
		    	<?php if(!empty($Course_EventsDescription)): ?>	    	
		    	<dt><?php echo Localization::COURSE_LABEL_EVENTSDESCRIPTION; ?></dt>
		    	<dd><?php echo $Course_EventsDescription; ?></dd>
		    	<?php endif; ?>	 
	    	</dl>
	    </<?php echo !empty($Course_EventsTitle) ? "article" : "div" ?>>
	    <?php endforeach; ?>
    </section>    
    <?php endif; ?>
    <?php if($Course_Show_Script): ?>
    <section data-type="script">
	    <h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>><?php echo Localization::COURSE_HEADLINE_SCRIPT; ?></h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>>
	    <dl>	    	  	
	    	<?php if(!empty($Course_ScriptDescription)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_SCRIPTDESCRIPTION; ?></dt>
	    	<dd><?php echo $Course_ScriptDescription; ?></dd>
	    	<?php endif; ?>	
	    	<?php if($Course_ScriptCost !== null): ?>	    	
	    	<dt><?php echo Localization::COURSE_LABEL_SCRIPTCOST; ?></dt>
	    	<dd><?php echo Helper::GetMoney($Course_ScriptCost); ?></dd>
	    	<?php endif; ?>	
	    </dl>
    </section>
    <?php endif; ?>
    <?php if($Course_Show_Accomodation): ?>
    <section data-type="accomodation">
	    <h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>><?php echo Localization::COURSE_HEADLINE_ACCOMODATION; ?></h<?php echo $Course_HeaderLevel + ($Course_Show_Name ? 1 : 0); ?>>
	    <dl>	    	 	
	    	<?php if(!empty($Course_AccomodationDeadline)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_ACCOMODATIONDEADLINE; ?></dt>
	    	<dd><?php echo Helper::IsPastDateString($Course_AccomodationDeadline) ? Localization::COURSE_VALUE_ACCOMODATIONDEADLINE : Helper::GetDateByString($Course_AccomodationDeadline, false, $Course_Date_DayOfWeek === "short", $Course_Date_DayOfWeek === "long"); ?></dd>
	    	<?php endif; ?>	  
	    	<?php if(!empty($Course_AccomodationComment)): ?>
	    	<dt><?php echo Localization::COURSE_LABEL_ACCOMODATIONCOMMENT; ?></dt>
	    	<dd><?php echo $Course_AccomodationComment; ?></dd>
	    	<?php endif; ?>
	    	<?php if($Course_AccomodationCost !== null): ?>	    	
	    	<dt><?php echo Localization::COURSE_LABEL_ACCOMODATIONCOST; ?></dt>
	    	<dd><?php echo Helper::GetMoney($Course_AccomodationCost); ?></dd>
	    	<?php endif; ?>	 
	    </dl>
    </section>    
    <?php endif; ?>
	</<?php echo $Course_Show_Name ? "article" : "div" ?>>
</div>