<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String -> Check empty
if(empty($CourseTable_DetailsUrl)){
	$CourseTable_DetailsUrl = null;
}
//String -> Check empty
if(empty($CourseTable_Category)){
	$CourseTable_Category = null;
}
//String -> Check empty
if(empty($CourseTable_Date_DayOfWeek)){
	$CourseTable_Date_DayOfWeek = "none";
}
else if($CourseTable_Date_DayOfWeek != "none" && $CourseTable_Date_DayOfWeek != "short" && $CourseTable_Date_DayOfWeek != "long"){
	throw new Exception("Date_DayOfWeek has only 3 valid values: 'none' (default), 'short' and 'long', but '" . $CourseTable_Date_DayOfWeek . "' was set");
}
//String -> Check empty
if(empty($CourseTable_Data)){
	$CourseTable_Data = null;
}

//Initalisieren der Show-Data Variablen
$CourseTable_Data_Array = Helper::ConvertParameterListToArray($CourseTable_Data);

$CourseTable_Show_Category = in_array("category", $CourseTable_Data_Array);
$CourseTable_Show_Date = in_array("date", $CourseTable_Data_Array);
$CourseTable_Show_Location = in_array("location", $CourseTable_Data_Array);
$CourseTable_Show_Participants = in_array("participants", $CourseTable_Data_Array);
$CourseTable_Show_RegistrationEndsAt = in_array("registrationendsat", $CourseTable_Data_Array);
$CourseTable_Show_CancellationEndsAt = in_array("cancellationendsat", $CourseTable_Data_Array);

$CourseTable_ProvideDetails = !empty($CourseTable_DetailsUrl);
$CourseTable_Courses = Api::GetCoursesForOrganization($CourseTable_Category);
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="course">
	<?php if(empty($CourseTable_Courses)): ?>
	<?php echo Localization::COURSETABLE_NOENTRIES; ?>
	<?php else: ?>		
	<table>
		<?php if(!empty($CourseTable_Category) && $CourseTable_Show_Category): ?>
		<caption><?php echo $CourseTable_Courses[0]->GetCategory(); ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<?php if (empty($CourseTable_Category) && $CourseTable_Show_Category): ?><th data-cell-for="category"><?php echo Localization::COURSETABLE_COLUMN_CATEGORY; ?></th><?php endif; ?>
				<th data-cell-for="name"><?php echo Localization::COURSETABLE_COLUMN_NAME; ?></th>
				<?php if ($CourseTable_Show_Date): ?><th data-cell-for="date"><?php echo Localization::COURSETABLE_COLUMN_DATE; ?></th><?php endif; ?>
				<?php if ($CourseTable_Show_Location): ?><th data-cell-for="location"><?php echo Localization::COURSETABLE_COLUMN_LOCATION; ?></th><?php endif; ?>
				<?php if ($CourseTable_Show_Participants): ?><th data-cell-for="participants"><?php echo Localization::COURSETABLE_COLUMN_PARTICIPANTS; ?></th><?php endif; ?>
				<?php if ($CourseTable_Show_RegistrationEndsAt): ?><th data-cell-for="registrationendsat"><?php echo Localization::COURSETABLE_COLUMN_REGISTRATIONENDSAT; ?></th><?php endif; ?>
				<?php if ($CourseTable_Show_CancellationEndsAt): ?><th data-cell-for="cancellationendsat"><?php echo Localization::COURSETABLE_COLUMN_CANCELLATIONENDSAT; ?></th><?php endif; ?>		
			</tr>
		</thead>
		<tbody>
			<?php foreach($CourseTable_Courses as $course): ?>	
			<?php
				$CourseTable_Events = $course->GetEvents(); 
			?>	
			<tr data-row-for="<?php echo $course->GetCode(); ?>">
				<?php if (empty($CourseTable_Category) && $CourseTable_Show_Category): ?><td data-cell-for="category"><?php echo Helper::PlaceholderIfEmpty($course->GetCategory()); ?></td><?php endif; ?>
				<td data-cell-for="name">
					<?php if($CourseTable_ProvideDetails): ?>
					<?php 
						$url = $CourseTable_DetailsUrl;
						$query = parse_url($url, PHP_URL_QUERY);
			
						if($query){
							
							$url .= "&amp;bsm_course=";
						}else{
							
							$url .= "?bsm_course=";
						}
						
						$url .= $course->GetID();
					?>
					<a href="<?php echo $url; ?>">
			        <?php endif; ?>    
			        <?php echo $course->GetTitle(); ?>
			        <?php if($CourseTable_ProvideDetails): ?>
			        </a>
			        <?php endif; ?>
			    </td>
				<?php if ($CourseTable_Show_Date): ?>
				<td data-cell-for="date">
					<?php
						$CourseTable_EventDates = array();
						//Gibt es Events?
						if(!empty($CourseTable_Events)){
							foreach($CourseTable_Events as $event){
								//Wenn eines der Daten NULL ist, nicht hinzufgen
								if($event->GetStartsAt() !== null && $event->GetEndsAt() !== null){
									$datepart1 = Helper::GetDateByString($event->GetStartsAt(), false, $CourseTable_Date_DayOfWeek === "short", $CourseTable_Date_DayOfWeek === "long");
									$datepart2 = Helper::GetDateByString($event->GetEndsAt(), false, $CourseTable_Date_DayOfWeek === "short", $CourseTable_Date_DayOfWeek === "long");
									$usedDate = $datepart1 === $datepart2 ? $datepart1 : ($datepart1 . " " . Localization::GLOBAL_PLACEHOLDER . " " . $datepart2);
									if(!in_array($usedDate, $CourseTable_EventDates)){
										array_push($CourseTable_EventDates, $usedDate);								
									}
								}
							}
						}
					?>
	        		<?php if(empty($CourseTable_EventDates)): ?>
	        		<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
	        		<?php else: ?>
	        		<ul data-object-type="eventDate">   			
	        			<?php foreach($CourseTable_EventDates as $eventDate): ?>
	        			<li><?php echo $eventDate; ?></li>
	        			<?php endforeach; ?>
	        		</ul>
	        		<?php endif; ?>
		        </td>			
		        <?php endif; ?>
		        <?php if ($CourseTable_Show_Location): ?>
				<td data-cell-for="location">
					<?php
						$CourseTable_EventLocations = array();
						//Gibt es Events?
						if(!empty($CourseTable_Events)){
							foreach($CourseTable_Events as $event){
								$location = $event->GetLocation();
								//Wenn eines der Daten NULL ist, nicht hinzufgen
								if($location !== null && !empty($location->GetName())){
									$usedName = $location->GetName();
									if(!in_array($usedName, $CourseTable_EventLocations)){
										array_push($CourseTable_EventLocations, $usedName);
									}
								}
							}
						}
					?>
	        		<?php if(empty($CourseTable_EventLocations)): ?>
	        		<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
	        		<?php else: ?>
	        		<ul data-object-type="eventLocation">        			       			
	        			<?php foreach($CourseTable_EventLocations as $eventLocation): ?>        			
	        			<li><?php echo $eventLocation; ?></li>
	        			<?php endforeach; ?>
	        		</ul>
	        		<?php endif; ?>
		        </td>			
		        <?php endif; ?>
				<?php if ($CourseTable_Show_Participants): ?><td data-cell-for="participants"><?php echo Helper::PlaceHolderIfEmpty($course->GetParticipants()); ?></td><?php endif; ?>
				<?php if ($CourseTable_Show_RegistrationEndsAt): ?><td data-cell-for="registrationendsat"><?php echo Helper::IsPastDateString($course->GetRegistrationEndsAt()) ? Localization::COURSETABLE_COLUMN_VALUE_REGISTRATIONENDSAT : Helper::PlaceholderIfEmpty(Helper::GetDateByString($course->GetRegistrationEndsAt(), false, $CourseTable_Date_DayOfWeek === "short", $CourseTable_Date_DayOfWeek === "long")); ?></td><?php endif; ?>
				<?php if ($CourseTable_Show_CancellationEndsAt): ?><td data-cell-for="cancellationendsat"><?php echo Helper::IsPastDateString($course->GetCancellationEndsAt()) ? Localization::COURSETABLE_COLUMN_VALUE_CANCELLATIONENDSAT : Helper::PlaceholderIfEmpty(Helper::GetDateByString($course->GetCancellationEndsAt(), false, $CourseTable_Date_DayOfWeek === "short", $CourseTable_Date_DayOfWeek === "long")); ?></td><?php endif; ?>	
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php endif; ?>
</div>