<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//Int != 0 -> Check empty
if(empty($Field_ID)){
	throw new Exception("No field given");
}
else if(!is_numeric($Field_ID)){
	throw new Exception("ID must be a numeric value");
}
//Int != 0 -> Check empty
if(empty($Field_HeaderLevel)){
	$Field_HeaderLevel = 2;
}
else if(!is_numeric($Field_HeaderLevel) || $Field_HeaderLevel < 1 || $Field_HeaderLevel > 5){
	throw new Exception("HeaderLevel must be a numeric value between 1 and 5");
}
//String -> Check empty
if(empty($Field_Data)){
	$Field_Data = null;
}

//Initalisieren der Show-Data Variablen
$Field_Data_Array = Helper::ConvertParameterListToArray($Field_Data);

$Field_Show_Photo = in_array("photo", $Field_Data_Array);
$Field_Show_Address = in_array("address", $Field_Data_Array);
$Field_Show_Description = in_array("description", $Field_Data_Array);
$Field_Show_OtherInformation = in_array("otherinformation", $Field_Data_Array);
$Field_Show_GroundRules = in_array("groundrules", $Field_Data_Array);

?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="field">	
	<?php
		$Field = Api::GetField($Field_ID);			
		// Adresse
		$Field_Address = $Field_Show_Address ? Helper::GetFullAddress($Field) : null;
		
		// Wegbeschreibung
		$Field_Description = $Field_Show_Description ? nl2br($Field->GetDescription()) : null;	

		// Weitere Informationen
		$Field_OtherInformation = $Field_Show_OtherInformation ? nl2br($Field->GetOtherInformation()) : null;
		
		//Richtlinien
		$Field_GroundRules = $Field_Show_GroundRules ? nl2br($Field->GetGroundRules()) : null;
	?>
	<article>		
		<h<?php echo $Field_HeaderLevel; ?>><?php echo $Field->GetName(); ?></h<?php echo $Field_HeaderLevel; ?>>
		<?php if($Field_Show_Photo && !empty($Field->GetPhoto())): ?>
	    <img class="alignright" src="<?php echo $Field->GetPhoto(); ?>" alt="" data-photo-for="<?php echo $Field->GetID(); ?>" />
	    <?php endif; ?>		
	    <?php if(!empty($Field_Address)): ?>
	    <section data-type="address">
		    <h<?php echo $Field_HeaderLevel + 1; ?>><?php echo Localization::FIELD_HEADLINE_ADDRESS; ?></h<?php echo $Field_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $Field_Address; ?>
		    </p>
	    </section>
	    <?php endif; ?>	    
	    <?php if(!empty($Field_Description)): ?>
	    <section data-type="description">
		    <h<?php echo $Field_HeaderLevel + 1; ?>><?php echo Localization::FIELD_HEADLINE_DESCRIPTION; ?></h<?php echo $Field_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $Field_Description; ?>
		    </p>	    
	    </section>
	    <?php endif; ?>
	    <?php if(!empty($Field_OtherInformation)): ?>
	    <section data-type="otherinformation">
		    <h<?php echo $Field_HeaderLevel + 1; ?>><?php echo Localization::FIELD_HEADLINE_OTHERINFORMATION; ?></h<?php echo $Field_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $Field_OtherInformation; ?>
		    </p>	    
	    </section>
	    <?php endif; ?> 
	    <?php if(!empty($Field_GroundRules)): ?>
	    <section data-type="groundrules">
		    <h<?php echo $Field_HeaderLevel + 1; ?>><?php echo Localization::FIELD_HEADLINE_GROUNDRULES; ?></h<?php echo $Field_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $Field_GroundRules; ?>
		    </p>	    
	    </section>
	    <?php endif; ?>  
	</article>	
</div>