<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($FieldList_Club)){
	throw new Exception("No club given");
}
else if(!is_numeric($FieldList_Club)){
	//Wenn Vereinskrzel, muss momentan Verein abgerufen werden, um die interne ID zu erhalten
	$FieldList_Club = Api::GetClub($FieldList_Club)->GetID();
}
//Int != 0 -> Check empty
if(empty($FieldList_HeaderLevel)){
	$FieldList_HeaderLevel = 2;
}
else if(!is_numeric($FieldList_HeaderLevel) || $FieldList_HeaderLevel < 1 || $FieldList_HeaderLevel > 5){
	throw new Exception("HeaderLevel must be a numeric value between 1 and 5");
}
//String -> Check empty
if(empty($FieldList_Data)){
	$FieldList_Data = null;
}

//Initalisieren der Show-Data Variablen
$FieldList_Data_Array = Helper::ConvertParameterListToArray($FieldList_Data);

$FieldList_Show_Photo = in_array("photo", $FieldList_Data_Array);
$FieldList_Show_Address = in_array("address", $FieldList_Data_Array);
$FieldList_Show_Description = in_array("description", $FieldList_Data_Array);
$FieldList_Show_OtherInformation = in_array("otherinformation", $FieldList_Data_Array);
$FieldList_Show_GroundRules = in_array("groundrules", $FieldList_Data_Array);

?>
<div data-bsm="data-bsm" data-type="list" data-object-type="field">	
	<?php foreach(Api::GetFieldsForClub($FieldList_Club) as $field): ?>
	<?php			
		// Adresse
		$FieldList_Address = $FieldList_Show_Address ? Helper::GetFullAddress($field) : null;
		
		// Wegbeschreibung
		$FieldList_Description = $FieldList_Show_Description ? nl2br($field->GetDescription()) : null;	

		// Weitere Informationen
		$FieldList_OtherInformation = $FieldList_Show_OtherInformation ? nl2br($field->GetOtherInformation()) : null;
		
		//Richtlinien
		$FieldList_GroundRules = $FieldList_Show_GroundRules ? nl2br($field->GetGroundRules()) : null;
	?>
	<article>		
		<h<?php echo $FieldList_HeaderLevel; ?>><?php echo $field->GetName(); ?></h<?php echo $FieldList_HeaderLevel; ?>>
		<?php if($FieldList_Show_Photo && !empty($field->GetPhoto())): ?>
	    <img class="alignright" src="<?php echo $field->GetPhoto(); ?>" alt="" data-photo-for="<?php echo $field->GetID(); ?>" />
	    <?php endif; ?>		
	    <?php if(!empty($FieldList_Address)): ?>
	    <section data-type="address">
		    <h<?php echo $FieldList_HeaderLevel + 1; ?>><?php echo Localization::FIELDLIST_HEADLINE_ADDRESS; ?></h<?php echo $FieldList_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $FieldList_Address; ?>
		    </p>
	    </section>
	    <?php endif; ?>	    
	    <?php if(!empty($FieldList_Description)): ?>
	    <section data-type="description">
		    <h<?php echo $FieldList_HeaderLevel + 1; ?>><?php echo Localization::FIELDLIST_HEADLINE_DESCRIPTION; ?></h<?php echo $FieldList_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $FieldList_Description; ?>
		    </p>	    
	    </section>
	    <?php endif; ?>
	    <?php if(!empty($FieldList_OtherInformation)): ?>
	    <section data-type="otherinformation">
		    <h<?php echo $FieldList_HeaderLevel + 1; ?>><?php echo Localization::FIELDLIST_HEADLINE_OTHERINFORMATION; ?></h<?php echo $FieldList_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $FieldList_OtherInformation; ?>
		    </p>	    
	    </section>
	    <?php endif; ?> 
	    <?php if(!empty($FieldList_GroundRules)): ?>
	    <section data-type="groundrules">
		    <h<?php echo $FieldList_HeaderLevel + 1; ?>><?php echo Localization::FIELDLIST_HEADLINE_GROUNDRULES; ?></h<?php echo $FieldList_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $FieldList_GroundRules; ?>
		    </p>	    
	    </section>
	    <?php endif; ?>  
	</article>
	<?php endforeach; ?>
</div>