<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($FunctionaryList_Club)){
	$FunctionaryList_Club = null;
}
else if(!is_numeric($FunctionaryList_Club)){
	//Wenn Vereinskrzel, muss momentan Verein abgerufen werden, um die interne ID zu erhalten
	$FunctionaryList_Club = Api::GetClub($FunctionaryList_Club)->GetID();
}
//String -> Check empty
if(empty($FunctionaryList_Function)){
	$FunctionaryList_Function = null;
}
//String -> Check empty
if(empty($FunctionaryList_Category)){
	$FunctionaryList_Category = null;
}
//String -> Check empty
if(empty($FunctionaryList_Data)){
	$FunctionaryList_Data = null;
}
//Bool -> Check !isset
if(!isset($FunctionaryList_Use_EMailIcon)){
	$FunctionaryList_Use_EMailIcon = false;
}

//Initalisieren der Show-Data Variablen
$FunctionaryList_Data_Array = Helper::ConvertParameterListToArray($FunctionaryList_Data);

$FunctionaryList_Show_Category = in_array("category", $FunctionaryList_Data_Array);
$FunctionaryList_Show_Function = in_array("function", $FunctionaryList_Data_Array);
$FunctionaryList_Show_Photo = in_array("photo", $FunctionaryList_Data_Array);
$FunctionaryList_Show_Address = in_array("address", $FunctionaryList_Data_Array);
$FunctionaryList_Show_Phone = in_array("phone", $FunctionaryList_Data_Array);
$FunctionaryList_Show_Mobile = in_array("mobile", $FunctionaryList_Data_Array);
$FunctionaryList_Show_Fax = in_array("fax", $FunctionaryList_Data_Array);
$FunctionaryList_Show_EMail = in_array("email", $FunctionaryList_Data_Array);

$FunctionaryList_Max_HeaderLevel = $FunctionaryList_Show_Category && $FunctionaryList_Show_Function ? 5 : 6;

//Int != 0 -> Check empty
if(empty($FunctionaryList_HeaderLevel)){
	$FunctionaryList_HeaderLevel = 2;
}
else if(!is_numeric($FunctionaryList_HeaderLevel) || $FunctionaryList_HeaderLevel < 1 || $FunctionaryList_HeaderLevel > $FunctionaryList_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $FunctionaryList_Max_HeaderLevel);
}

?>
<div data-bsm="data-bsm" data-type="list" data-object-type="functionary" data-object-relation-type="<?php echo empty($FunctionaryList_Club) ? "organization" : "club"; ?>">	
	<?php foreach(Helper::GroupFunctions(empty($FunctionaryList_Club) ? Api::GetFunctionariesForOrganization() : Api::GetFunctionariesForClub($FunctionaryList_Club), $FunctionaryList_Category, $FunctionaryList_Function) as $category => $functionGrouping): ?>
	<<?php echo ($FunctionaryList_Show_Category ? "section" : "div") ?> data-grouping="<?php echo $category; ?>" data-grouping-type="category">
		<?php if($FunctionaryList_Show_Category): ?>
		<h<?php echo $FunctionaryList_HeaderLevel; ?>><?php echo $category; ?></h<?php echo $FunctionaryList_HeaderLevel; ?>>
		<?php endif; ?>
		<?php
			$FunctionaryList_FunctionGroupings = array();
			foreach ($functionGrouping as $function){
				
				$groupingFunction = $function->GetName();
				//Gruppierung nach Funktion
				//Wenn inneres Array noch nicht existert, erzeugen
				if(!array_key_exists($groupingFunction, $FunctionaryList_FunctionGroupings)){
					//Inneres Array erzeugen
					$FunctionaryList_FunctionGroupings[$groupingFunction] = array();
				}
				//Dem inneren Array den Funktionr hinzufgen
				array_push($FunctionaryList_FunctionGroupings[$groupingFunction], $function);
			} 
		?>
		<?php foreach($FunctionaryList_FunctionGroupings as $functionName => $functions): ?>
		<<?php echo ($FunctionaryList_Show_Function ? "article" : "div") ?> data-grouping="<?php echo $functionName; ?>" data-grouping-type="function">
			<?php if($FunctionaryList_Show_Function): ?>
			<h<?php echo $FunctionaryList_HeaderLevel + ($FunctionaryList_Show_Category ? 1 : 0); ?>><?php echo $functionName; ?></h<?php echo $FunctionaryList_HeaderLevel + ($FunctionaryList_Show_Category ? 1 : 0); ?>>
			<?php endif; ?>
			<?php $FunctionaryList_FunctionCount = count($functions); ?>
			<?php foreach($functions as $function): ?>
			<div>			
				<?php			
					$FunctionaryList_Person = $function->GetPerson();
					$FunctionaryList_ContactInfo = $FunctionaryList_Person->GetContactInfo();
					
					// Photo
					$FunctionaryList_Photo = ($FunctionaryList_Show_Photo && !empty($FunctionaryList_ContactInfo) ? $FunctionaryList_ContactInfo->GetPhoto() : null);
					
					// Adresse
					$FunctionaryList_Address = ($FunctionaryList_Show_Address && !empty($FunctionaryList_ContactInfo) ? Helper::GetFullAddress($FunctionaryList_ContactInfo) : null);				
					
					// Telefon
					$FunctionaryList_Phone = ($FunctionaryList_Show_Phone && !empty($FunctionaryList_ContactInfo) ? $FunctionaryList_ContactInfo->GetPhone() : null);	
					
					// Mobil
					$FunctionaryList_Mobile = ($FunctionaryList_Show_Mobile&& !empty($FunctionaryList_ContactInfo) ? $FunctionaryList_ContactInfo->GetMobile() : null);	
					
					// Fax
					$FunctionaryList_Fax = ($FunctionaryList_Show_Fax && !empty($FunctionaryList_ContactInfo) ? $FunctionaryList_ContactInfo->GetFax() : null);		
					
					// EMail
					$FunctionaryList_EMail = $FunctionaryList_Show_EMail && !empty($function->GetMail()) ? $function->GetMail() : ($FunctionaryList_Show_EMail && !empty($FunctionaryList_ContactInfo) ? Helper::GetUsedEMail($FunctionaryList_ContactInfo) : null);			
				?>		
				<?php if(!empty($FunctionaryList_Photo)): ?>
		    	<img class="alignright" src="<?php echo $FunctionaryList_Photo; ?>" alt="" data-photo-for="<?php echo $function->GetName(); ?>" />
		   		<?php endif; ?>		    
		   		<p>
				    <?php echo Helper::GetPersonDisplayName($FunctionaryList_Person); ?>
				    <br />
				    <?php if(!empty($FunctionaryList_Address)): ?>
				    <?php echo $FunctionaryList_Address; ?>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($FunctionaryList_Phone)): ?>
				    <?php echo Localization::FUNCTIONARYLIST_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($FunctionaryList_Phone); ?>"><?php echo Helper::ToHtmlNumbers($FunctionaryList_Phone); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($FunctionaryList_Mobile)): ?>
				    <?php echo Localization::FUNCTIONARYLIST_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($FunctionaryList_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($FunctionaryList_Mobile); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($FunctionaryList_Fax)): ?>
				    <?php echo Localization::FUNCTIONARYLIST_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($FunctionaryList_Fax); ?>"><?php echo Helper::ToHtmlNumbers($FunctionaryList_Fax); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($FunctionaryList_EMail)): ?>
				    <a href="<?php echo Helper::ToMailToLink($FunctionaryList_EMail); ?>"<?php if($FunctionaryList_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($FunctionaryList_EMail); ?>"<?php endif; ?>><?php if($FunctionaryList_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($FunctionaryList_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($FunctionaryList_EMail); ?><?php endif; ?></a>				
					<br />
					<?php endif; ?>
				</p>
			</div>
			<?php endforeach; ?>
		</<?php echo ($FunctionaryList_Show_Function ? "article" : "div") ?>>
		<?php endforeach; ?>
	</<?php echo ($FunctionaryList_Show_Category ? "section" : "div") ?>>
	<?php endforeach; ?>
</div>