<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($FunctionaryTable_Club)){
	$FunctionaryTable_Club = null;
}
else if(!is_numeric($FunctionaryTable_Club)){
	//Wenn Vereinskrzel, muss momentan Verein abgerufen werden, um die interne ID zu erhalten
	$FunctionaryTable_Club = Api::GetClub($FunctionaryTable_Club)->GetID();
}
//String -> Check empty
if(empty($FunctionaryTable_Function)){
	$FunctionaryTable_Function = null;
}
//String -> Check empty
if(empty($FunctionaryTable_Category)){
	$FunctionaryTable_Category = null;
}
//String -> Check empty
if(empty($FunctionaryTable_Data)){
	$FunctionaryTable_Data = null;
}
//Bool -> Check !isset
if(!isset($FunctionaryTable_Use_EMailIcon)){
	$FunctionaryTable_Use_EMailIcon = false;
}

//Initalisieren der Show-Data Variablen
$FunctionaryTable_Data_Array = Helper::ConvertParameterListToArray($FunctionaryTable_Data);

$FunctionaryTable_Show_Category = in_array("category", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_Function = in_array("function", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_Photo = in_array("photo", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_Address = in_array("address", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_Phone = in_array("phone", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_Mobile = in_array("mobile", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_Fax = in_array("fax", $FunctionaryTable_Data_Array);
$FunctionaryTable_Show_EMail = in_array("email", $FunctionaryTable_Data_Array);

?>
<div data-bsm="data-bsm" data-type="table" data-object-type="functionary" data-object-relation-type="<?php echo empty($FunctionaryTable_Club) ? "organization" : "club"; ?>">
	<?php foreach(Helper::GroupFunctions(empty($FunctionaryTable_Club) ? Api::GetFunctionariesForOrganization() : Api::GetFunctionariesForClub($FunctionaryTable_Club), $FunctionaryTable_Category, $FunctionaryTable_Function) as $category => $functionGrouping): ?>
	<table data-grouping="<?php echo $category; ?>" data-grouping-type="category">
		<?php if($FunctionaryTable_Show_Category): ?>
		<caption><?php echo $category; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<?php if ($FunctionaryTable_Show_Function): ?><th data-cell-for="function"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_FUNCTION; ?></th><?php endif; ?>
				<th data-cell-for="personname"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_PERSONNAME; ?></th>
				<?php if ($FunctionaryTable_Show_Photo): ?><th data-cell-for="photo"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_PHOTO; ?></th><?php endif; ?>			
				<?php if ($FunctionaryTable_Show_Address): ?><th data-cell-for="address"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_ADDRESS; ?></th><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Phone): ?><th data-cell-for="phone"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_PHONE; ?></th><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Mobile): ?><th data-cell-for="mobile"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_MOBILE; ?></th><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Fax): ?><th data-cell-for="fax"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_FAX; ?></th><?php endif; ?>
				<?php if ($FunctionaryTable_Show_EMail): ?><th data-cell-for="email"><?php echo Localization::FUNCTIONARYTABLE_COLUMN_EMAIL; ?></th><?php endif; ?>			
			</tr>
		</thead>
		<tbody>
			<?php foreach($functionGrouping as $function): ?>
			<?php			
				$FunctionaryTable_Person = $function->GetPerson();
				$FunctionaryTable_ContactInfo = $FunctionaryTable_Person->GetContactInfo();
							
				// Tel
				$FunctionaryTable_Phone = empty($FunctionaryTable_ContactInfo) ? null : $FunctionaryTable_ContactInfo->GetPhone();
				
				// Mobil
				$FunctionaryTable_Mobile = empty($FunctionaryTable_ContactInfo) ? null : $FunctionaryTable_ContactInfo->GetMobile();
				
				// Fax
				$FunctionaryTable_Fax = empty($FunctionaryTable_ContactInfo) ? null : $FunctionaryTable_ContactInfo->GetFax();
				
				// EMail
				$FunctionaryTable_EMail = !empty($function->GetMail()) ? $function->GetMail() : (empty($FunctionaryTable_ContactInfo) ? null : Helper::GetUsedEMail($FunctionaryTable_ContactInfo));
			?>
			<tr data-row-for="<?php echo $function->GetName(); ?>">			
				<?php if ($FunctionaryTable_Show_Function): ?><td data-cell-for="function"><?php echo $function->GetName(); ?></td><?php endif; ?>
				<td data-cell-for="personname"><?php echo Helper::GetPersonDisplayName($FunctionaryTable_Person, true); ?></td>
				<?php if ($FunctionaryTable_Show_Photo): ?><td data-cell-for="photo"><?php if (empty($FunctionaryTable_ContactInfo) || empty($FunctionaryTable_ContactInfo->GetPhoto())): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><img src="<?php echo $FunctionaryTable_ContactInfo->GetPhoto(); ?>" alt="" data-photo-for="<?php echo $function->GetName(); ?>" /><?php endif;?></td><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Address): ?><td data-cell-for="address"><?php echo Helper::PlaceholderIfEmpty(empty($FunctionaryTable_ContactInfo) ? null : Helper::GetFullAddress($FunctionaryTable_ContactInfo)); ?></td><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Phone): ?><td data-cell-for="phone"><?php if (empty($FunctionaryTable_Phone)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($FunctionaryTable_Phone); ?>"><?php echo Helper::ToHtmlNumbers($FunctionaryTable_Phone); ?></a><?php endif;?></td><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Mobile): ?><td data-cell-for="mobile"><?php if (empty($FunctionaryTable_Mobile)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($FunctionaryTable_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($FunctionaryTable_Mobile); ?></a><?php endif;?></td><?php endif; ?>
				<?php if ($FunctionaryTable_Show_Fax): ?><td data-cell-for="fax"><?php if (empty($FunctionaryTable_Fax)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($FunctionaryTable_Fax); ?>"><?php echo Helper::ToHtmlNumbers($FunctionaryTable_Fax); ?></a><?php endif;?></td><?php endif; ?>			
				<?php if ($FunctionaryTable_Show_EMail): ?><td data-cell-for="email"><?php if (empty($FunctionaryTable_EMail)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToMailToLink($FunctionaryTable_EMail); ?>"<?php if($FunctionaryTable_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($FunctionaryTable_EMail); ?>"<?php endif; ?>><?php if($FunctionaryTable_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($FunctionaryTable_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($FunctionaryTable_EMail); ?><?php endif; ?></a><?php endif;?></td><?php endif; ?>	
			</tr>		
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php endforeach; ?>
</div>