<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($League_ID)){
	throw new Exception("No league given");
}
//String -> Check empty
if(empty($League_Data)){
	$League_Data = null;
}
//Bool -> Check !isset
if(!isset($League_Use_EMailIcon)){
	$League_Use_EMailIcon = false;
}

//Initalisieren der Show Variablen
$League_Data_Array = Helper::ConvertParameterListToArray($League_Data);

$League_Show_Name = in_array("name", $League_Data_Array);
$League_Show_Manager = in_array("manager", $League_Data_Array);
$League_Show_Statistician = in_array("statistician", $League_Data_Array);
// $League_Show_Statistician2 = in_array("statistician2", $League_Data_Array);
$League_Show_UmpireSelector = in_array("umpireselector", $League_Data_Array);
$League_Show_Photo = in_array("photo", $League_Data_Array);
$League_Show_Address = in_array("address", $League_Data_Array);
$League_Show_Phone = in_array("phone", $League_Data_Array);
$League_Show_Mobile = in_array("mobile", $League_Data_Array);
$League_Show_Fax = in_array("fax", $League_Data_Array);
$League_Show_EMail = in_array("email", $League_Data_Array);
$League_Show_GameMode = in_array("gamemode", $League_Data_Array);
$League_Show_GameRoundModeDescription = in_array("gameroundmodedescription", $League_Data_Array);
$League_Show_GameModeHtml = in_array("gamemodehtml", $League_Data_Array);
$League_Show_GameRoundModeDescriptionHtml = in_array("gameroundmodedescriptionhtml", $League_Data_Array);
$League_Show_UmpireSelection = in_array("umpireselection", $League_Data_Array);
$League_Show_ScorerSelection = in_array("scorerselection", $League_Data_Array);
$League_Show_ScoreReporting = in_array("scorereporting", $League_Data_Array);

//Ohne Beachtung der tatschlichen Daten, da dem Konfigurator evtl. ein falsches MaxLevel suggeriert wird (Geht zwar mit aktuellen Daten, bei anderer Liga aber vllt. nicht)
$League_Show_OtherInformation = $League_Show_UmpireSelection || $League_Show_ScorerSelection || $League_Show_ScoreReporting;

$League_Max_HeaderLevel = $League_Show_Name && ($League_Show_Manager || $League_Show_Statistician || $League_Show_UmpireSelector || $League_Show_GameMode || $League_Show_GameRoundModeDescription || $League_Show_OtherInformation) ? 5 : 6;

//Int != 0 -> Check empty
if(empty($League_HeaderLevel)){
	$League_HeaderLevel = 2;
}
else if(!is_numeric($League_HeaderLevel) || $League_HeaderLevel < 1 || $League_HeaderLevel > $League_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $League_Max_HeaderLevel);
}

// Liga erhalten
$League = Api::GetLeague($League_ID);
?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="league">
	<<?php echo $League_Show_Name ? "article" : "div"; ?>>
		<?php
			//Manager
			$League_Manager = $League_Show_Manager ? $League->GetManager() : null;
			//Statistikstelle
			$League_Statistician = $League_Show_Statistician ? $League->GetStatistician() : null;
			$League_Statistician2 = $League_Show_Statistician ? $League->GetStatistician2() : null;
			//Umpire Einteiler
			$League_UmpireSelector = $League_Show_UmpireSelector ? $League->GetUmpireSelector() : null;
			//Game Mode
			$League_GameMode = $League_Show_GameMode ? $League->GetGameMode() : null;
			//Game Round Mode Description
			$League_GameRoundModeDescription = $League_Show_GameRoundModeDescription ? $League->GetGameRoundModeDescription() : null;
			$League_GameModeHtml =  $League_Show_GameModeHtml ? $League->GetGameModeHtml() : null;
			$League_GameRoundModeDescriptionHtml = $League_Show_GameRoundModeDescriptionHtml ? $League->GetGameRoundModeDescriptionHtml(): null;
				
			//OtherInformation
			//Umpire Selection
			$League_UmpireSelection = $League_Show_UmpireSelection ? $League->GetUmpireSelection() : null;			
			//Scorer Selection
			$League_ScorerSelection = $League_Show_ScorerSelection ? $League->GetScorerSelection() : null;			
			//Score Reporting
			$League_ScoreReporting = $League_Show_ScoreReporting ? $League->GetScoreReporting() : null;
			
			//Update Show-Variable fr Anzeige
			$League_Show_OtherInformation = !empty($League_UmpireSelection) || !empty($League_ScorerSelection) || !empty($League_ScoreReporting);						
	    ?>
	    <?php if($League_Show_Name): ?>
		<h<?php echo $League_HeaderLevel; ?>><?php echo $League->GetName(); ?></h<?php echo $League_HeaderLevel; ?>>
		<?php endif; ?>
		<?php if(!empty($League_Manager)): ?>
		<section data-type="manager">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_MANAGER; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <?php
			    $League_ContactInfo = $League_Manager->GetContactInfo();
			    
			    // Photo
			    $League_Photo = ($League_Show_Photo && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhoto() : null);
			    	
			    // Adresse
			    $League_Address = ($League_Show_Address && !empty($League_ContactInfo) ? Helper::GetFullAddress($League_ContactInfo) : null);
			    	
			    // Telefon
			    $League_Phone = ($League_Show_Phone && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhone() : null);
			    	
			    // Mobil
			    $League_Mobile = ($League_Show_Mobile && !empty($League_ContactInfo) ? $League_ContactInfo->GetMobile() : null);
			    	
			    // Fax
			    $League_Fax = ($League_Show_Fax && !empty($League_ContactInfo) ? $League_ContactInfo->GetFax() : null);
			    	
			    // EMail
			    $League_EMail = ($League_Show_EMail && !empty($League_ContactInfo) ? Helper::GetUsedEMail($League_ContactInfo) : null);
		    ?>
		    <?php if(!empty($League_Photo)): ?>
	    	<img class="alignright" src="<?php echo $League_Photo; ?>" alt="" data-photo-for="<?php echo $League->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($League_Manager); ?>
			    <br />
			    <?php if(!empty($League_Address)): ?>
			    <?php echo $League_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Phone)): ?>
			    <?php echo Localization::LEAGUE_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Phone); ?>"><?php echo Helper::ToHtmlNumbers($League_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Mobile)): ?>
			    <?php echo Localization::LEAGUE_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($League_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Fax)): ?>
			    <?php echo Localization::LEAGUE_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($League_Fax); ?>"><?php echo Helper::ToHtmlNumbers($League_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($League_EMail); ?>"<?php if($League_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>"<?php endif; ?>><?php if($League_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($League_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($League_Statistician)): ?>
		<section data-type="statistician">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_STATISTICIAN; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <?php
			    $League_ContactInfo = $League_Statistician->GetContactInfo();
			    
			    // Photo
			    $League_Photo = ($League_Show_Photo && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhoto() : null);
			    	
			    // Adresse
			    $League_Address = ($League_Show_Address && !empty($League_ContactInfo) ? Helper::GetFullAddress($League_ContactInfo) : null);
			    	
			    // Telefon
			    $League_Phone = ($League_Show_Phone && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhone() : null);
			    	
			    // Mobil
			    $League_Mobile = ($League_Show_Mobile && !empty($League_ContactInfo) ? $League_ContactInfo->GetMobile() : null);
			    	
			    // Fax
			    $League_Fax = ($League_Show_Fax && !empty($League_ContactInfo) ? $League_ContactInfo->GetFax() : null);
			    	
			    // EMail
			    $League_EMail = ($League_Show_EMail && !empty($League_ContactInfo) ? Helper::GetUsedEMail($League_ContactInfo) : null);
		    ?>
		    <?php if(!empty($League_Photo)): ?>
	    	<img class="alignright" src="<?php echo $League_Photo; ?>" alt="" data-photo-for="<?php echo $League->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($League_Statistician); ?>
			    <br />
			    <?php if(!empty($League_Address)): ?>
			    <?php echo $League_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Phone)): ?>
			    <?php echo Localization::LEAGUE_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Phone); ?>"><?php echo Helper::ToHtmlNumbers($League_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Mobile)): ?>
			    <?php echo Localization::LEAGUE_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($League_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Fax)): ?>
			    <?php echo Localization::LEAGUE_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($League_Fax); ?>"><?php echo Helper::ToHtmlNumbers($League_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($League_EMail); ?>"<?php if($League_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>"<?php endif; ?>><?php if($League_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($League_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($League_Statistician2)): ?>
		<section data-type="statistician">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_STATISTICIAN; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <?php
			    $League_ContactInfo = $League_Statistician2->GetContactInfo();
			    
			    // Photo
			    $League_Photo = ($League_Show_Photo && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhoto() : null);
			    	
			    // Adresse
			    $League_Address = ($League_Show_Address && !empty($League_ContactInfo) ? Helper::GetFullAddress($League_ContactInfo) : null);
			    	
			    // Telefon
			    $League_Phone = ($League_Show_Phone && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhone() : null);
			    	
			    // Mobil
			    $League_Mobile = ($League_Show_Mobile && !empty($League_ContactInfo) ? $League_ContactInfo->GetMobile() : null);
			    	
			    // Fax
			    $League_Fax = ($League_Show_Fax && !empty($League_ContactInfo) ? $League_ContactInfo->GetFax() : null);
			    	
			    // EMail
			    $League_EMail = ($League_Show_EMail && !empty($League_ContactInfo) ? Helper::GetUsedEMail($League_ContactInfo) : null);
		    ?>
		    <?php if(!empty($League_Photo)): ?>
	    	<img class="alignright" src="<?php echo $League_Photo; ?>" alt="" data-photo-for="<?php echo $League->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($League_Statistician2); ?>
			    <br />
			    <?php if(!empty($League_Address)): ?>
			    <?php echo $League_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Phone)): ?>
			    <?php echo Localization::LEAGUE_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Phone); ?>"><?php echo Helper::ToHtmlNumbers($League_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Mobile)): ?>
			    <?php echo Localization::LEAGUE_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($League_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Fax)): ?>
			    <?php echo Localization::LEAGUE_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($League_Fax); ?>"><?php echo Helper::ToHtmlNumbers($League_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($League_EMail); ?>"<?php if($League_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>"<?php endif; ?>><?php if($League_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($League_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($League_UmpireSelector)): ?>
		<section data-type="umpireselector">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_UMPIRESELECTOR; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <?php
			    $League_ContactInfo = $League_UmpireSelector->GetContactInfo();
			    
			    // Photo
			    $League_Photo = ($League_Show_Photo && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhoto() : null);
			    	
			    // Adresse
			    $League_Address = ($League_Show_Address && !empty($League_ContactInfo) ? Helper::GetFullAddress($League_ContactInfo) : null);
			    	
			    // Telefon
			    $League_Phone = ($League_Show_Phone && !empty($League_ContactInfo) ? $League_ContactInfo->GetPhone() : null);
			    	
			    // Mobil
			    $League_Mobile = ($League_Show_Mobile && !empty($League_ContactInfo) ? $League_ContactInfo->GetMobile() : null);
			    	
			    // Fax
			    $League_Fax = ($League_Show_Fax && !empty($League_ContactInfo) ? $League_ContactInfo->GetFax() : null);
			    	
			    // EMail
			    $League_EMail = ($League_Show_EMail && !empty($League_ContactInfo) ? Helper::GetUsedEMail($League_ContactInfo) : null);
		    ?>
		    <?php if(!empty($League_Photo)): ?>
	    	<img class="alignright" src="<?php echo $League_Photo; ?>" alt="" data-photo-for="<?php echo $League->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($League_UmpireSelector); ?>
			    <br />
			    <?php if(!empty($League_Address)): ?>
			    <?php echo $League_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Phone)): ?>
			    <?php echo Localization::LEAGUE_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Phone); ?>"><?php echo Helper::ToHtmlNumbers($League_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Mobile)): ?>
			    <?php echo Localization::LEAGUE_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($League_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($League_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_Fax)): ?>
			    <?php echo Localization::LEAGUE_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($League_Fax); ?>"><?php echo Helper::ToHtmlNumbers($League_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($League_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($League_EMail); ?>"<?php if($League_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>"<?php endif; ?>><?php if($League_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($League_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($League_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($League_GameMode)): ?>
	    <section data-type="gamemode">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_GAMEMODE; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo nl2br($League_GameMode); ?>
		    </p>
	    </section>	  
	    <?php endif; ?>
	    <?php if(!empty($League_GameRoundModeDescription)): ?>
	    <section data-type="gameroundmodedescription">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_GAMEROUNDMODEDESCRIPTION; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo nl2br($League_GameRoundModeDescription); ?>
		    </p>
	    </section>	
	    <?php endif; ?>
	    <?php if(!empty($League_GameModeHtml)): ?>
	    <section data-type="gamemode">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_GAMEMODE; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo $League_GameModeHtml; ?>
		    </p>
	    </section>	  
	    <?php endif; ?>
	    <?php if(!empty($League_GameRoundModeDescriptionHtml)): ?>
	    <section data-type="gameroundmodedescription">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_GAMEROUNDMODEDESCRIPTION; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo $League_GameRoundModeDescriptionHtml; ?>
		    </p>
	    </section>	
	    <?php endif; ?>
	    <?php if($League_Show_OtherInformation): ?>
	    <section data-type="otherinformation">
		    <h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUE_HEADLINE_OTHERINFORMATION; ?></h<?php echo $League_HeaderLevel + ($League_Show_Name ? 1 : 0); ?>>
		    <dl>		    	
		    	<?php if(!empty($League_UmpireSelection)): ?>
		    	<dt><?php echo Localization::LEAGUE_LABEL_UMPIRESELECTION; ?></dt>
		    	<dd><?php echo $League_UmpireSelection; ?></dd>
		    	<?php endif; ?>
		    	<?php if(!empty($League_ScorerSelection)): ?>
		    	<dt><?php echo Localization::LEAGUE_LABEL_SCORERSELECTION; ?></dt>
		    	<dd><?php echo $League_ScorerSelection; ?></dd>
		    	<?php endif; ?>
		    	<?php if(!empty($League_ScoreReporting)): ?>
		    	<dt><?php echo Localization::LEAGUE_LABEL_SCOREREPORTING; ?></dt>
		    	<dd><?php echo $League_ScoreReporting; ?></dd>
		    	<?php endif; ?>
		    </dl>
	    </section>	
	    <?php endif; ?>
	</<?php echo $League_Show_Name ? "article" : "div" ?>>
</div>