<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
/*
if(empty($LeagueGroup_ClassID)){
	throw new Exception("No league given");
}
*/
if(empty($LeagueGroup_ID)){
	throw new Exception("No league group given");
}
//String -> Check empty
if(empty($LeagueGroup_Data)){
	$LeagueGroup_Data = null;
}
//Bool -> Check !isset
if(!isset($LeagueGroup_Use_EMailIcon)){
	$LeagueGroup_Use_EMailIcon = false;
}

//Initalisieren der Show Variablen
$LeagueGroup_Data_Array = Helper::ConvertParameterListToArray($LeagueGroup_Data);

$LeagueGroup_Show_Name = in_array("name", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Manager = in_array("manager", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Statistician = in_array("statistician", $LeagueGroup_Data_Array);
// $LeagueGroup_Show_Statistician2 = in_array("statistician2", $LeagueGroup_Data_Array);
$LeagueGroup_Show_UmpireSelector = in_array("umpireselector", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Photo = in_array("photo", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Address = in_array("address", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Phone = in_array("phone", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Mobile = in_array("mobile", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Fax = in_array("fax", $LeagueGroup_Data_Array);
$LeagueGroup_Show_EMail = in_array("email", $LeagueGroup_Data_Array);
$LeagueGroup_Show_GameMode = in_array("gamemode", $LeagueGroup_Data_Array);
$LeagueGroup_Show_GameRoundModeDescription = in_array("gameroundmodedescription", $LeagueGroup_Data_Array);
$LeagueGroup_Show_GameModeHtml = in_array("gamemodehtml", $LeagueGroup_Data_Array);
$LeagueGroup_Show_GameRoundModeDescriptionHtml = in_array("gameroundmodedescriptionhtml", $LeagueGroup_Data_Array);
$LeagueGroup_Show_UmpireSelection = in_array("umpireselection", $LeagueGroup_Data_Array);
$LeagueGroup_Show_ScorerSelection = in_array("scorerselection", $LeagueGroup_Data_Array);
$LeagueGroup_Show_ScoreReporting = in_array("scorereporting", $LeagueGroup_Data_Array);
$LeagueGroup_Show_MatchMoveDeadline = in_array("matchmovedeadline", $LeagueGroup_Data_Array);
$LeagueGroup_Show_Season = in_array("season", $LeagueGroup_Data_Array);

//Ohne Beachtung der tatschlichen Daten, da dem Konfigurator evtl. ein falsches MaxLevel suggeriert wird (Geht zwar mit aktuellen Daten, bei anderer Liga aber vllt. nicht)
$LeagueGroup_Show_OtherInformation = $LeagueGroup_Show_UmpireSelection || $LeagueGroup_Show_ScorerSelection || $LeagueGroup_Show_ScoreReporting;

$LeagueGroup_Max_HeaderLevel = $LeagueGroup_Show_Name && ($LeagueGroup_Show_Manager || $LeagueGroup_Show_Statistician || $LeagueGroup_Show_UmpireSelector || $LeagueGroup_Show_GameMode || $LeagueGroup_Show_GameRoundModeDescription || $LeagueGroup_Show_GameModeHtml || $LeagueGroup_Show_GameRoundModeDescriptionHtml || $LeagueGroup_Show_OtherInformation) ? 5 : 6;

//Int != 0 -> Check empty
if(empty($LeagueGroup_HeaderLevel)){
	$LeagueGroup_HeaderLevel = 2;
}
else if(!is_numeric($LeagueGroup_HeaderLevel) || $LeagueGroup_HeaderLevel < 1 || $LeagueGroup_HeaderLevel > $LeagueGroup_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $LeagueGroup_Max_HeaderLevel);
}

// Liga erhalten
//$LeagueGroup = Api::GetLeagueGroup($LeagueGroup_ClassID, $LeagueGroup_ID);
$LeagueGroup = Api::GetLeagueGroup($LeagueGroup_ID);
?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="leagueGroup">
	<<?php echo $LeagueGroup_Show_Name ? "article" : "div"; ?>>
		<?php		
			//Manager
			$LeagueGroup_Manager = $LeagueGroup_Show_Manager ? $LeagueGroup->GetManager() : null;
			//Statistikstelle
			$LeagueGroup_Statistician = $LeagueGroup_Show_Statistician ? $LeagueGroup->GetStatistician() : null;
			$LeagueGroup_Statistician2 = $LeagueGroup_Show_Statistician ? $LeagueGroup->GetStatistician2() : null;
			//Umpire Einteiler
			//$LeagueGroup_UmpireSelector = $LeagueGroup_Show_UmpireSelector ? $LeagueGroup->GetUmpireSelector() : null;
			$LeagueGroup_UmpireSelectorArray = $LeagueGroup_Show_UmpireSelector ? $LeagueGroup->GetUmpireSelector() : null;
			//Game Mode
			$LeagueGroup_GameMode = $LeagueGroup_Show_GameMode ? $LeagueGroup->GetGameMode() : null;		
			$LeagueGroup_GameRoundModeDescription = $LeagueGroup_Show_GameRoundModeDescription ? $LeagueGroup->GetGameRoundModeDescription() : null;
			$LeagueGroup_GameModeHtml =  $LeagueGroup_Show_GameModeHtml ? $LeagueGroup->GetGameModeHtml() : null;
			//$LeagueGroup_GameRoundModeDescriptionHtml = $LeagueGroup_Show_GameRoundModeDescriptionHtml ? $LeagueGroup->GetGameRoundModeDescriptionHtml() : null;
			
			//OtherInformation
			//Umpire Selection
			$LeagueGroup_UmpireSelection = $LeagueGroup_Show_UmpireSelection ? $LeagueGroup->GetUmpireSelection() : null;
			//Scorer Selection
			$LeagueGroup_ScorerSelection = $LeagueGroup_Show_ScorerSelection ? $LeagueGroup->GetScorerSelection() : null;
			//Score Reporting
			$LeagueGroup_ScoreReporting = $LeagueGroup_Show_ScoreReporting ? $LeagueGroup->GetScoreReporting() : null;
			
			//Match Move Deadline
			$LeagueGroup_MatchMoveDeadline = $LeagueGroup_Show_MatchMoveDeadline ? Helper::GetDateByString($LeagueGroup->GetMatchMoveDeadline()) : null;
				
			
			//Update Show-Variable fr Anzeige
			$LeagueGroup_Show_OtherInformation = !empty($LeagueGroup_UmpireSelection) || !empty($LeagueGroup_ScorerSelection) || !empty($LeagueGroup_ScoreReporting);
		?>
	    <?php if($LeagueGroup_Show_Name): ?>
		<h<?php echo $LeagueGroup_HeaderLevel; ?>>
			<?php echo $LeagueGroup->GetName(); ?>
		    <?php if($LeagueGroup_Show_Season): ?>
				<?php echo $LeagueGroup->GetSeason(); ?>
		    <?php endif; ?>		
		</h<?php echo $LeagueGroup_HeaderLevel; ?>>
		<?php endif; ?>		
		<?php if(!empty($LeagueGroup_Manager)): ?>
		<section data-type="manager">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_MANAGER; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <?php
			    $LeagueGroup_ContactInfo = $LeagueGroup_Manager->GetContactInfo();
			    
			    // Photo
			    $LeagueGroup_Photo = ($LeagueGroup_Show_Photo && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhoto() : null);
			    // Adresse
			    $LeagueGroup_Address = ($LeagueGroup_Show_Address && !empty($LeagueGroup_ContactInfo) ? Helper::GetFullAddress($LeagueGroup_ContactInfo) : null);
			    // Telefon
			    $LeagueGroup_Phone = ($LeagueGroup_Show_Phone && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhone() : null);
			    // Mobil
			    $LeagueGroup_Mobile = ($LeagueGroup_Show_Mobile && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetMobile() : null);
			    // Fax
			    $LeagueGroup_Fax = ($LeagueGroup_Show_Fax && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetFax() : null);
			    // EMail
			    $LeagueGroup_EMail = ($LeagueGroup_Show_EMail && !empty($LeagueGroup_ContactInfo) ? Helper::GetUsedEMail($LeagueGroup_ContactInfo) : null);
		    ?>
		    <?php if(!empty($LeagueGroup_Photo)): ?>
	    	<img class="alignright" src="<?php echo $LeagueGroup_Photo; ?>" alt="" data-photo-for="<?php echo $LeagueGroup->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($LeagueGroup_Manager); ?>
			    <br />
			    <?php if(!empty($LeagueGroup_Address)): ?>
			    <?php echo $LeagueGroup_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Phone)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Phone); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Mobile)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Fax)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Fax); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($LeagueGroup_EMail); ?>"<?php if($LeagueGroup_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>"<?php endif; ?>><?php if($LeagueGroup_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($LeagueGroup_Statistician)): ?>
		<section data-type="statistician">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_STATISTICIAN; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <?php
			    $LeagueGroup_ContactInfo = $LeagueGroup_Statistician->GetContactInfo();
			    
			    // Photo
			    $LeagueGroup_Photo = ($LeagueGroup_Show_Photo && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhoto() : null);
			    // Adresse
			    $LeagueGroup_Address = ($LeagueGroup_Show_Address && !empty($LeagueGroup_ContactInfo) ? Helper::GetFullAddress($LeagueGroup_ContactInfo) : null);
			    // Telefon
			    $LeagueGroup_Phone = ($LeagueGroup_Show_Phone && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhone() : null);
			    // Mobil
			    $LeagueGroup_Mobile = ($LeagueGroup_Show_Mobile && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetMobile() : null);
			    // Fax
			    $LeagueGroup_Fax = ($LeagueGroup_Show_Fax && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetFax() : null);
			    // EMail
			    $LeagueGroup_EMail = ($LeagueGroup_Show_EMail && !empty($LeagueGroup_ContactInfo) ? Helper::GetUsedEMail($LeagueGroup_ContactInfo) : null);
		    ?>
		    <?php if(!empty($LeagueGroup_Photo)): ?>
	    	<img class="alignright" src="<?php echo $LeagueGroup_Photo; ?>" alt="" data-photo-for="<?php echo $LeagueGroup->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($LeagueGroup_Statistician); ?>
			    <br />
			    <?php if(!empty($LeagueGroup_Address)): ?>
			    <?php echo $LeagueGroup_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Phone)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Phone); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Mobile)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Fax)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Fax); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($LeagueGroup_EMail); ?>"<?php if($LeagueGroup_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>"<?php endif; ?>><?php if($LeagueGroup_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($LeagueGroup_Statistician2)): ?>
		<section data-type="statistician">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_STATISTICIAN; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <?php
			    $LeagueGroup_ContactInfo = $LeagueGroup_Statistician2->GetContactInfo();
			    
			    // Photo
			    $LeagueGroup_Photo = ($LeagueGroup_Show_Photo && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhoto() : null);
			    // Adresse
			    $LeagueGroup_Address = ($LeagueGroup_Show_Address && !empty($LeagueGroup_ContactInfo) ? Helper::GetFullAddress($LeagueGroup_ContactInfo) : null);
			    // Telefon
			    $LeagueGroup_Phone = ($LeagueGroup_Show_Phone && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhone() : null);
			    // Mobil
			    $LeagueGroup_Mobile = ($LeagueGroup_Show_Mobile && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetMobile() : null);
			    // Fax
			    $LeagueGroup_Fax = ($LeagueGroup_Show_Fax && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetFax() : null);
			    // EMail
			    $LeagueGroup_EMail = ($LeagueGroup_Show_EMail && !empty($LeagueGroup_ContactInfo) ? Helper::GetUsedEMail($LeagueGroup_ContactInfo) : null);
		    ?>
		    <?php if(!empty($LeagueGroup_Photo)): ?>
	    	<img class="alignright" src="<?php echo $LeagueGroup_Photo; ?>" alt="" data-photo-for="<?php echo $LeagueGroup->GetName(); ?>" />
	   		<?php endif; ?>		    
	   		<p>
			    <?php echo Helper::GetPersonDisplayName($LeagueGroup_Statistician2); ?>
			    <br />
			    <?php if(!empty($LeagueGroup_Address)): ?>
			    <?php echo $LeagueGroup_Address; ?>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Phone)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Phone); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Mobile)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Mobile); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_Fax)): ?>
			    <?php echo Localization::LEAGUEGROUP_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Fax); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Fax); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($LeagueGroup_EMail)): ?>
			    <a href="<?php echo Helper::ToMailToLink($LeagueGroup_EMail); ?>"<?php if($LeagueGroup_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>"<?php endif; ?>><?php if($LeagueGroup_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?><?php endif; ?></a>				
				<br />
				<?php endif; ?>
			</p>
	    </section>	    
	    <?php endif; ?>
	    <?php if(!empty($LeagueGroup_UmpireSelectorArray)): ?>
		<section data-type="umpireselector">
			<?php foreach($LeagueGroup_UmpireSelectorArray as $umpireSelector): ?>
			    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_UMPIRESELECTOR; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
			    <?php
				    $LeagueGroup_ContactInfo = $umpireSelector->GetContactInfo();
				    
				    // Photo
				    $LeagueGroup_Photo = ($LeagueGroup_Show_Photo && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhoto() : null);
				    // Adresse
				    $LeagueGroup_Address = ($LeagueGroup_Show_Address && !empty($LeagueGroup_ContactInfo) ? Helper::GetFullAddress($LeagueGroup_ContactInfo) : null);
				    // Telefon
				    $LeagueGroup_Phone = ($LeagueGroup_Show_Phone && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetPhone() : null);
				    // Mobil
				    $LeagueGroup_Mobile = ($LeagueGroup_Show_Mobile && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetMobile() : null);
				    // Fax
				    $LeagueGroup_Fax = ($LeagueGroup_Show_Fax && !empty($LeagueGroup_ContactInfo) ? $LeagueGroup_ContactInfo->GetFax() : null);
				    // EMail
				    $LeagueGroup_EMail = ($LeagueGroup_Show_EMail && !empty($LeagueGroup_ContactInfo) ? Helper::GetUsedEMail($LeagueGroup_ContactInfo) : null);
			    ?>
			    <?php if(!empty($LeagueGroup_Photo)): ?>
		    	<img class="alignright" src="<?php echo $LeagueGroup_Photo; ?>" alt="" data-photo-for="<?php echo $LeagueGroup->GetName(); ?>" />
		   		<?php endif; ?>		    
		   		<p>
				    <?php echo Helper::GetPersonDisplayName($umpireSelector); ?>
				    <br />
				    <?php if(!empty($LeagueGroup_Address)): ?>
				    <?php echo $LeagueGroup_Address; ?>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LeagueGroup_Phone)): ?>
				    <?php echo Localization::LEAGUEGROUP_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Phone); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Phone); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LeagueGroup_Mobile)): ?>
				    <?php echo Localization::LEAGUEGROUP_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Mobile); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LeagueGroup_Fax)): ?>
				    <?php echo Localization::LEAGUEGROUP_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($LeagueGroup_Fax); ?>"><?php echo Helper::ToHtmlNumbers($LeagueGroup_Fax); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LeagueGroup_EMail)): ?>
				    <a href="<?php echo Helper::ToMailToLink($LeagueGroup_EMail); ?>"<?php if($LeagueGroup_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>"<?php endif; ?>><?php if($LeagueGroup_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($LeagueGroup_EMail); ?><?php endif; ?></a>				
					<br />
					<?php endif; ?>
				</p>
			<?php endforeach; ?>
		  </section>
		<?php endif; ?>
	    <?php if(!empty($LeagueGroup_GameMode)): ?>
	    <section data-type="gamemode">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_GAMEMODE; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <p>
		  	<?php echo nl2br($LeagueGroup_GameMode); ?>
		    </p>
	    </section>
	    <?php endif; ?>
	    <?php if(!empty($LeagueGroup_GameRoundModeDescription)): ?>
	    <section data-type="gameroundmodedescription">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_GAMEROUNDMODEDESCRIPTION; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo nl2br($LeagueGroup_GameRoundModeDescription); ?>
		    </p>
	    </section>
	    <?php endif; ?>
	    <?php if(!empty($LeagueGroup_GameModeHtml)): ?>
	    <section data-type="gamemode">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_GAMEMODE; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo $LeagueGroup_GameModeHtml; ?>
		    </p>
	    </section>
	    <?php endif; ?>
	    <?php /* if(!empty($LeagueGroup_GameRoundModeDescriptionHtml)): ?>
	    <section data-type="gameroundmodedescription">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_GAMEROUNDMODEDESCRIPTION; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo $LeagueGroup_GameRoundModeDescriptionHtml; ?>
		    </p>
	    </section>
	    <?php endif; */ ?>
	    <?php if(!empty($LeagueGroup_MatchMoveDeadline)): ?>
	    <section data-type="matchmovedeadline">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_MATCH_MOVE_DEADLINE; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <p>
		    	<?php echo $LeagueGroup_MatchMoveDeadline; ?>
		    </p>
	    </section>
	    <?php endif; ?>
	    <?php if($LeagueGroup_Show_OtherInformation): ?>
	    <section data-type="otherinformation">
		    <h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>><?php echo Localization::LEAGUEGROUP_HEADLINE_OTHERINFORMATION; ?></h<?php echo $LeagueGroup_HeaderLevel + ($LeagueGroup_Show_Name ? 1 : 0); ?>>
		    <dl>
		    	<?php if(!empty($LeagueGroup_UmpireSelection)): ?>
		    	<dt><?php echo Localization::LEAGUEGROUP_LABEL_UMPIRESELECTION; ?></dt>
		    	<dd><?php echo $LeagueGroup_UmpireSelection; ?></dd>
		    	<?php endif; ?>
		    	<?php if(!empty($LeagueGroup_ScorerSelection)): ?>
		    	<dt><?php echo Localization::LEAGUEGROUP_LABEL_SCORERSELECTION; ?></dt>
		    	<dd><?php echo $LeagueGroup_ScorerSelection; ?></dd>
		    	<?php endif; ?>
		    	<?php if(!empty($LeagueGroup_ScoreReporting)): ?>
		    	<dt><?php echo Localization::LEAGUEGROUP_LABEL_SCOREREPORTING; ?></dt>
		    	<dd><?php echo $LeagueGroup_ScoreReporting; ?></dd>
		    	<?php endif; ?>
		    </dl>
	    </section>	
	    <?php endif; ?>
	</<?php echo $LeagueGroup_Show_Name ? "article" : "div" ?>>
</div>