<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//Bool -> Check !isset
if(!isset($LeagueGroupNavigator_IsRecursion)){
	$LeagueGroupNavigator_IsRecursion = false;
}
//Rekursion wird untersttzt
if(!$LeagueGroupNavigator_IsRecursion){
	//String/Int != 0 -> Check empty
	if(empty($LeagueGroupNavigator_ID)){
		$LeagueGroupNavigator_ID = null;
	}
	//String -> Check empty
	if(empty($LeagueGroupNavigator_DetailsUrl) && $LeagueGroupNavigator_Mode != "dropdownfield"){	
		throw new Exception("No details url given");
	}
	//String -> Check empty
	if(empty($LeagueGroupNavigator_Mode)){
		$LeagueGroupNavigator_Mode = "list";
	}
	else if($LeagueGroupNavigator_Mode != "list" && $LeagueGroupNavigator_Mode != "dropdown" && $LeagueGroupNavigator_Mode != "dropdownfield"){
		throw new Exception("Mode has only 3 valid values: 'list' (default), 'dropdown' and 'dropdownfield', but '" . $LeagueGroupNavigator_Mode . "' was set");
	}
	//Bool -> Check !isset
	if(!isset($LeagueGroupNavigator_Add_EmptyValue)){
		$LeagueGroupNavigator_Add_EmptyValue = false;
	}
	//String -> Check empty
	if(empty($LeagueGroupNavigator_Exclude_IDs)){
		$LeagueGroupNavigator_Exclude_IDs = null;
	}
	$LeagueGroupNavigator_Exclude_IDs_Array = Helper::ConvertParameterListToArray($LeagueGroupNavigator_Exclude_IDs);
	
	//String -> Check empty
	if(empty($LeagueGroupNavigator_Only_IDs)){
		$LeagueGroupNavigator_Only_IDs = null;
	}
	$LeagueGroupNavigator_Only_IDs_Array = Helper::ConvertParameterListToArray($LeagueGroupNavigator_Only_IDs);
	
	//Int != 0 -> Check empty
	if(empty($LeagueGroupNavigator_Season)){
		$LeagueGroupNavigator_Season = null;
	}
	
	$LeagueGroupNavigator_Entries = Api::GetLeagueGroupsForOrganization($LeagueGroupNavigator_Season);
	$LeagueGroupNavigator_Entries_Filtered = array();
	//Filtern nur ntig, wenn Daten vorhanden
	if(!empty($LeagueGroupNavigator_Entries)){
		
		foreach($LeagueGroupNavigator_Entries as $entry){
			//Wenn in Exclude-Array -> Weiter
			if(in_array($entry->GetID(), $LeagueGroupNavigator_Exclude_IDs_Array) || in_array($entry->GetAcronym(), $LeagueGroupNavigator_Exclude_IDs_Array)) { 
				continue; 
			}
			//Wenn nicht in Include-Array -> Weiter
			if(!empty($LeagueGroupNavigator_Only_IDs_Array) && !in_array($entry->GetID(), $LeagueGroupNavigator_Only_IDs_Array) && !in_array($entry->GetAcronym(), $LeagueGroupNavigator_Only_IDs_Array)){
				continue;
			}
			//Zur gefilterten Liste hinzufgen
			array_push($LeagueGroupNavigator_Entries_Filtered, $entry);
		}
	}
	if(!empty($LeagueGroupNavigator_Entries_Filtered) && $LeagueGroupNavigator_Add_EmptyValue){
		array_unshift($LeagueGroupNavigator_Entries_Filtered, Localization::LEAGUEGROUPNAVIGATOR_EMPTYVALUE);
	}
}
$LeagueGroupNavigator_IsRecursion = false;
?>
<?php //Bei "dropdownfield" nur Feld selbst erzeugen ?>
<?php if($LeagueGroupNavigator_Mode === "dropdownfield"): ?>
<?php if(!empty($LeagueGroupNavigator_Entries_Filtered)): ?>
<div data-entry-for="bsm_league">
	<label for="bsm_league"><?php echo Localization::LEAGUEGROUPNAVIGATOR_LABEL; ?></label>
	<select id="bsm_league" name="bsm_league">
		<?php foreach($LeagueGroupNavigator_Entries_Filtered as $leagueGroup): ?>
		<?php 
			$LeagueGroupNavigator_IsEmptyValue = !($leagueGroup instanceof LeagueGroup);
			$LeagueGroupNavigator_Current_Acronym = $LeagueGroupNavigator_IsEmptyValue ? "" : $leagueGroup->GetAcronym();
			$LeagueGroupNavigator_Current_ID = $LeagueGroupNavigator_IsEmptyValue ? "" : $leagueGroup->GetID();
			$LeagueGroupNavigator_Current_DisplayName = $LeagueGroupNavigator_IsEmptyValue ? $leagueGroup : $leagueGroup->GetName();
		?>
		<option value="<?php echo $LeagueGroupNavigator_Current_ID; ?>"<?php if($LeagueGroupNavigator_ID == $LeagueGroupNavigator_Current_ID || $LeagueGroupNavigator_ID == $LeagueGroupNavigator_Current_Acronym): ?> selected="selected"<?php endif;?>><?php echo $LeagueGroupNavigator_Current_DisplayName; ?></option>
		<?php endforeach; ?>
	</select>
</div>
<?php endif; ?>
<?php else: ?>
<?php //Standalone ?>
<div data-bsm="data-bsm" data-type="navigator" data-object-type="leagueGroup">
	<?php if(!empty($LeagueGroupNavigator_Entries_Filtered)): ?>
	<?php if($LeagueGroupNavigator_Mode === "list"): ?>
	<ul>
		<?php foreach($LeagueGroupNavigator_Entries_Filtered as $leagueGroup): ?>
		<li>
			<?php 
				$LeagueGroupNavigator_IsEmptyValue = !($leagueGroup instanceof LeagueGroup);			
				$LeagueGroupNavigator_Current_Acronym = $LeagueGroupNavigator_IsEmptyValue ? "" : $leagueGroup->GetAcronym();
				$LeagueGroupNavigator_Current_ID = $LeagueGroupNavigator_IsEmptyValue ? "" : $leagueGroup->GetID();
				$LeagueGroupNavigator_Current_DisplayName = $LeagueGroupNavigator_IsEmptyValue ? $leagueGroup : $leagueGroup->GetName();
				
				$url = $LeagueGroupNavigator_DetailsUrl;
				$query = parse_url($url, PHP_URL_QUERY);
				
				if($query){
					$url .= "&amp;";
				}else{					
					$url .= "?";
				}
				
				$url .= "bsm_league=" . $LeagueGroupNavigator_Current_ID;
				
				if(!empty($LeagueGroupNavigator_Season)){
					$url .= "&amp;bsm_season=" . $LeagueGroupNavigator_Season;
				}
			?>
			<a href="<?php echo $url; ?>"<?php if($LeagueGroupNavigator_ID == $LeagueGroupNavigator_Current_ID || $LeagueGroupNavigator_ID == $LeagueGroupNavigator_Current_Acronym): ?> data-highlight="<?php echo $LeagueGroupNavigator_ID; ?>"<?php endif;?>><?php echo $LeagueGroupNavigator_Current_DisplayName; ?></a>
		</li>
		<?php endforeach; ?>
	</ul>
	<?php elseif ($LeagueGroupNavigator_Mode === "dropdown"): ?>
	<?php
		$urlParts = parse_url($LeagueGroupNavigator_DetailsUrl);
		
		// check if absolute URL
		if($urlParts['scheme']) {
			$url = $urlParts['scheme'] . '://' . $urlParts['host'] . $urlParts['path'];
		} else {
			$url = $urlParts['path'];
		}
		
		$query = $urlParts['query'];
		
		// prfen ob Season mitgegeben wurde und ggf in $query aufnehmen
		if(!empty($LeagueGroupNavigator_Season)){
			if($query){
				$query .= "&amp;";
			}else{
				$query .= "";
			}
			$query .= "bsm_season=" . $LeagueGroupNavigator_Season;
		}
		
		$hiddenParameters = array();
		if($query){
			parse_str(html_entity_decode($query), $hiddenParameters);
		}
	?>
	<form action="<?php echo $url; ?>" method="GET">
		<fieldset>
			<legend><?php echo Localization::LEAGUEGROUPNAVIGATOR_LEGEND; ?></legend>				
			<?php
				//Rekursion
				$LeagueGroupNavigator_Mode = "dropdownfield";
				$LeagueGroupNavigator_IsRecursion = true;
				//Include
				include("LeagueGroupNavigator.php");
				//Zurcksetzen
				$LeagueGroupNavigator_Mode = "dropdown";
			?>
			<div data-entry-for="hidden_and_submit">		
				<?php foreach ($hiddenParameters as $key => $value): ?>
				<input type="hidden" name="<?php echo $key; ?>" value="<?php echo $value; ?>" />
				<?php endforeach; ?>
				<button type="submit"><?php echo Localization::LEAGUEGROUPNAVIGATOR_BUTTON; ?></button>
			</div>
		</fieldset>
	</form>
	<?php endif; ?>	
	<?php endif; ?>
</div>
<?php endif; ?>