<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String -> Check empty
if(empty($LeagueGroupTable_DetailsUrl)){	
	$LeagueGroupTable_DetailsUrl = null;
}
//String -> Check empty
if(empty($LeagueGroupTable_MatchesUrl)){
	$LeagueGroupTable_MatchesUrl = null;
}
//String -> Check empty
if(empty($LeagueGroupTable_TableUrl)){
	$LeagueGroupTable_TableUrl = null;
}
//String -> Check empty
if(empty($LeagueGroupTable_StatisticsUrl)){
	$LeagueGroupTable_StatisticsUrl = null;
}
//Bool -> Check !isset
if(!isset($LeagueGroupTable_Show_Caption)){
	$LeagueGroupTable_Show_Caption = false;
}
//String -> Check empty
if(empty($LeagueGroupTable_Data)){
	$LeagueGroupTable_Data = null;
}

//Initalisieren der Show Variablen
$LeagueGroupTable_Data_Array = Helper::ConvertParameterListToArray($LeagueGroupTable_Data);

$LeagueGroupTable_Show_Acronym = in_array("acronym", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_GameMode = in_array("gamemode", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_GameRoundModeDescription = in_array("gameroundmodedescription", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_GameModeHtml = in_array("gamemodehtml", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_GameRoundModeDescriptionHtml = in_array("gameroundmodedescriptionhtml", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_Manager = in_array("manager", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_Statistician = in_array("statistician", $LeagueGroupTable_Data_Array);
// $LeagueGroupTable_Show_Statistician2 = in_array("statistician2", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_UmpireSelector = in_array("umpireselector", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_UmpireSelection = in_array("umpireselection", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_ScorerSelection = in_array("scorerselection", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_ScoreReporting = in_array("scorereporting", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_MatchMoveDeadline = in_array("matchmovedeadline", $LeagueGroupTable_Data_Array);
$LeagueGroupTable_Show_Calendar = in_array("calendar", $LeagueGroupTable_Data_Array);
//Implizit sichtbar, wenn gegeben
$LeagueGroupTable_Show_Matches = !empty($LeagueGroupTable_MatchesUrl);
//Implizit sichtbar, wenn gegeben
$LeagueGroupTable_Show_Table = !empty($LeagueGroupTable_TableUrl);
//Implizit sichtbar, wenn gegeben
$LeagueGroupTable_Show_Statistics = !empty($LeagueGroupTable_StatisticsUrl);

//String -> Check empty
if(empty($LeagueGroupTable_Exclude_IDs)){
	$LeagueGroupTable_Exclude_IDs = null;
}
$LeagueGroupTable_Exclude_IDs_Array = Helper::ConvertParameterListToArray($LeagueGroupTable_Exclude_IDs);

//String -> Check empty
if(empty($LeagueGroupTable_Only_IDs)){
	$LeagueGroupTable_Only_IDs = null;
}
$LeagueGroupTable_Only_IDs_Array = Helper::ConvertParameterListToArray($LeagueGroupTable_Only_IDs);

//String -> Check empty
if(empty($LeagueGroupTable_CalendarMode)){
	$LeagueGroupTable_CalendarMode = "link";
}
else if($LeagueGroupTable_CalendarMode != "link" && $LeagueGroupTable_CalendarMode != "icon"){
	throw new Exception("CalendarMode has only 2 valid values: 'link' (default) and 'icon', but '" . $LeagueGroupTable_CalendarMode . "' was set");
}
//String -> Check empty
if(empty($LeagueGroupTable_CalendarCallMode)){
	$LeagueGroupTable_CalendarCallMode = "download";
}
else if($LeagueGroupTable_CalendarCallMode != "download" && $LeagueGroupTable_CalendarCallMode != "feed"){
	throw new Exception("CalendarCallMode has only 2 valid values: 'download' (default) and 'feed', but '" . $LeagueGroupTable_CalendarCallMode . "' was set");
}
//String/Int != 0 -> Check empty
if(empty($LeagueGroupTable_CalendarClub)){
	$LeagueGroupTable_CalendarClub = null;
}
//Int != 0 -> Check empty
if(empty($LeagueGroupTable_Season)){
	$LeagueGroupTable_Season = null;
}

$LeagueGroupTable_ProvideDetails = !empty($LeagueGroupTable_DetailsUrl);
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="leagueGroup">
	<table>
		<?php if($LeagueGroupTable_Show_Caption): ?>
		<caption><?php echo Localization::LEAGUEGROUPTABLE_CAPTION; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="name"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_NAME; ?></th>
				<?php if ($LeagueGroupTable_Show_Acronym): ?><th data-cell-for="acronym"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_ACRONYM; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameMode): ?><th data-cell-for="gamemode"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_GAMEMODE; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameRoundModeDescription): ?><th data-cell-for="gameroundmodedescription"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_GAMEROUNDMODEDESCRIPTION; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameModeHtml): ?><th data-cell-for="gamemode"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_GAMEMODE; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameRoundModeDescriptionHtml): ?><th data-cell-for="gameroundmodedescription"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_GAMEROUNDMODEDESCRIPTION; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Manager): ?><th data-cell-for="manager"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_MANAGER; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Statistician): ?><th data-cell-for="statistician"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_STATISTICIAN; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Statistician): ?><th data-cell-for="statistician2"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_STATISTICIAN; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_UmpireSelector): ?><th data-cell-for="umpireselector"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_UMPIRESELECTOR; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_UmpireSelection): ?><th data-cell-for="umpireselection"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_UMPIRESELECTION; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_ScorerSelection): ?><th data-cell-for="scorerselection"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_SCORERSELECTION; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_ScoreReporting): ?><th data-cell-for="scorereporting"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_SCOREREPORTING; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Calendar): ?><th data-cell-for="calendar"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_CALENDAR; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Matches): ?><th data-cell-for="matches"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_MATCHES; ?></th><?php endif; ?>				
				<?php if ($LeagueGroupTable_Show_MatchMoveDeadline): ?><th data-cell-for="matchmovedeadline"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_MATCH_MOVE_DEADLINE; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Table): ?><th data-cell-for="table"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_TABLE; ?></th><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Statistics): ?><th data-cell-for="table"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_STATISTICS; ?></th><?php endif; ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach(Api::GetLeagueGroupsForOrganization($LeagueGroupTable_Season) as $leagueGroup): ?>
			<?php if(in_array($leagueGroup->GetID(), $LeagueGroupTable_Exclude_IDs_Array) || in_array($leagueGroup->GetAcronym(), $LeagueGroupTable_Exclude_IDs_Array) || (!empty($LeagueGroupTable_Only_IDs_Array) && !in_array($leagueGroup->GetID(), $LeagueGroupTable_Only_IDs_Array) && !in_array($leagueGroup->GetAcronym(), $LeagueGroupTable_Only_IDs_Array))) { continue; } ?>
			<tr data-row-for="<?php echo $leagueGroup->GetAcronym(); ?>">
				<td data-cell-for="name">
					<?php if($LeagueGroupTable_ProvideDetails): ?>
					<?php 
						$url = $LeagueGroupTable_DetailsUrl;
						$query = parse_url($url, PHP_URL_QUERY);

						// RR: now we have to additionally give the league class id
			            /*
						if($query){
							$url .= "&amp;bsm_league_class=";
						}else{
							$url .= "?bsm_league_class=";
						}
						$url .= $leagueGroup->GetLeague()->GetID();
						*/

						if($query){
							$url .= "&amp;bsm_league=";
						}else{
							$url .= "?bsm_league=";
						}
						
						$url .= $leagueGroup->GetID();
						
						if(!empty($LeagueGroupTable_Season)){
							$url .= "&amp;bsm_season=" . $LeagueGroupTable_Season;
						}
					?>
					<a href="<?php echo $url; ?>">
			        <?php endif; ?>    
			        <?php echo $leagueGroup->GetName(); ?>
			        <?php if($LeagueGroupTable_ProvideDetails): ?>
			        </a>
			        <?php endif; ?>
		        </td>
				<?php if ($LeagueGroupTable_Show_Acronym): ?><td data-cell-for="acronym"><abbr title="<?php echo $leagueGroup->GetName(); ?>"><?php echo $leagueGroup->GetAcronym(); ?></abbr></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameMode): ?><td data-cell-for="gamemode"><?php echo Helper::PlaceholderIfEmpty(nl2br($leagueGroup->GetGameMode())); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameRoundModeDescription): ?><td data-cell-for="gameroundmodedescription"><?php echo Helper::PlaceholderIfEmpty(nl2br($leagueGroup->GetLeague()->GetGameRoundModeDescription())); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameModeHtml): ?><td data-cell-for="gamemode"><?php echo Helper::PlaceholderIfEmpty(nl2br($leagueGroup->GetLeague()->GetGameModeHtml())); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_GameRoundModeDescriptionHtml): ?><td data-cell-for="gameroundmodedescription"><?php echo Helper::PlaceholderIfEmpty(nl2br($leagueGroup->GetLeague()->GetGameRoundModeDescriptionHtml())); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Manager): ?><td data-cell-for="manager"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($leagueGroup->GetManager(), true)); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Statistician): ?><td data-cell-for="statistician"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($leagueGroup->GetStatistician(), true)); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Statistician): ?><td data-cell-for="statistician2"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($leagueGroup->GetStatistician2(), true)); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_UmpireSelector): ?>
					<td data-cell-for="umpireselector">
						<?php $LeagueGroupTable_UmpireSelectorArray = $leagueGroup->GetUmpireSelector(); ?>
		        		<?php if(empty($LeagueGroupTable_UmpireSelectorArray)): ?>
		        		<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
		        		<?php else: ?>
		        		<ul data-object-type="umpireSelector">
		        			<?php foreach($LeagueGroupTable_UmpireSelectorArray as $umpireSelector): ?>
		        			<li><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($umpireSelector, true)) ?></li>
		        			<?php endforeach; ?>
		        		</ul>
		        		<?php endif; ?>
					</td>
				<?php endif; ?>
				<?php /* if ($LeagueGroupTable_Show_UmpireSelector): ?><td data-cell-for="umpireselector"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($leagueGroup->GetUmpireSelector(), true)); ?></td><?php endif; */?>
				<?php if ($LeagueGroupTable_Show_UmpireSelection): ?><td data-cell-for="umpireselection"><?php echo Helper::PlaceholderIfEmpty($leagueGroup->GetUmpireSelection()); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_ScorerSelection): ?><td data-cell-for="scorerselection"><?php echo Helper::PlaceholderIfEmpty($leagueGroup->GetScorerSelection()); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_ScoreReporting): ?><td data-cell-for="scorereporting"><?php echo Helper::PlaceholderIfEmpty($leagueGroup->GetScoreReporting()); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Calendar): ?>
				<td data-cell-for="calendar">
					<?php
						$MatchCalendarCaller_League = $leagueGroup->GetAcronym();						
						$MatchCalendarCaller_Season = $LeagueGroupTable_Season;
						$MatchCalendarCaller_Mode = $LeagueGroupTable_CalendarMode;
						$MatchCalendarCaller_CallMode = $LeagueGroupTable_CalendarCallMode;
						$MatchCalendarCaller_Club = $LeagueGroupTable_CalendarClub;
						//Include
						include("MatchCalendarCaller.php");
					?>
				</td>
				<?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Matches): ?>
				<td data-cell-for="matches">
					<?php
						$url = $LeagueGroupTable_MatchesUrl;
						$query = parse_url($url, PHP_URL_QUERY);

						// RR: now we have to additionally give the league class id
            /*
						if($query){
							$url .= "&amp;bsm_league_class=";
						}else{
							$url .= "?bsm_league_class=";
						}
						$url .= $leagueGroup->GetLeague()->GetID();
						*/
						
						if($query){
							$url .= "&amp;bsm_league=";
						}else{
							$url .= "?bsm_league=";
						}
						
						$url .= $leagueGroup->GetID();
						
						if(!empty($LeagueGroupTable_Season)){
							$url .= "&amp;bsm_season=" . $LeagueGroupTable_Season;
						}
					?>
					<a href="<?php echo $url; ?>"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_VALUE_MATCHES; ?></a>
				</td>
				<?php endif; ?>		
				<?php if ($LeagueGroupTable_Show_MatchMoveDeadline): ?><td data-cell-for="matchmovedeadline"><?php echo Helper::PlaceholderIfEmpty(Helper::GetDateByString($leagueGroup->GetMatchMoveDeadline())); ?></td><?php endif; ?>
				<?php if ($LeagueGroupTable_Show_Table): ?>
				<td data-cell-for="table">
					<?php if($leagueGroup->GetHideTable()): ?>
					<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
					<?php else: ?>
					<?php
						$url = $LeagueGroupTable_TableUrl;
						$query = parse_url($url, PHP_URL_QUERY);
						
						// RR: now we have to additionally give the league class id
            /*
						if($query){
							$url .= "&amp;bsm_league_class=";
						}else{
							$url .= "?bsm_league_class=";
						}
						$url .= $leagueGroup->GetLeague()->GetID();
						*/
            
						if($query){
							$url .= "&amp;bsm_league=";
						}else{
							$url .= "?bsm_league=";
						}
						
						$url .= $leagueGroup->GetID();
												
						if(!empty($LeagueGroupTable_Season)){
							$url .= "&amp;bsm_season=" . $LeagueGroupTable_Season;
						}
					?>
					<a href="<?php echo $url; ?>"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_VALUE_TABLE; ?></a>
					<?php endif; ?>
				</td>
				<?php endif; ?>					
				<?php if ($LeagueGroupTable_Show_Statistics): ?>
				<td data-cell-for="statistics">
					<?php if ($leagueGroup->GetStatisticsPublishedCount() == null || $leagueGroup->GetStatisticsPublishedCount() == 0): ?>
						<?php echo Localization::GLOBAL_PLACEHOLDER?>
					<?php else: ?>
						<?php
							$url = $LeagueGroupTable_StatisticsUrl;
							$query = parse_url($url, PHP_URL_QUERY);
							
							if($query){
								$url .= "&amp;bsm_league=";
							}else{
								$url .= "?bsm_league=";
							}
							
							$url .= $leagueGroup->GetID();
												
						if(!empty($LeagueGroupTable_Season)){
							$url .= "&amp;bsm_season=" . $LeagueGroupTable_Season;
						}
						?>
						<a href="<?php echo $url; ?>"><?php echo Localization::LEAGUEGROUPTABLE_COLUMN_VALUE_STATISTICS; ?></a>
					<?php endif; ?>					
				</td>
				<?php endif; ?>					
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
</div>