<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

// Variablen initialisieren
// String -> Check empty
if (empty ( $LeagueTable_DetailsUrl )) {
	$LeagueTable_DetailsUrl = null;
}

if (empty ( $LeagueTable_Category )) {
	$LeagueTable_Category = "all";
}
$LeagueTable_Category = Helper::ConvertParameterListToArray($LeagueTable_Category);
$LeagueTable_Category_ValidEntries = [ "all", "tournament", "league" ];
if(!Helper::hasArrayOnlyValidEntries($LeagueTable_Category, $LeagueTable_Category_ValidEntries)){
	throw new Exception("category has these valid values: '" . Helper::ToDelimitedList($LeagueTable_Category_ValidEntries) . "', but '" . Helper::ToDelimitedList($LeagueTable_Category) . "' was set");
}
// wenn beides genannt wurde, dann setze auf "all"
if(in_array("tournament", $LeagueTable_Category) && in_array("league", $LeagueTable_Category)) {
	$LeagueTable_Category = [ "all" ];
}

// Bool -> Check !isset
if (! isset ( $LeagueTable_Show_Caption )) {
	$LeagueTable_Show_Caption = false;
}

// String -> Check empty
if (empty ( $LeagueTable_Data )) {
	$LeagueTable_Data = null;
}

// Initalisieren der Show Variablen
$LeagueTable_Data_Array = Helper::ConvertParameterListToArray ( $LeagueTable_Data );

$LeagueTable_Show_Acronym = in_array ( "acronym", $LeagueTable_Data_Array );
$LeagueTable_Show_Sports = in_array ( "sports", $LeagueTable_Data_Array );
$LeagueTable_Show_SportsShort = in_array ( "sportsshort", $LeagueTable_Data_Array );
$LeagueTable_Show_AgeClass = in_array ( "ageclass", $LeagueTable_Data_Array );

$LeagueTable_Show_AgeGroup = in_array ( "agegroup", $LeagueTable_Data_Array );
$LeagueTable_Show_AgeGroupShort = in_array ( "agegroupshort", $LeagueTable_Data_Array );
$LeagueTable_Show_Classification = in_array ( "classification", $LeagueTable_Data_Array );
$LeagueTable_Show_ClassificationShort = in_array ( "classificationshort", $LeagueTable_Data_Array );

$LeagueTable_Show_GameMode = in_array ( "gamemode", $LeagueTable_Data_Array );
$LeagueTable_Show_GameModeHtml = in_array ( "gamemodehtml", $LeagueTable_Data_Array );
$LeagueTable_Show_Manager = in_array ( "manager", $LeagueTable_Data_Array );
$LeagueTable_Show_Statistician = in_array ( "statistician", $LeagueTable_Data_Array );
// $LeagueTable_Show_Statistician2 = in_array("statistician2", $LeagueTable_Data_Array);
$LeagueTable_Show_UmpireSelector = in_array ( "umpireselector", $LeagueTable_Data_Array );
$LeagueTable_Show_UmpireSelection = in_array ( "umpireselection", $LeagueTable_Data_Array );
$LeagueTable_Show_ScorerSelection = in_array ( "scorerselection", $LeagueTable_Data_Array );
$LeagueTable_Show_ScoreReporting = in_array ( "scorereporting", $LeagueTable_Data_Array );
$LeagueTable_Show_GameRoundModeDescription = in_array ( "gameroundmodedescription", $LeagueTable_Data_Array );
$LeagueTable_Show_GameRoundModeDescriptionHtml = in_array ( "gameroundmodedescriptionhtml", $LeagueTable_Data_Array );
$LeagueTable_Show_Fee = in_array ( "fee", $LeagueTable_Data_Array );
$LeagueTable_Show_Deposit = in_array ( "deposit", $LeagueTable_Data_Array );
$LeagueTable_Show_UmpireFixedRate = in_array ( "umpirefixedrate", $LeagueTable_Data_Array );

// String -> Check empty
if (empty ( $LeagueTable_Sports_Replacements )) {
	$LeagueTable_Sports_Replacements = null;
}

$LeagueTable_Sports_Replacements_Array = Helper::ConvertParameterListToArray ( $LeagueTable_Sports_Replacements );
$LeagueTable_Sports_Replacements_Dictionary = array ();
// Flle Wrterbuch
if (! empty ( $LeagueTable_Sports_Replacements_Array )) {
	// Jeden String
	foreach ( $LeagueTable_Sports_Replacements_Array as $keyValue ) {
		// Splitten
		$splitted = Helper::ConvertParameterListToArray ( $keyValue, "=" );
		// Wenn valider Output, dem Wrterbuch hinzufgen
		if (! empty ( $splitted ) && count ( $splitted ) == 2) {
			
			$LeagueTable_Sports_Replacements_Dictionary [$splitted [0]] = $splitted [1];
		}
	}
}

// String -> Check empty
if (empty ( $LeagueTable_Exclude_IDs )) {
	$LeagueTable_Exclude_IDs = null;
}
$LeagueTable_Exclude_IDs_Array = Helper::ConvertParameterListToArray ( $LeagueTable_Exclude_IDs );

// String -> Check empty
if (empty ( $LeagueTable_Only_IDs )) {
	$LeagueTable_Only_IDs = null;
}
$LeagueTable_Only_IDs_Array = Helper::ConvertParameterListToArray ( $LeagueTable_Only_IDs );

// Int != 0 -> Check empty
if (empty ( $LeagueTable_Season )) {
	$LeagueTable_Season = null;
}

$LeagueTable_ProvideDetails = ! empty ( $LeagueTable_DetailsUrl );

?>
<div data-bsm="data-bsm" data-type="table" data-object-type="league">
	<table>
		<?php if($LeagueTable_Show_Caption): ?>
		<caption><?php echo Localization::LEAGUETABLE_CAPTION; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="name"><?php echo Localization::LEAGUETABLE_COLUMN_NAME; ?></th>
				<?php if ($LeagueTable_Show_Acronym): ?><th data-cell-for="acronym"><?php echo Localization::LEAGUETABLE_COLUMN_ACRONYM; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_Sports || $LeagueTable_Show_SportsShort || !empty($LeagueTable_Sports_Replacements_Dictionary)): ?>
					<th data-cell-for="sports"><?php echo Localization::LEAGUETABLE_COLUMN_SPORTS; ?></th>	
				<?php endif; ?>
				<?php if ($LeagueTable_Show_Classification || $LeagueTable_Show_ClassificationShort): ?>
					<th data-cell-for="classification"><?php echo Localization::LEAGUETABLE_COLUMN_CLASSIFICATION; ?></th>	
				<?php endif; ?>
				<?php if ($LeagueTable_Show_AgeGroup || $LeagueTable_Show_AgeGroupShort): ?>
					<th data-cell-for="agegroup"><?php echo Localization::LEAGUETABLE_COLUMN_AGEGROUP; ?></th>	
				<?php endif; ?>
				<?php if ($LeagueTable_Show_AgeClass): ?><th
					data-cell-for="ageclass"><?php echo Localization::LEAGUETABLE_COLUMN_AGECLASS; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_GameMode): ?><th
					data-cell-for="gamemode"><?php echo Localization::LEAGUETABLE_COLUMN_GAMEMODE; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_GameModeHtml): ?><th
					data-cell-for="gamemode"><?php echo Localization::LEAGUETABLE_COLUMN_GAMEMODE; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_Manager): ?><th data-cell-for="manager"><?php echo Localization::LEAGUETABLE_COLUMN_MANAGER; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_Statistician): ?><th
					data-cell-for="statistician"><?php echo Localization::LEAGUETABLE_COLUMN_STATISTICIAN; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_Statistician): ?><th
					data-cell-for="statistician2"><?php echo Localization::LEAGUETABLE_COLUMN_STATISTICIAN; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_UmpireSelector): ?><th
					data-cell-for="umpireselector"><?php echo Localization::LEAGUETABLE_COLUMN_UMPIRESELECTOR; ?></th><?php endif; ?>			
				<?php if ($LeagueTable_Show_UmpireSelection): ?><th
					data-cell-for="umpireselection"><?php echo Localization::LEAGUETABLE_COLUMN_UMPIRESELECTION; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_ScorerSelection): ?><th
					data-cell-for="scorerselection"><?php echo Localization::LEAGUETABLE_COLUMN_SCORERSELECTION; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_ScoreReporting): ?><th
					data-cell-for="scorereporting"><?php echo Localization::LEAGUETABLE_COLUMN_SCOREREPORTING; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_GameRoundModeDescription): ?><th
					data-cell-for="gameroundmodedescription"><?php echo Localization::LEAGUETABLE_COLUMN_GAMEROUNDMODEDESCRIPTION; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_GameRoundModeDescriptionHtml): ?><th
					data-cell-for="gameroundmodedescription"><?php echo Localization::LEAGUETABLE_COLUMN_GAMEROUNDMODEDESCRIPTION; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_Fee): ?><th data-cell-for="fee"><?php echo Localization::LEAGUETABLE_COLUMN_FEE; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_Deposit): ?><th data-cell-for="deposit"><?php echo Localization::LEAGUETABLE_COLUMN_DEPOSIT; ?></th><?php endif; ?>
				<?php if ($LeagueTable_Show_UmpireFixedRate): ?><th
					data-cell-for="umpirefixedrate"><?php echo Localization::LEAGUETABLE_COLUMN_UMPIREFIXEDRATE; ?></th><?php endif; ?>										
			</tr>
		</thead>
		<tbody>
			<?php foreach(Api::GetLeaguesForOrganization($LeagueTable_Season) as $league): ?>
			<?php
				$LeagueTable_IsTournament = $league->GetTournament();
				// wenn es ein Turnierspiel ist, dann berspringe das Spiel, wenn league als Parameter gesetzt ist 
				if ($LeagueTable_IsTournament) {
					if (in_array("league", $LeagueTable_Category))
						continue;
				} else {
					if (in_array("tournament", $LeagueTable_Category))
						continue;
				}
			?>
			<?php
				// Logik laut Mail von Gerhard 2022-06-27:
				// 1. ltester Jahrgang nicht gefllt, dann Text ab xxxx  xxxx ist entweder jngster Jahrgang oder (wenn gefllt) jngster Jahrgang (Springer)
				// 2. ltester Jahrgang ist gefllt, dann Text xxxx - yyyy  xxxx ist ltester Jahrgang, yyyy entweder jngster Jahrgang oder (wenn gefllt) jngster Jahrgang (Springer)
				// 3. Wenn ltester Jahrgang (Antrag) oder/und jngster Jahrgang (Antrag) gefllt sind, dann kommt diese Jahreszahl in Klammern. Sollten in Ausnahmefllen auch beide gefllt sein, dann Kombi mit &, also z.B. 2003-2009 (2002 & 2012), wie hier in Berlin:
				
				if ($LeagueTable_Show_AgeClass) {
					$LeagueTable_AgeInfo = "";
					if (empty ( $league->GetMinBirthYear () ) && empty ( $league->GetMaxBirthYear () )) {
						$LeagueTable_AgeInfo = Localization::GLOBAL_PLACEHOLDER;
					} else if (empty ( $league->GetMinBirthYear () )) {
						$LeagueTable_AgeInfo = Localization::LEAGUETABLE_COLUMN_AGECLASS_FROM . " ";
						$LeagueTable_AgeInfo .= (empty ( $league->GetMaxBirthYearSwitcher () )) ? $league->GetMaxBirthYear () : $league->GetMaxBirthYearSwitcher ();
					} else if (empty ( $league->GetMaxBirthYear () )) {
						$LeagueTable_AgeInfo = Localization::LEAGUETABLE_COLUMN_AGECLASS_TO . " " . $league->GetMinBirthYear ();
					} else if (! empty ( $league->GetMinBirthYear () )) {
						$LeagueTable_AgeInfo = $league->GetMinBirthYear () . " " . Localization::LEAGUETABLE_COLUMN_AGECLASS_TO . " ";
						$LeagueTable_AgeInfo .= (empty ( $league->GetMaxBirthYearSwitcher () )) ? $league->GetMaxBirthYear () : $league->GetMaxBirthYearSwitcher ();
					} else {
						$LeagueTable_AgeInfo = "This combination is not defined";
					}
					
					// now we check the by_request fields to add the info to the ageInfo
					if (! empty ( $league->GetMinBirthYearByRequest () ) && ! empty ( $league->GetMaxBirthYearByRequest () )) {
						$LeagueTable_AgeInfo .= " (" . $league->GetMinBirthYearByRequest () . " & " . $league->GetMaxBirthYearByRequest () . ")";
					} else if (! empty ( $league->GetMinBirthYearByRequest () )) {
						$LeagueTable_AgeInfo .= " (" . $league->GetMinBirthYearByRequest () . ")";
					} else if (! empty ( $league->GetMaxBirthYearByRequest () )) {
						$LeagueTable_AgeInfo .= " (" . $league->GetMaxBirthYearByRequest () . ")";
					}
				}
				?>
			<?php if(in_array($league->GetID(), $LeagueTable_Exclude_IDs_Array) || in_array($league->GetAcronym(), $LeagueTable_Exclude_IDs_Array) || (!empty($LeagueTable_Only_IDs_Array) && !in_array($league->GetID(), $LeagueTable_Only_IDs_Array) && !in_array($league->GetAcronym(), $LeagueTable_Only_IDs_Array))) { continue; } ?>
			<tr data-row-for="<?php echo $league->GetAcronym(); ?>">
				<td data-cell-for="name">
					<?php if($LeagueTable_ProvideDetails): ?>
					<?php
					$url = $LeagueTable_DetailsUrl;
					$query = parse_url ( $url, PHP_URL_QUERY );
					
					if ($query) {
						
						$url .= "&amp;bsm_league=";
					} else {
						
						$url .= "?bsm_league=";
					}
					
					$url .= $league->GetID ();
					?>
					<a href="<?php echo $url ?>">
			        <?php endif; ?>    
			        <?php echo $league->GetName(); ?>
			        <?php if($LeagueTable_ProvideDetails): ?>
			        </a>
			        <?php endif; ?>
		        </td>
				<?php if ($LeagueTable_Show_Acronym): ?><td data-cell-for="acronym"><abbr
					title="<?php echo $league->GetName(); ?>"><?php echo $league->GetAcronym(); ?></abbr></td><?php endif; ?>
				<?php if ($LeagueTable_Show_Sports || $LeagueTable_Show_SportsShort || !empty($LeagueTable_Sports_Replacements_Dictionary)): ?>
					<td data-cell-for="sports">
						<?php if(!empty($LeagueTable_Sports_Replacements_Dictionary)): ?>
							<?php echo Helper::PlaceholderIfEmpty(Helper::ReplaceWithEntryIfExists($league->GetSports(), $LeagueTable_Sports_Replacements_Dictionary)); ?>
						<?php elseif($LeagueTable_Show_SportsShort): ?>
							<abbr title="<?php echo $league->GetSports(); ?>"><?php echo $league->GetSportsShort(); ?></abbr>
						<?php else: ?>
							<?php echo $league->GetSports(); ?>
						<?php endif; ?>
					</td>
				<?php endif; ?>
				<?php if ($LeagueTable_Show_Classification || $LeagueTable_Show_ClassificationShort): ?>
					<td data-cell-for="classification">
						<?php if ($LeagueTable_Show_ClassificationShort): ?>
							<abbr title="<?php echo $league->GetClassification(); ?>"><?php echo $league->GetClassificationShort(); ?></abbr>
						<?php else: ?>
							<?php echo $league->GetClassification(); ?>
						<?php endif; ?>
					</td>	
				<?php endif; ?>
				<?php if ($LeagueTable_Show_AgeGroup || $LeagueTable_Show_AgeGroupShort): ?>
					<td data-cell-for="agegroup">
						<?php if ($LeagueTable_Show_AgeGroupShort): ?>
							<abbr title="<?php echo $league->GetAgegroup(); ?>"><?php echo $league->GetAgegroupShort(); ?></abbr>
						<?php else: ?>
							<?php echo $league->GetAgegroup(); ?>
						<?php endif; ?>
					</td>	
				<?php endif; ?>
				<?php if ($LeagueTable_Show_AgeClass): ?><td
					data-cell-for="ageclass"><?php echo $LeagueTable_AgeInfo ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_GameMode): ?><td
					data-cell-for="gamemode"><?php echo Helper::PlaceholderIfEmpty(nl2br($league->GetGameMode())); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_GameModeHtml): ?><td
					data-cell-for="gamemode"><?php echo Helper::PlaceholderIfEmpty(nl2br($league->GetGameModeHtml())); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_Manager): ?><td data-cell-for="manager"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($league->GetManager(), true)); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_Statistician): ?><td
					data-cell-for="statistician"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($league->GetStatistician(), true)); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_Statistician): ?><td
					data-cell-for="statistician2"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($league->GetStatistician2(), true)); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_UmpireSelector): ?><td
					data-cell-for="umpireselector"><?php echo Helper::PlaceholderIfEmpty(Helper::GetPersonDisplayName($league->GetUmpireSelector(), true)); ?></td><?php endif; ?>			
				<?php if ($LeagueTable_Show_UmpireSelection): ?><td
					data-cell-for="umpireselection"><?php echo Helper::PlaceholderIfEmpty($league->GetUmpireSelection()); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_ScorerSelection): ?><td
					data-cell-for="scorerselection"><?php echo Helper::PlaceholderIfEmpty($league->GetScorerSelection()); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_ScoreReporting): ?><td
					data-cell-for="scorereporting"><?php echo Helper::PlaceholderIfEmpty($league->GetScoreReporting()); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_GameRoundModeDescription): ?><td
					data-cell-for="gameroundmodedescription"><?php echo Helper::PlaceholderIfEmpty(nl2br($league->GetGameRoundModeDescription())); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_GameRoundModeDescriptionHtml): ?><td
					data-cell-for="gameroundmodedescription"><?php echo Helper::PlaceholderIfEmpty(nl2br($league->GetGameRoundModeDescriptionHtml())); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_Fee): ?><td data-cell-for="fee"><?php echo Helper::PlaceholderIfEmpty($league->GetFee()); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_Deposit): ?><td data-cell-for="deposit"><?php echo Helper::PlaceholderIfEmpty($league->GetDeposit()); ?></td><?php endif; ?>
				<?php if ($LeagueTable_Show_UmpireFixedRate): ?><td
					data-cell-for="umpirefixedrate"><?php echo Helper::PlaceholderIfEmpty($league->GetUmpireFixedRate()); ?></td><?php endif; ?>					
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
</div>