<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String -> Check empty
if(empty($LicenseList_Category)){
	$LicenseList_Category = null;
}
//String -> Check empty
if(empty($LicenseList_Level)){
	$LicenseList_Level = null;
}
//String/Int != 0 -> Check empty
if(empty($LicenseList_Club)){
	$LicenseList_Club = null;
}
else if(is_numeric($LicenseList_Club)){
	//Wenn interne ID, muss momentan Verein abgerufen werden, um Vereinskrzel zu erhalten
	$LicenseList_Club = Api::GetClub($LicenseList_Club)->GetAcronym();
}
//Bool -> Check !isset
if(!isset($LicenseList_Show_Search)){
	$LicenseList_Show_Search = false;
}
//Bool -> Check !isset
if(!isset($LicenseList_ValidUntil_YearOnly)){
	$LicenseList_ValidUntil_YearOnly = false;
}
//String -> Check empty
if(empty($LicenseList_Data)){
	$LicenseList_Data = null;
}

//Initalisieren der Show-Data Variablen
$LicenseList_Data_Array = Helper::ConvertParameterListToArray($LicenseList_Data);

$LicenseList_Show_Category = in_array("category", $LicenseList_Data_Array);
$LicenseList_Show_Club = in_array("club", $LicenseList_Data_Array);
$LicenseList_Show_Number = in_array("number", $LicenseList_Data_Array);
$LicenseList_Show_ValidUntil = in_array("validuntil", $LicenseList_Data_Array);
$LicenseList_Show_Level = in_array("level", $LicenseList_Data_Array);
$LicenseList_Show_Phone = in_array("phone", $LicenseList_Data_Array);
$LicenseList_Show_Mobile = in_array("mobile", $LicenseList_Data_Array);
$LicenseList_Show_Fax = in_array("fax", $LicenseList_Data_Array);
$LicenseList_Show_EMail = in_array("email", $LicenseList_Data_Array);
$LicenseList_Show_AssignmentYears = in_array("assignmentyears", $LicenseList_Data_Array);

$LicenseList_Max_HeaderLevel = $LicenseList_Show_Category || $LicenseList_Show_Club ? ($LicenseList_Show_Category && $LicenseList_Show_Club ? 4 : 5) : 6;

//Int != 0 -> Check empty
if(empty($LicenseList_HeaderLevel)){
	$LicenseList_HeaderLevel = 2;
}
else if(!is_numeric($LicenseList_HeaderLevel) || $LicenseList_HeaderLevel < 1 || $LicenseList_HeaderLevel > $LicenseList_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $LicenseList_Max_HeaderLevel);
}
//String -> Check empty
if(empty($LicenseList_SearchLevels)){
	$LicenseList_SearchLevels = "A,B,C,D";
}

$LicenseList_SearchLevels_Array = Helper::ConvertParameterListToArray($LicenseList_SearchLevels);
//Bool -> Check !isset
if(!isset($LicenseList_GroupBy_Club)){
	$LicenseList_GroupBy_Club = false;
}

$LicenseList_Person_Filter = $_GET["bsm_person_filter"];
$LicenseList_Club_Filter = $_GET["bsm_club_filter"];
$LicenseList_Level_Filter = $_GET["bsm_level_filter"];
//WordPress-Support
$LicenseList_PageID = $_GET["page_id"];
?>
<div data-bsm="data-bsm" data-type="list" data-object-type="license">	
	<?php if($LicenseList_Show_Search): ?>
	<form method="GET">
		<fieldset>
				<legend><?php echo Localization::LICENSELIST_SEARCH_LEGEND; ?></legend>		
				<div data-searchentry-for="bsm_person_filter">		
					<label for="bsm_person_filter"><?php echo Localization::LICENSELIST_SEARCH_PERSON_LABEL; ?></label>
					<input type="search" id="bsm_person_filter" name="bsm_person_filter" placeholder="<?php echo Localization::LICENSELIST_SEARCH_PERSON_PLACEHOLDER; ?>" value="<?php echo Helper::EncodeUserInputString($LicenseList_Person_Filter); ?>" />
				</div>
				<?php if($LicenseList_Show_Club): ?>
				<div data-searchentry-for="bsm_club_filter">				
					<label for="bsm_club_filter"><?php echo Localization::LICENSELIST_SEARCH_CLUB_LABEL; ?></label>
					<input type="search" id="bsm_club_filter" name="bsm_club_filter" placeholder="<?php echo Localization::LICENSELIST_SEARCH_CLUB_PLACEHOLDER; ?>" value="<?php echo Helper::EncodeUserInputString($LicenseList_Club_Filter); ?>" />
				</div>
				<?php endif; ?>
				<?php if(!empty($LicenseList_SearchLevels_Array) && ($LicenseList_Show_Number || $LicenseList_Show_Level)): ?>
				<div data-searchentry-for="bsm_level_filter">
					<label><?php echo Localization::LICENSELIST_SEARCH_LEVEL_LABEL; ?></label>
					<?php foreach($LicenseList_SearchLevels_Array as $level): ?>
					<input type="checkbox" name="bsm_level_filter[]" value="<?php echo $level; ?>"<?php if(is_array($LicenseList_Level_Filter) && in_array($level, $LicenseList_Level_Filter)): ?> checked="checked"<?php endif; ?> /><?php echo $level; ?>						
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
				<div data-searchentry-for="hidden_and_submit">
					<?php if (!empty($LicenseList_PageID)): ?>
					<input type="hidden" name="page_id" value="<?php echo Helper::EncodeUserInputString($LicenseList_PageID); ?>" />
					<?php endif; ?>				
					<button type="submit"><?php echo Localization::LICENSELIST_SEARCH_BUTTON; ?></button>
				</div>
		</fieldset>
	</form>
	<?php endif; ?>
	<?php 
		$LicenseList_Licenses = empty($LicenseList_Club) ? Api::GetLicensesForOrganization() : Api::GetLicensesForClub($LicenseList_Club);
		$LicenseList_Filtered = array();	
		foreach($LicenseList_Licenses as $license) {
			//Filtern nach Personenfilter
			if(!empty($LicenseList_Person_Filter) && stripos(Helper::GetPersonDisplayName($license->GetPerson()), $LicenseList_Person_Filter) === false) {
			
				continue;
			}		
			//Filtern nach Vereinsfilter
			if(!empty($LicenseList_Club_Filter) && stripos($license->GetClubShortNameOrDefault(), $LicenseList_Club_Filter) === false) {
					
				continue;
			}
			//Filtern nach Levelfilter
			if(!empty($LicenseList_Level_Filter) && is_array($LicenseList_Level_Filter) && !in_array($license->GetLevel(), $LicenseList_Level_Filter)){
				
				continue;
			}
			
			array_push($LicenseList_Filtered, $license);
		}

		if(empty($LicenseList_Filtered)){
			
			echo Localization::LICENSELIST_SEARCH_NOENTRIES;
		}
	?>	
	<?php foreach(Helper::GroupLicenses($LicenseList_Filtered, $LicenseList_Category, $LicenseList_Club, $LicenseList_Level, $LicenseList_GroupBy_Club) as $category => $clubGrouping): ?>
	<<?php echo ($LicenseList_Show_Category ? "section" : "div") ?> data-grouping="<?php echo $category; ?>" data-grouping-type="category">
		<?php if($LicenseList_Show_Category): ?>
		<h<?php echo $LicenseList_HeaderLevel; ?>><?php echo $category; ?></h<?php echo $LicenseList_HeaderLevel; ?>>
		<?php endif; ?>
		<?php foreach($clubGrouping as $club => $licenseGrouping): ?>		
		<<?php echo ($LicenseList_Show_Club ? "section" : "div") ?> data-grouping="<?php echo $club; ?>" data-grouping-type="club">
			<?php if($LicenseList_GroupBy_Club && $LicenseList_Show_Club): ?>
			<h<?php echo $LicenseList_Show_Category ? ($LicenseList_HeaderLevel + 1) : $LicenseList_HeaderLevel; ?>><?php echo $licenseGrouping[0]->GetClubShortNameOrDefault(); ?></h<?php echo $LicenseList_Show_Category ? ($LicenseList_HeaderLevel + 1) : $LicenseList_HeaderLevel; ?>>
			<?php endif; ?>	
			<?php foreach($licenseGrouping as $license): ?>
			<?php
								
				$LicenseList_ContactInfo = $license->GetPerson()->GetContactInfo();				
			
				// Telefon
				$LicenseList_Phone = ($LicenseList_Show_Phone && !empty($LicenseList_ContactInfo) ? $LicenseList_ContactInfo->GetPhone() : null);
					
				// Mobil
				$LicenseList_Mobile = ($LicenseList_Show_Mobile && !empty($LicenseList_ContactInfo) ? $LicenseList_ContactInfo->GetMobile() : null);
					
				// Fax
				$LicenseList_Fax = ($LicenseList_Show_Fax && !empty($LicenseList_ContactInfo) ? $LicenseList_ContactInfo->GetFax() : null);
					
				// EMail
				$LicenseList_EMail = ($LicenseList_Show_EMail && !empty($LicenseList_ContactInfo) ? Helper::GetUsedEMail($LicenseList_ContactInfo) : null);		

				$LicenseList_HasInfos = (!$LicenseList_GroupBy_Club && $LicenseList_Show_Club) || $LicenseList_Show_Number || $LicenseList_Show_ValidUntil || $LicenseList_Show_Level || !empty($LicenseList_Phone) || !empty($LicenseList_Mobile) || !empty($LicenseList_Fax) || !empty($LicenseList_EMail);
				
				// Assignments yearly 
	        	$LicenseList_AssignmentYears = null;
	        	$LicenseList_AssignmentYearsTooltip = null;
	        	if($LicenseList_Show_AssignmentYears){
	       		  	$assignmentValues = array();
	       		  	$assignmentTooltip = array();
	       		  	$assignments = $license->GetAssignmentYears();	       		  	
	       		  	
	       		  	if(!empty($assignments)){
		       			foreach ($assignments as $assignment){
		       				//var_dump($assignment);
		       		  		$count = $assignment->GetCount();
		       		  		$year = $assignment->GetYear();
		       		  		array_push($assignmentValues, $count);
		       		  		array_push($assignmentTooltip, $year . ": " . $count);
		       			}
	       		  	}
	       		  	
	       			$LicenseList_AssignmentYears = $assignmentValues;
	       			$LicenseList_AssignmentYearsTooltip = $assignmentTooltip;
	       		}	       		  	
				?>
			<article>
				<h<?php echo $LicenseList_HeaderLevel + ($LicenseList_Show_Category ? ($LicenseList_GroupBy_Club && $LicenseList_Show_Club ? 2 : 1) : ($LicenseList_GroupBy_Club && $LicenseList_Show_Club ? 1 : 0)); ?>><?php echo Helper::GetPersonDisplayName($license->GetPerson()); ?></h<?php echo $LicenseList_HeaderLevel + ($LicenseList_Show_Category ? ($LicenseList_Show_Club ? 2 : 1) : ($LicenseList_Show_Club ? 1 : 0)); ?>>
				<?php if($LicenseList_HasInfos): ?>
				<p>
					<?php if(!$LicenseList_GroupBy_Club && $LicenseList_Show_Club): ?>
					<?php echo Localization::LICENSELIST_LABEL_CLUB . " " . $license->GetClubShortNameOrDefault(); ?>
					<br />
					<?php endif; ?>
					<?php if($LicenseList_Show_Number): ?>
					<?php echo Localization::LICENSELIST_LABEL_NUMBER . " " . $license->GetNumber(); ?>
					<br />
					<?php endif; ?>
					<?php if($LicenseList_Show_ValidUntil): ?>
					<?php echo Localization::LICENSELIST_LABEL_VALIDUNTIL . " " ?><span valid-days="<?php echo Helper::PlaceholderIfEmpty(Helper::daysUntilDateString(Helper::GetDateByString($license->GetValidUntil(), $LicenseList_ValidUntil_YearOnly))); ?>"><?php echo Helper::PlaceholderIfEmpty(Helper::GetDateByString($license->GetValidUntil(), $LicenseTable_ValidUntil_YearOnly)); ?></span>
					<br />
					<?php endif; ?>
					<?php if($LicenseList_Show_Level): ?>
					<?php echo Localization::LICENSELIST_LABEL_LEVEL . " " . $license->GetLevel(); ?>
					<br />
					<?php endif; ?>
					<?php if($LicenseList_Show_AssignmentYears): ?>
					<span title="<?php echo implode(" , ", $LicenseList_AssignmentYearsTooltip); ?>"><?php echo Localization::LICENSELIST_LABEL_ASSIGNMENTYEARS . " " . implode(" / ", $LicenseList_AssignmentYears); ?></span>
					<br />
					<?php endif; ?>
					<?php if(!empty($LicenseList_Phone)): ?>
				    <?php echo Localization::LICENSELIST_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($LicenseList_Phone); ?>"><?php echo Helper::ToHtmlNumbers($LicenseList_Phone); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LicenseList_Mobile)): ?>
				    <?php echo Localization::LICENSELIST_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($LicenseList_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($LicenseList_Mobile); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LicenseList_Fax)): ?>
				    <?php echo Localization::LICENSELIST_LABEL_FAX . " "; ?><a href="<?php echo Helper::ToTelLink($LicenseList_Fax); ?>"><?php echo Helper::ToHtmlNumbers($LicenseList_Fax); ?></a>
				    <br />
				    <?php endif; ?>
				    <?php if(!empty($LicenseList_EMail)): ?>
					<a href="<?php echo Helper::ToMailToLink($LicenseList_EMail); ?>"><?php echo Helper::ToHtmlNumbers($LicenseList_EMail); ?></a>
					<br />
					<?php endif; ?>
				</p>
				<?php endif; ?>
			</article>
			<?php endforeach; ?>		
		</<?php echo ($LicenseList_Show_Club ? "section" : "div") ?>>
		<?php endforeach; ?>	
	</<?php echo ($LicenseList_Show_Category ? "section" : "div") ?>>
	<?php endforeach; ?>
</div>