<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String -> Check empty
if(empty($LicenseTable_Category)){
	$LicenseTable_Category = null;
}
//String -> Check empty
if(empty($LicenseTable_Level)){
	$LicenseTable_Level = null;
}
//String/Int != 0 -> Check empty
if(empty($LicenseTable_Club)){
	$LicenseTable_Club = null;
}
else if(is_numeric($LicenseTable_Club)){
	//Wenn interne ID, muss momentan Verein abgerufen werden, um Vereinskrzel zu erhalten
	$LicenseTable_Club = Api::GetClub($LicenseTable_Club)->GetAcronym();
}
//Bool -> Check !isset
if(!isset($LicenseTable_Show_Search)){
	$LicenseTable_Show_Search = false;
}
//Bool -> Check !isset
if(!isset($LicenseTable_ValidUntil_YearOnly)){
	$LicenseTable_ValidUntil_YearOnly = false;
}
//String -> Check empty
if(empty($LicenseTable_Data)){
	$LicenseTable_Data = null;
}

//Initalisieren der Show-Data Variablen
$LicenseTable_Data_Array = Helper::ConvertParameterListToArray($LicenseTable_Data);

$LicenseTable_Show_Category = in_array("category", $LicenseTable_Data_Array);
$LicenseTable_Show_Acronym = in_array("acronym", $LicenseTable_Data_Array);
$LicenseTable_Show_Club = in_array("club", $LicenseTable_Data_Array);
$LicenseTable_Show_Number = in_array("number", $LicenseTable_Data_Array);
$LicenseTable_Show_ValidUntil = in_array("validuntil", $LicenseTable_Data_Array);
$LicenseTable_Show_Level = in_array("level", $LicenseTable_Data_Array);
$LicenseTable_Show_Phone = in_array("phone", $LicenseTable_Data_Array);
$LicenseTable_Show_Mobile = in_array("mobile", $LicenseTable_Data_Array);
$LicenseTable_Show_Fax = in_array("fax", $LicenseTable_Data_Array);
$LicenseTable_Show_EMail = in_array("email", $LicenseTable_Data_Array);
$LicenseTable_Show_AssignmentYears = in_array("assignmentyears", $LicenseTable_Data_Array);

//Int != 0 -> Check empty
if(empty($LicenseTable_HeaderLevel)){
	$LicenseTable_HeaderLevel = 2;
}
else if(!is_numeric($LicenseTable_HeaderLevel) || $LicenseTable_HeaderLevel < 1 || $LicenseTable_HeaderLevel > 6){
	throw new Exception("HeaderLevel must be a numeric value between 1 and 6");
}
//String -> Check empty
if(empty($LicenseTable_SearchLevels)){
	$LicenseTable_SearchLevels = "A,B,C,D";
}

$LicenseTable_SearchLevels_Array = Helper::ConvertParameterListToArray($LicenseTable_SearchLevels);
//Bool -> Check !isset
if(!isset($LicenseTable_Use_EMailIcon)){
	$LicenseTable_Use_EMailIcon = false;
}
//Bool -> Check !isset
if(!isset($LicenseTable_Show_Caption)){
	$LicenseTable_Show_Caption = false;
}
//Bool -> Check !isset
if(!isset($LicenseTable_GroupBy_Club)){
	$LicenseTable_GroupBy_Club = false;
}

$LicenseTable_Person_Filter = $_GET["bsm_person_filter"];
$LicenseTable_Club_Filter = $_GET["bsm_club_filter"];
$LicenseTable_Level_Filter = $_GET["bsm_level_filter"];
//WordPress-Support
$LicenseTable_PageID = $_GET["page_id"];
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="license">
	<?php if($LicenseTable_Show_Search): ?>
	<form method="GET">
		<fieldset>
				<legend><?php echo Localization::LICENSETABLE_SEARCH_LEGEND; ?></legend>
				<div data-searchentry-for="bsm_person_filter">				
					<label for="bsm_person_filter"><?php echo Localization::LICENSETABLE_SEARCH_PERSON_LABEL; ?></label>
					<input type="search" id="bsm_person_filter" name="bsm_person_filter" placeholder="<?php echo Localization::LICENSETABLE_SEARCH_PERSON_PLACEHOLDER; ?>" value="<?php echo Helper::EncodeUserInputString($LicenseTable_Person_Filter); ?>" />
				</div>
				<?php if($LicenseTable_Show_Club || (!$LicenseTable_GroupBy_Club && $LicenseTable_Show_Acronym)): ?>
				<div data-searchentry-for="bsm_club_filter">				
					<label for="bsm_club_filter"><?php echo Localization::LICENSETABLE_SEARCH_CLUB_LABEL; ?></label>
					<input type="search" id="bsm_club_filter" name="bsm_club_filter" placeholder="<?php echo Localization::LICENSETABLE_SEARCH_CLUB_PLACEHOLDER; ?>" value="<?php echo Helper::EncodeUserInputString($LicenseTable_Club_Filter); ?>" />
				</div>
				<?php endif; ?>
				<?php if(!empty($LicenseTable_SearchLevels_Array) && ($LicenseTable_Show_Number || $LicenseTable_Show_Level)): ?>
				<div data-searchentry-for="bsm_level_filter">
					<label><?php echo Localization::LICENSETABLE_SEARCH_LEVEL_LABEL; ?></label>
					<?php foreach($LicenseTable_SearchLevels_Array as $level): ?>
					<input type="checkbox" name="bsm_level_filter[]" value="<?php echo $level; ?>"<?php if(is_array($LicenseTable_Level_Filter) && in_array($level, $LicenseTable_Level_Filter)): ?> checked="checked"<?php endif; ?> /><?php echo $level; ?>						
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
				<div data-searchentry-for="hidden_and_submit">
					<?php if (!empty($LicenseTable_PageID)): ?>
					<input type="hidden" name="page_id" value="<?php echo Helper::EncodeUserInputString($LicenseTable_PageID); ?>" />
					<?php endif; ?>						
					<button type="submit"><?php echo Localization::LICENSETABLE_SEARCH_BUTTON; ?></button>
				</div>
		</fieldset>
	</form>
	<?php endif; ?>
	<?php 
		$LicenseTable_Licenses = empty($LicenseTable_Club) ? Api::GetLicensesForOrganization() : Api::GetLicensesForClub($LicenseTable_Club);
		$LicenseTable_Filtered = array();	
		foreach($LicenseTable_Licenses as $license) {
			//Filtern nach Personenfilter
			if(!empty($LicenseTable_Person_Filter) && stripos(Helper::GetPersonDisplayName($license->GetPerson(), true), $LicenseTable_Person_Filter) === false) {
			
				continue;
			}		
			//Filtern nach Vereinsfilter
			if(!empty($LicenseTable_Club_Filter) && stripos($license->GetClubShortNameOrDefault(), $LicenseTable_Club_Filter) === false) {
					
				continue;
			}			
			//Filtern nach Levelfilter
			if(!empty($LicenseTable_Level_Filter) && is_array($LicenseTable_Level_Filter) && !in_array($license->GetLevel(), $LicenseTable_Level_Filter)){
			
				continue;
			}
			
			array_push($LicenseTable_Filtered, $license);
		}

		if(empty($LicenseTable_Filtered)){
			
			echo Localization::LICENSETABLE_SEARCH_NOENTRIES;
		}
	?>
	<?php foreach(Helper::GroupLicenses($LicenseTable_Filtered, $LicenseTable_Category, $LicenseTable_Club, $LicenseTable_Level, $LicenseTable_GroupBy_Club) as $category => $clubGrouping): ?>
	<<?php echo ($LicenseTable_Show_Category ? "section" : "div") ?> data-grouping="<?php echo $category; ?>" data-grouping-type="category">
		<?php if($LicenseTable_Show_Category): ?>	
		<h<?php echo $LicenseTable_HeaderLevel; ?>><?php echo $category; ?></h<?php echo $LicenseTable_HeaderLevel; ?>>
		<?php endif; ?>
		<?php foreach($clubGrouping as $club => $licenseGrouping): ?>
		<table data-grouping="<?php echo $club; ?>" data-grouping-type="club">
			<?php if($LicenseTable_Show_Caption || ($LicenseTable_GroupBy_Club && $LicenseTable_Show_Club)): ?>
			<caption><?php echo $LicenseTable_GroupBy_Club && $LicenseTable_Show_Club ? $licenseGrouping[0]->GetClubShortNameOrDefault() : Localization::LICENSETABLE_CAPTION; ?></caption>
			<?php endif; ?>
			<thead>
				<tr>
					<th data-cell-for="personname"><?php echo Localization::LICENSETABLE_COLUMN_PERSONNAME; ?></th>
					<?php if (!$LicenseTable_GroupBy_Club && $LicenseTable_Show_Acronym): ?><th data-cell-for="acronym"><?php echo Localization::LICENSETABLE_COLUMN_ACRONYM; ?></th><?php endif; ?>
					<?php if (!$LicenseTable_GroupBy_Club && $LicenseTable_Show_Club): ?><th data-cell-for="club"><?php echo Localization::LICENSETABLE_COLUMN_CLUB; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_Number): ?><th data-cell-for="number"><?php echo Localization::LICENSETABLE_COLUMN_NUMBER; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_ValidUntil): ?><th data-cell-for="validuntil"><?php echo Localization::LICENSETABLE_COLUMN_VALIDUNTIL; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_Level): ?><th data-cell-for="level"><?php echo Localization::LICENSETABLE_COLUMN_LEVEL; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_AssignmentYears): ?><th data-cell-for="assignmentyears"><?php echo Localization::LICENSETABLE_COLUMN_ASSIGNMENTYEARS; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_Phone): ?><th data-cell-for="phone"><?php echo Localization::LICENSETABLE_COLUMN_PHONE; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_Mobile): ?><th data-cell-for="mobile"><?php echo Localization::LICENSETABLE_COLUMN_MOBILE; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_Fax): ?><th data-cell-for="fax"><?php echo Localization::LICENSETABLE_COLUMN_FAX; ?></th><?php endif; ?>
					<?php if ($LicenseTable_Show_EMail): ?><th data-cell-for="email"><?php echo Localization::LICENSETABLE_COLUMN_EMAIL; ?></th><?php endif; ?>			
					</tr>
			</thead>
			<tbody>
				<?php foreach($licenseGrouping as $license): ?>
				<?php			
					$LicenseTable_Person = $license->GetPerson();				
					$LicenseTable_ContactInfo = $LicenseTable_Person->GetContactInfo();
			
					// Tel
					$LicenseTable_Phone = empty($LicenseTable_ContactInfo) ? null : $LicenseTable_ContactInfo->GetPhone();
					
					// Mobil
					$LicenseTable_Mobile = empty($LicenseTable_ContactInfo) ? null : $LicenseTable_ContactInfo->GetMobile();
						
					// Fax
					$LicenseTable_Fax = empty($LicenseTable_ContactInfo) ? null : $LicenseTable_ContactInfo->GetFax();
					
					// EMail
					$LicenseTable_EMail = empty($LicenseTable_ContactInfo) ? null : Helper::GetUsedEMail($LicenseTable_ContactInfo);
					
					// Assignments yearly 
		        	$LicenseTable_AssignmentYears = null;
		        	$LicenseTable_AssignmentYearsTooltip = null;
		        	if($LicenseTable_Show_AssignmentYears){
		       		  	$assignmentValues = array();
		       		  	$assignmentTooltip = array();
		       		  	$assignments = $license->GetAssignmentYears();	       		  	
		       		  	
		       		  	if(!empty($assignments)){
			       			foreach ($assignments as $assignment){
			       				//var_dump($assignment);
			       		  		$count = $assignment->GetCount();
			       		  		$year = $assignment->GetYear();
			       		  		array_push($assignmentValues, $count);
			       		  		array_push($assignmentTooltip, $year . ": " . $count);
			       			}
		       		  	}
		       		  	
		       			$LicenseTable_AssignmentYears = $assignmentValues;
		       			$LicenseTable_AssignmentYearsTooltip = $assignmentTooltip;
		       		}	       		  	
					?>
				<tr data-row-for="<?php echo $license->GetNumber();?>">
					<td data-cell-for="personname"><?php echo Helper::GetPersonDisplayName($license->GetPerson(), true); ?></td>
					<?php if (!$LicenseTable_GroupBy_Club && $LicenseTable_Show_Acronym): ?><td data-cell-for="acronym"><abbr title="<?php echo $license->GetClubShortNameOrDefault(); ?>"><?php echo $license->GetClubAcronymOrDefault(); ?></abbr></td><?php endif; ?>
					<?php if (!$LicenseTable_GroupBy_Club && $LicenseTable_Show_Club): ?><td data-cell-for="club"><?php echo $license->GetClubShortNameOrDefault(); ?></td><?php endif; ?>
					<?php if ($LicenseTable_Show_Number): ?><td data-cell-for="number"><?php echo $license->GetNumber(); ?></td><?php endif; ?>
					<?php if ($LicenseTable_Show_ValidUntil): ?><td data-cell-for="validuntil" valid-days="<?php echo Helper::PlaceholderIfEmpty(Helper::daysUntilDateString(Helper::GetDateByString($license->GetValidUntil(), $LicenseTable_ValidUntil_YearOnly))); ?>"><?php echo Helper::PlaceholderIfEmpty(Helper::GetDateByString($license->GetValidUntil(), $LicenseTable_ValidUntil_YearOnly)); ?></td><?php endif; ?>
					<?php if ($LicenseTable_Show_Level): ?><td data-cell-for="level"><?php echo $license->GetLevel(); ?></td><?php endif; ?>
					<?php if ($LicenseTable_Show_AssignmentYears): ?>
						<td data-cell-for="assignmentyears" title="<?php echo implode(" , ", $LicenseTable_AssignmentYearsTooltip); ?>">
		        			<?php echo implode(" / ", $LicenseTable_AssignmentYears); ?>
						</td>
					<?php endif; ?>
					<?php if ($LicenseTable_Show_Phone): ?><td data-cell-for="phone"><?php if (empty($LicenseTable_Phone)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($LicenseTable_Phone); ?>"><?php echo Helper::ToHtmlNumbers($LicenseTable_Phone); ?></a><?php endif;?></td><?php endif; ?>
					<?php if ($LicenseTable_Show_Mobile): ?><td data-cell-for="mobile"><?php if (empty($LicenseTable_Mobile)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($LicenseTable_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($LicenseTable_Mobile); ?></a><?php endif;?></td><?php endif; ?>
					<?php if ($LicenseTable_Show_Fax): ?><td data-cell-for="fax"><?php if (empty($LicenseTable_Fax)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($LicenseTable_Fax); ?>"><?php echo Helper::ToHtmlNumbers($LicenseTable_Fax); ?></a><?php endif;?></td><?php endif; ?>				
					<?php if ($LicenseTable_Show_EMail): ?><td data-cell-for="email"><?php if (empty($LicenseTable_EMail)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToMailToLink($LicenseTable_EMail); ?>"<?php if($LicenseTable_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($LicenseTable_EMail); ?>"<?php endif; ?>><?php if($LicenseTable_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($LicenseTable_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($LicenseTable_EMail); ?><?php endif; ?></a><?php endif;?></td><?php endif; ?>	
				</tr>
				<?php endforeach; ?>
			</tbody>		
		</table>
		<?php endforeach; ?>
	</<?php echo ($LicenseTable_Show_Category ? "section" : "div") ?>>
	<?php endforeach; ?>
</div>