<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//Int != 0 -> Check empty
if(empty($Match_ID)){
	throw new Exception("No match given");
}
else if(!is_numeric($Match_ID)){
	throw new Exception("ID must be a numeric value");
}
//String -> Check empty
if(empty($Match_FieldUrl)){
	$Match_FieldUrl = null;
}
//String -> Check empty
if(empty($Match_BoxscoreUrl)){
	$Match_BoxscoreUrl = null;
}
//String -> Check empty
if(empty($Match_Data)){
	$Match_Data = null;
}
//String -> Check empty
if(empty($Match_Date_DayOfWeek)){
	$Match_Date_DayOfWeek = "none";
}
else if($Match_Date_DayOfWeek != "none" && $Match_Date_DayOfWeek != "short" && $Match_Date_DayOfWeek != "long"){
	throw new Exception("Date_DayOfWeek has only 3 valid values: 'none' (default), 'short' and 'long', but '" . $Match_Date_DayOfWeek . "' was set");
}

//Initalisieren der Show Variablen
$Match_Data_Array = Helper::ConvertParameterListToArray($Match_Data);

$Match_Show_ID = in_array("id", $Match_Data_Array);
$Match_Show_League = in_array("league", $Match_Data_Array);
$Match_Show_Date = in_array("date", $Match_Data_Array);
$Match_Show_Time = in_array("time", $Match_Data_Array); // obsolete
$Match_Show_Home = in_array("home", $Match_Data_Array); // obsolete
$Match_Show_Away = in_array("away", $Match_Data_Array); // obsolete
$Match_Show_Teams = in_array("teams", $Match_Data_Array);
$Match_Show_FieldName = in_array("fieldname", $Match_Data_Array);
$Match_Show_Address = in_array("address", $Match_Data_Array);
$Match_Show_Result = in_array("result", $Match_Data_Array);
$Match_Show_UmpireSelection = in_array("umpireselection", $Match_Data_Array);
$Match_Show_ScorerSelection = in_array("scorerselection", $Match_Data_Array);
$Match_Show_UmpireAssignments = in_array("umpireassignments", $Match_Data_Array);
$Match_Show_ScorerAssignments = in_array("scorerassignments", $Match_Data_Array);
$Match_Show_ScoreSheet = in_array("scoresheet", $Match_Data_Array);
$Match_Show_PlannedInnings = in_array("plannedinnings", $Match_Data_Array);
$Match_Show_LivestreamUrl = in_array("livestreamurl", $Match_Data_Array);
$Match_Show_Name = in_array("name", $Match_Data_Array);

$Match_Show_Boxscore = !empty($Match_BoxscoreUrl); // in_array("boxscore", $Match_Data_Array);

//Ohne Beachtung der tatschlichen Daten, da dem Konfigurator evtl. ein falsches MaxLevel suggeriert wird (Geht zwar mit aktuellen Daten, bei anderer Liga aber vllt. nicht)
$Match_Show_Basic = $Match_Show_Date || $Match_Show_Time || $Match_Show_Home || $Match_Show_Away || $Match_Show_Teams || $Match_Show_Result || $Match_Show_ScoreSheet;
$Match_Max_HeaderLevel = $Match_Show_ID && ($Match_Show_FieldName || $Match_Show_Address || $Match_Show_Basic || $Match_Show_UmpireAssignments || $Match_Show_ScorerAssignments) ? 5 : 6;

//Int != 0 -> Check empty
if(empty($Match_HeaderLevel)){
	$Match_HeaderLevel = 2;
}
else if(!is_numeric($Match_HeaderLevel) || $Match_HeaderLevel < 1 || $Match_HeaderLevel > $Match_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $Match_Max_HeaderLevel);
}

$Match = Api::GetMatch($Match_ID);
$Match_Field = $Match->GetField();

// Liga
$Match_League = $Match_Show_ID && $Match_Show_League ? $Match->GetLeague() : null;
// Spielfeld
$Match_FieldName = $Match_Show_FieldName && !empty($Match_Field) ? $Match_Field->GetName() : null;
// Adresse
$Match_Address = $Match_Show_Address && !empty($Match_Field) ? Helper::GetFullAddress($Match_Field) : null;
// Datum
$Match_Date = $Match_Show_Date ? Helper::GetDateByString($Match->GetTime(), false, $Match_Date_DayOfWeek === "short", $Match_Date_DayOfWeek === "long") : null;
// Uhrzeit
$Match_Time = $Match_Show_Time ? Helper::GetTimeByString($Match->GetTime()) : null;
// Heim
$Match_Home = $Match_Show_Home ? $Match->GetHomeLeagueEntry()->GetTeam()->GetName() : null;
// Gast
$Match_Away = $Match_Show_Away ? $Match->GetAwayLeagueEntry()->GetTeam()->GetName() : null;
// Beide zusammen
$Match_Teams = $Match_Show_Teams 
				? $Match->GetHomeLeagueEntry()->GetTeam()->GetName() 
					. " " . Localization::GLOBAL_PLACEHOLDER . " " 
					. $Match->GetAwayLeagueEntry()->GetTeam()->GetName() 
				: null;
// Ergebnis
$Match_Result = $Match->GetResult();
$Match_State = $Match->GetState();
$Match_LocalizedState = $Match->GetLocalizedState();
//Wenn ein Status gegeben ist -> Sonderflle
if(!empty($Match_State)){	
	//Status ist ausgefallen -> Nur den Status zeigen (egal was fr ein Ergebnis gesetzt ist)
	if($Match_State === "canceled"){
		$Match_Result = $Match_LocalizedState;
	}
	//Status ist geplant -> Nur Placeholder zeigen (egal was fr ein Ergebnis gesetzt ist)
	else if($Match_State === "planned"){
		$Match_Result = Localization::GLOBAL_PLACEHOLDER;
	}
	//Ansonsten bestimmte Status in Klammern an das Ergebnis hngen, sofern ein Ergebnis gegeben ist
	else if(!empty($Match_Result) && $Match_State !== "played"){
		$Match_Result = $Match_Result . " (" . $Match_LocalizedState . ")";
	} 
}
// Scoresheet
$Match_ScoreSheetUrl = $Match_Show_ScoreSheet ? $Match->GetScoreSheetUrl() : null;
$Match_ScoreSheetFileName = $Match_Show_ScoreSheet ? $Match->GetScoreSheetFileName() : null;
// Umpire
$Match_UmpireAssignments = $Match_Show_UmpireAssignments ? $Match->GetUmpireAssignments() : null;
$Match_UmpireSelection = $Match_Show_UmpireSelection ? $Match->GetUmpireSelection() : null;
// Scorer
$Match_ScorerAssignments = $Match_Show_ScorerAssignments ? $Match->GetScorerAssignments() : null;
$Match_ScorerSelection = $Match_Show_ScorerSelection ? $Match->GetScorerSelection() : null;

// Planned Innings
$Match_PlannedInnings = $Match_Show_PlannedInnings ? $Match->GetPlannedInnings() : null;

// Livestream Url
$Match_LivestreamUrl = $Match_Show_LivestreamUrl ? $Match->GetLivestreamUrl() : null;

// Name (neu)
$Match_Name = $Match_Show_Name ? $Match->GetName() : null;

//Update Show-Variable fr Anzeige
$Match_Show_Basic = !empty($Match_Date) || !empty($Match_Time) || !empty($Match_Home) || !empty($Match_Away) || !empty($Match_Result) || (!empty($Match_ScoreSheetUrl) && !empty($Match_ScoreSheetFileName));
?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="match">
	<<?php echo $Match_Show_ID ? "article" : "div"; ?>>
	<?php if($Match_Show_ID): ?>
		<h<?php echo $Match_HeaderLevel; ?>><?php echo Localization::MATCH_LABEL_ID . " " . $Match->GetMatchID(); if(!empty($Match_League)){ echo " (" . $Match_League->GetName() . ")"; }?></h<?php echo $Match_HeaderLevel; ?>>
	<?php endif; ?>
	<?php if($Match_Show_Basic): ?>
	    <section data-type="basic">
		    <h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>><?php echo Localization::MATCH_HEADLINE_BASIC; ?></h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>>
		    <dl>
		    	<?php if(!empty($Match_Date)): ?>
		            <dt data-type="date-time"><!-- Date Time --></dt>
			    	<dd data-type="date-time">
			    		<?php echo $Match_Date; ?>
		    			<?php echo " " . Helper::GetTimeByString($Match->GetTime()); ?>
			    	</dd>
		    	<?php endif; ?>
		    	
		    	<?php if(!empty($Match_Name)): ?>
		            <dt data-type="name"><!-- Name --></dt>
			    	<dd data-type="name"><?php echo $Match_Name; ?></dd>
		    	<?php endif; ?>
		    	
		    	<?php if(!empty($Match_Home)): ?>
		            <dt data-type="home"><?php echo Localization::MATCH_LABEL_HOME; ?></dt>
		            <dd data-type="home"><?php echo $Match_Home; ?></dd>
		    	<?php endif; ?>
	            
	            <?php if(!empty($Match_Away)): ?>
		            <dt data-type="away"><?php echo Localization::MATCH_LABEL_AWAY; ?></dt>
		            <dd data-type="away"><?php echo $Match_Away; ?></dd>
		    	<?php endif; ?>
	            
	            <!-- Entweder Teams und alles beieinandern oder weiterhin getrennt (else) -->
		    	<?php if(!empty($Match_Teams)): ?>
		            <dt data-type="teams-result"><!-- Home - Away Result --></dt>
			    	<dd data-type="teams-result">
			    		<?php echo $Match_Teams; ?>
				    	<?php if($Match_Show_Result && !empty($Match_Result) && $Match_Result != Localization::GLOBAL_PLACEHOLDER): ?>	    	
				    		<?php echo " " . $Match_Result; ?>
				    	<?php endif; ?>
						<?php if ($Match_Show_Boxscore && $Match->GetStatisticsPublished()): ?>
							<?php
								$url = $Match_BoxscoreUrl;
								$query = parse_url($url, PHP_URL_QUERY);
								
								if($query){
									$url .= "&amp;bsm_match=";
								}else{
									$url .= "?bsm_match=";
								}
								
								$url .= $Match->GetID();
							?>
							<a href="<?php echo $url; ?>"><?php echo Localization::MATCH_LABEL_BOXSCORE; ?></a>
						<?php endif; ?>
				    </dd>
				    
		            <?php if(!empty($Match_PlannedInnings)): ?>
			            <dt data-type="innings"><!-- PlannedInnings --></dt>
				    	<dd data-type="innings"><?php echo Localization::MATCH_LABEL_INNINGS; ?>: <?php echo $Match_PlannedInnings; ?></dd>
			    	<?php endif; ?>	            
			    <?php else: ?>
		            <?php if($Match_Show_Result && !empty($Match_Result)): ?>            
			            <dt data-type="result"><?php echo Localization::MATCH_LABEL_RESULT; ?></dt>
			            <dd data-type="result"><?php echo $Match_Result; ?></dd>
		            <?php endif; ?>
			    	
					<?php if ($Match_Show_Boxscore && $Match->GetStatisticsPublished()): ?>
						<?php
							$url = $Match_BoxscoreUrl;
							$query = parse_url($url, PHP_URL_QUERY);
							
							if($query){
								$url .= "&amp;bsm_match=";
							}else{
								$url .= "?bsm_match=";
							}
							
							$url .= $Match->GetID();
						?>
			            <dt data-type="boxscore"><!-- Boxscore --></dt>
		            	<dd data-type="boxscore">
							<a href="<?php echo $url; ?>"><?php echo Localization::MATCH_LABEL_BOXSCORE; ?></a>
						</dd>
					<?php endif; ?>					
		            
		            <?php if(!empty($Match_PlannedInnings)): ?>
			            <dt data-type="innings"><?php echo Localization::MATCH_LABEL_INNINGS; ?></dt>
				    	<dd data-type="innings"><?php echo $Match_PlannedInnings; ?></dd>
			    	<?php endif; ?>	            
		    	<?php endif; ?>
		    	
		    	<?php if(!empty($Match_ScoreSheetUrl) && !empty($Match_ScoreSheetFileName)): ?>
		            <dt data-type="scoresheets"><!-- ScoresheetUrl --></dt>
			    	<dd data-type="scoresheets">
			    		<?php echo Localization::MATCH_LABEL_SCORESHEET; ?>: 
			    		<a href="<?php echo $Match_ScoreSheetUrl; ?>" target="_blank" title="<?php echo Localization::GLOBAL_DOWNLOAD. ": " . Localization::MATCH_VALUE_SCORESHEET . " - " . $Match_ScoreSheetFileName; ?>"><img src="<?php echo Helper::UrlForImage("paperclip.png")?>" alt="<?php echo Localization::GLOBAL_DOWNLOAD. ": " . Localization::MATCH_VALUE_SCORESHEET . " - " . $Match_ScoreSheetFileName; ?>" data-icon-for="scoresheet" /></a>
			    	</dd>
		    	<?php endif; ?>
		    	
		    	<?php if(!empty($Match_LivestreamUrl)): ?>
		            <dt data-type="livestream"><!-- LivestreamUrl --></dt>
			    	<dd data-type="livestream">
			    		<?php echo Localization::MATCH_LABEL_LIVESTREAMURL; ?>: 
			    		<a href="<?php echo $Match_LivestreamUrl; ?>" target="_blank" title="<?php echo Localization::MATCHTABLE_COLUMN_LIVESTREAMURL; ?>"><?php echo $Match_LivestreamUrl; ?></a>
			    	</dd>
		    	<?php endif; ?>
	    	</dl>
	    </section>	
    <?php endif; ?>
	<?php if(!empty($Match_FieldName) || !empty($Match_Address)): ?>
	<section data-type="field">
	    <h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>><?php echo Localization::MATCH_HEADLINE_FIELD; ?></h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>>
	    <p>
	    	<?php 
	    		$Match_ProvideFieldDetails = !empty($Match_FieldUrl);
	    		if($Match_ProvideFieldDetails && !empty($Match_Field)){
	    			$url = $Match_FieldUrl;
	    			$query = parse_url($url, PHP_URL_QUERY);
	        		
	        		if($query){
	        		
	        			$url .= "&amp;bsm_field=";
	        		}else{
	        		
	        			$url .= "?bsm_field=";
	        		}
	        			
	        		$url .= $Match_Field->GetID();
        		}
        	?>
	    	<?php if(!empty($Match_FieldName)): ?>
		    	<?php if($Match_ProvideFieldDetails): ?>
			    	<a href="<?php echo $url ?>">
		    	<?php endif; ?>
	    		<?php echo $Match_FieldName; ?>
	    		<?php if($Match_ProvideFieldDetails): ?>
	    			</a>
	    		<?php endif; ?>
	    		<br />
	    	<?php endif;?>
	    	<?php if(!empty($Match_Address)): ?>
	    		<?php if($Match_ProvideFieldDetails && empty($Match_FieldName)): ?>
	    			<a href="<?php echo $url ?>">
	    		<?php endif; ?>
		    	<?php echo $Match_Address; ?>
		    	<?php if($Match_ProvideFieldDetails): ?>
	    			</a>
	    		<?php endif; ?>
		    	<br />
			<?php endif; ?>
	    </p>
	</section>
	<?php endif; ?>	
    <?php if(!empty($Match_UmpireAssignments) || !empty($Match_UmpireSelection)): ?>
    <section data-type="umpireAssignments">    
    	<h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>><?php echo Localization::MATCH_HEADLINE_UMPIREASSIGNMENTS; ?></h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>>
    	<?php if(!empty($Match_UmpireSelection)): ?>
    	<p><?php echo $Match_UmpireSelection->GetDisplayName(); ?></p>
    	<?php endif; ?>
    	<?php if(!empty($Match_UmpireAssignments)): ?>
    	<ul>
			<?php foreach ($Match_UmpireAssignments as $umpireAssignment): ?>
				<?php $Match_Umpire_License = $umpireAssignment->GetLicense(); ?>
				<?php $Match_Umpire_Position = $umpireAssignment->GetAssignmentType(); ?>
				<?php $Match_Umpire_CC = $umpireAssignment->GetCrewChief(); ?>
				<li><?php echo 
						(!empty($Match_Umpire_Position) ? $Match_Umpire_Position . ": " : "") . 
						Helper::GetPersonDisplayName($Match_Umpire_License->GetPerson(), true) . 
						" (" . $Match_Umpire_License->GetNumber() . ")" .
						(!empty($Match_Umpire_CC) ? " - " . Localization::MATCH_UMPIREASSIGNMENT_CREWCHIEF : "") 
						;
				?></li>
			<?php endforeach; ?>
		</ul>
		<?php endif; ?>
    </section>
    <?php endif; ?>
    <?php if(!empty($Match_ScorerAssignments) || !empty($Match_ScorerSelection)): ?>
    <section data-type="scorerAssignments">
    	<h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>><?php echo Localization::MATCH_HEADLINE_SCORERASSIGNMENTS; ?></h<?php echo $Match_HeaderLevel + ($Match_Show_ID ? 1 : 0); ?>>
    	<?php if(!empty($Match_ScorerSelection)): ?>
    		<p><?php echo $Match_ScorerSelection->GetDisplayName(); ?></p>
    	<?php endif; ?>
    	<?php if(!empty($Match_ScorerAssignments)): ?>
	    	<ul>
				<?php foreach ($Match_ScorerAssignments as $scorerAssignment): ?>
				<?php $Match_Scorer_License = $scorerAssignment->GetLicense(); ?>
				<li><?php echo Helper::GetPersonDisplayName($Match_Scorer_License->GetPerson(), true) . " (" . $Match_Scorer_License->GetNumber() . ")"; ?></li>
				<?php endforeach; ?>
			</ul>    
		<?php endif; ?>
    </section>
    <?php endif; ?>
	</<?php echo $Match_Show_ID ? "article" : "div" ?>>
</div>