<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String -> Check empty
if(empty($MatchPenaltyTable_Data)){
	$MatchPenaltyTable_Data = null;
}
//String -> Check empty
if(empty($MatchPenaltyTable_Type)){
	$MatchPenaltyTable_Type = null;
}
//String -> Check empty
if(empty($MatchPenaltyTable_Date_DayOfWeek)){
	$MatchPenaltyTable_Date_DayOfWeek = "none";
}
else if($MatchPenaltyTable_Date_DayOfWeek != "none" && $MatchPenaltyTable_Date_DayOfWeek != "short" && $MatchPenaltyTable_Date_DayOfWeek != "long"){
	throw new Exception("Date_DayOfWeek has only 3 valid values: 'none' (default), 'short' and 'long', but '" . $MatchPenaltyTable_Date_DayOfWeek . "' was set");
}
//Bool -> Check !isset
if(!isset($MatchPenaltyTable_Show_Caption)){
	$MatchPenaltyTable_Show_Caption = false;
}
//Int != 0 -> Check empty
if(empty($MatchPenaltyTable_Season)){
	$MatchPenaltyTable_Season = null;
}

//Initalisieren der Show Variablen
$MatchPenaltyTable_Data_Array = Helper::ConvertParameterListToArray($MatchPenaltyTable_Data);

$MatchPenaltyTable_Show_Match_Date = in_array("matchdate", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Type = in_array("type", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_League_Acronym = in_array("leagueacronym", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_League = in_array("league", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Match_ID = in_array("matchid", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Club_Acronym = in_array("clubacronym", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Club = in_array("club", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Number = in_array("number", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Function = in_array("function", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Incident = in_array("incident", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Sentence = in_array("sentence", $MatchPenaltyTable_Data_Array);
$MatchPenaltyTable_Show_Fee = in_array("fee", $MatchPenaltyTable_Data_Array);

//Daten
$MatchPenaltyTable_Penalties = Api::GetMatchPenaltiesForOrganization($MatchPenaltyTable_Season);
//Filter
if(!empty($MatchPenaltyTable_Type)){
	$MatchPenaltyTable_Penalties_Filtered = array();
	foreach ($MatchPenaltyTable_Penalties as $penalty){		
		if($penalty->GetType() !== $MatchPenaltyTable_Type)
			continue;
		
		array_push($MatchPenaltyTable_Penalties_Filtered, $penalty);
	}
}else{
	$MatchPenaltyTable_Penalties_Filtered = $MatchPenaltyTable_Penalties;
}
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="matchPenalty">
	<?php if(empty($MatchPenaltyTable_Penalties_Filtered)): ?>
	<?php echo Localization::MATCHPENALTYTABLE_NOENTRIES; ?>
	<?php else: ?>
	<table>			
		<?php if($MatchPenaltyTable_Show_Caption): ?>
		<caption><?php echo Localization::MATCHPENALTYTABLE_CAPTION; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<?php if($MatchPenaltyTable_Show_Match_Date): ?><th data-cell-for="matchdate"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_MATCHDATE; ?></th><?php endif; ?>			
				<?php if($MatchPenaltyTable_Show_Type): ?><th data-cell-for="type"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_TYPE; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_League_Acronym): ?><th data-cell-for="leagueacronym"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_LEAGUEACRONYM; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_League): ?><th data-cell-for="league"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_LEAGUE; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Match_ID): ?><th data-cell-for="matchid"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_MATCHID; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Club_Acronym): ?><th data-cell-for="clubacronym"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_CLUBACRONYM; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Club): ?><th data-cell-for="club"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_CLUB; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Number): ?><th data-cell-for="number"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_NUMBER; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Function): ?><th data-cell-for="function"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_FUNCTION; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Incident): ?><th data-cell-for="incident"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_INCIDENT; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Sentence): ?><th data-cell-for="sentence"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_SENTENCE; ?></th><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Fee): ?><th data-cell-for="fee"><?php echo Localization::MATCHPENALTYTABLE_COLUMN_FEE; ?></th><?php endif; ?>											
			</tr>	
		</thead>
		<tbody>	
			<?php foreach($MatchPenaltyTable_Penalties_Filtered as $penalty): ?>
			<tr data-row-for="<?php echo $penalty->GetNumber(); ?>">
				<?php if($MatchPenaltyTable_Show_Match_Date): ?><td data-cell-for="matchdate"><?php echo Helper::PlaceholderIfEmpty(Helper::GetDateByString($penalty->GetMatch()->GetTime(), false, $MatchPenaltyTable_Date_DayOfWeek === "short", $MatchPenaltyTable_Date_DayOfWeek === "long")); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Type): ?><td data-cell-for="type"><?php echo Helper::PlaceholderIfEmpty($penalty->GetType()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_League_Acronym): ?><td data-cell-for="leagueacronym"><abbr title="<?php echo $penalty->GetMatch()->GetLeague()->GetName(); ?>"><?php echo $penalty->GetMatch()->GetLeague()->GetAcronym(); ?></abbr></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_League): ?><td data-cell-for="league"><?php echo Helper::PlaceholderIfEmpty($penalty->GetMatch()->GetLeague()->GetName()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Match_ID): ?><td data-cell-for="matchid"><?php echo Helper::PlaceholderIfEmpty($penalty->GetMatch()->GetMatchID()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Club_Acronym): ?><td data-cell-for="clubacronym"><abbr title="<?php echo $penalty->GetClub()->GetShortName(); ?>"><?php echo $penalty->GetClub()->GetAcronym(); ?></abbr></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Club): ?><td data-cell-for="club"><?php echo Helper::PlaceholderIfEmpty($penalty->GetClub()->GetShortName()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Number): ?><td data-cell-for="number"><?php echo Helper::PlaceholderIfEmpty($penalty->GetNumber()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Function): ?><td data-cell-for="function"><?php echo Helper::PlaceholderIfEmpty($penalty->GetFunction()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Incident): ?><td data-cell-for="incident"><?php echo Helper::PlaceholderIfEmpty($penalty->GetIncident()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Sentence): ?><td data-cell-for="sentence"><?php echo Helper::PlaceholderIfEmpty($penalty->GetSentence()); ?></td><?php endif; ?>
				<?php if($MatchPenaltyTable_Show_Fee): ?><td data-cell-for="fee"><?php echo Helper::PlaceholderIfEmpty($penalty->GetFee()); ?></td><?php endif; ?>				        
			</tr>
			<?php endforeach; ?>
		</tbody>
	</table>	
	<?php endif; ?>
</div>