<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($MatchTable_League)){
	$MatchTable_League = null;
}
//String/Int != 0 -> Check empty
if(empty($MatchTable_Club)){
	$MatchTable_Club = null;
}
//String -> Check empty
if(empty($MatchTable_Club_FilterSettings)){
	$MatchTable_Club_FilterSettings = null;
}
//String/Int != 0 -> Check empty
if(empty($MatchTable_Highlight)){
	$MatchTable_Highlight = null;
}
//String -> Check empty
if(empty($MatchTable_DetailsUrl)){
	$MatchTable_DetailsUrl = null;
}
//String -> Check empty
if(empty($MatchTable_FieldUrl)){
	$MatchTable_FieldUrl = null;
}
//String -> Check empty
if(empty($MatchTable_BoxscoreUrl)){
	$MatchTable_BoxscoreUrl = null;
}
//String -> Check empty
if(empty($MatchTable_Data)){
	$MatchTable_Data = null;
}
//String -> Check empty
if(empty($MatchTable_Date_DayOfWeek)){
	$MatchTable_Date_DayOfWeek = "none";
}
else if($MatchTable_Date_DayOfWeek != "none" && $MatchTable_Date_DayOfWeek != "short" && $MatchTable_Date_DayOfWeek != "long"){
	throw new Exception("Date_DayOfWeek has only 3 valid values: 'none' (default), 'short' and 'long', but '" . $MatchTable_Date_DayOfWeek . "' was set");
}
//String -> Check empty
if(empty($MatchTable_GameDays)){
	$MatchTable_GameDays = "any";
}
else if($MatchTable_GameDays != "any" && $MatchTable_GameDays != "previous" && $MatchTable_GameDays != "current" && $MatchTable_GameDays != "next"){
	throw new Exception("GameDays has only 4 valid values: 'any' (default), 'previous', 'current' and 'next', but '" . $MatchTable_GameDays . "' was set");
}
//Bool -> Check !isset
if(!isset($MatchTable_Hide_Column_Names)){
	$MatchTable_Hide_Column_Names = false;
}
//String -> Check empty
if(empty($MatchTable_Exclude_States)){
	$MatchTable_Exclude_States = null;
}
//String -> Check empty
if(empty($MatchTable_Exclude_Leagues)){
	$MatchTable_Exclude_Leagues = null;
}
//String -> Check empty
if(empty($MatchTable_Only_Leagues)){
	$MatchTable_Only_Leagues = null;
}
//String -> Check empty
if(empty($MatchTable_GroupBy)){
	$MatchTable_GroupBy = "none";
}
else if($MatchTable_GroupBy !== "none" && $MatchTable_GroupBy !== "league" && $MatchTable_GroupBy !== "date"
		 && $MatchTable_GroupBy !== "date,league" && $MatchTable_GroupBy !== "league,date"){
	throw new Exception("GroupBy has only 3 valid values: 'none' (default), 'league' and 'date', but '" . $MatchTable_GroupBy . "' was set");
}
//Bool -> Check !isset
if(!isset($MatchTable_Use_FieldIcon)){
	$MatchTable_Use_FieldIcon = false;
}
//Bool -> Check !isset
if(!isset($MatchTable_Show_AdditionalLeague)){
	$MatchTable_Show_AdditionalLeague = false;
}
//String -> Check empty
if(empty($MatchTable_LogoMode)){
	$MatchTable_LogoMode = "none";
}
else if($MatchTable_LogoMode != "none" && $MatchTable_LogoMode != "left" && $MatchTable_LogoMode != "right" && $MatchTable_LogoMode != "only"){
	throw new Exception("LogoMode has only 4 valid values: 'none' (default), 'left', 'right' and 'only', but '" . $MatchTable_LogoMode . "' was set");
}
//Bool -> Check !isset
if(!isset($MatchTable_Use_CompactMode)){
	$MatchTable_Use_CompactMode = false;
}
//Int != 0 -> Check empty
if(empty($MatchTable_Season)){
	$MatchTable_Season = null;
}

//Initalisieren der Show Variablen
$MatchTable_Data_Array = Helper::ConvertParameterListToArray($MatchTable_Data);

$MatchTable_Show_Date = in_array("date", $MatchTable_Data_Array);
$MatchTable_Show_Time = in_array("time", $MatchTable_Data_Array);
$MatchTable_Show_League_Acronym = in_array("leagueacronym", $MatchTable_Data_Array);
$MatchTable_Show_League = in_array("league", $MatchTable_Data_Array);
$MatchTable_Show_ID = in_array("id", $MatchTable_Data_Array);
$MatchTable_Show_Home_Acronym = in_array("homeacronym", $MatchTable_Data_Array);
$MatchTable_Show_Home = in_array("home", $MatchTable_Data_Array);
$MatchTable_Show_Away_Acronym = in_array("awayacronym", $MatchTable_Data_Array);
$MatchTable_Show_Away = in_array("away", $MatchTable_Data_Array);
$MatchTable_Show_FieldName = in_array("fieldname", $MatchTable_Data_Array);
$MatchTable_Show_Address = in_array("address", $MatchTable_Data_Array);
$MatchTable_Show_UmpireSelection_Acronym = in_array("umpireselectionacronym", $MatchTable_Data_Array);
$MatchTable_Show_UmpireSelection = in_array("umpireselection", $MatchTable_Data_Array);
$MatchTable_Show_UmpireAssignments = in_array("umpireassignments", $MatchTable_Data_Array);
$MatchTable_Show_ScorerSelection_Acronym = in_array("scorerselectionacronym", $MatchTable_Data_Array);
$MatchTable_Show_ScorerSelection = in_array("scorerselection", $MatchTable_Data_Array);
$MatchTable_Show_ScorerAssignments = in_array("scorerassignments", $MatchTable_Data_Array);
$MatchTable_Show_Result = in_array("result", $MatchTable_Data_Array);
$MatchTable_Show_ScoreSheet = in_array("scoresheet", $MatchTable_Data_Array);
$MatchTable_Show_PlannedInnings = in_array("plannedinnings", $MatchTable_Data_Array);
$MatchTable_Show_LivestreamUrl = in_array("livestreamurl", $MatchTable_Data_Array);
$MatchTable_Show_Name = in_array("name", $MatchTable_Data_Array);

$MatchTable_Show_Boxscore = !empty($MatchTable_BoxscoreUrl); // in_array("boxscore", $MatchTable_Data_Array);

$MatchTable_Matches = null;
if(!empty($MatchTable_Club)){
	//Wenn Verein gegeben, anhand des Vereins die Daten laden - kleinste erwartete Datenmenge
	$MatchTable_Matches = Api::GetMatchesForClub($MatchTable_Club, $MatchTable_GameDays, $MatchTable_Season, (strpos($MatchTable_GroupBy, "league") === 0), $MatchTable_Use_CompactMode);
}
/*
else{
	//Wenn kein Verein gegeben, aber Liga, anhand der Liga die Daten laden - mittlere erwartete Datenmenge - Ansonsten alle - grte erwartete Datenmenge!
	$MatchTable_Matches = empty($MatchTable_League) ? Api::GetMatches($MatchTable_GameDays, $MatchTable_Season, $MatchTable_GroupBy == "league", $MatchTable_Use_CompactMode) : Api::GetMatchesForLeague($MatchTable_League, $MatchTable_GameDays, $MatchTable_Season, $MatchTable_GroupBy == "league", $MatchTable_Use_CompactMode);
}
 */
// RF: 2019-02-04: Spiele immer ber Organisation holen. Mail GG 2019-02-01
else{
	//Wenn kein Verein gegeben, aber Liga, anhand der Liga die Daten laden - mittlere erwartete Datenmenge - Ansonsten alle der Organisation - grte erwartete Datenmenge!
	$MatchTable_Matches = empty($MatchTable_League) ? Api::GetMatchesForOrganization($MatchTable_GameDays, $MatchTable_Season, (strpos($MatchTable_GroupBy, "league") === 0), $MatchTable_Use_CompactMode) : Api::GetMatchesForLeague($MatchTable_League, $MatchTable_GameDays, $MatchTable_Season, (strpos($MatchTable_GroupBy, "league") === 0), $MatchTable_Use_CompactMode);
}

$MatchTable_GroupBy_1 = "none";
$MatchTable_GroupBy_2 = "none";
$MatchTable_Grouped_Matches;

$MatchTable_GroupBy_Array = Helper::ConvertParameterListToArray($MatchTable_GroupBy);
if(count($MatchTable_GroupBy_Array) == 2){
	$MatchTable_GroupBy_1 = $MatchTable_GroupBy_Array[0];
	$MatchTable_GroupBy_2 = $MatchTable_GroupBy_Array[1];
	//Gruppiere und filtere ggf.
	$MatchTable_Grouped_Matches = Helper::GroupGroupMatches($MatchTable_GroupBy_1, $MatchTable_GroupBy_2, $MatchTable_Matches, $MatchTable_League, $MatchTable_Club, $MatchTable_Club_FilterSettings, $MatchTable_Exclude_States, $MatchTable_Exclude_Leagues, $MatchTable_Only_Leagues, $MatchTable_Date_DayOfWeek, $MatchTable_Show_AdditionalLeague);
} else
	if(count($MatchTable_GroupBy_Array) == 1){
		$MatchTable_GroupBy_1 = null;
		$MatchTable_GroupBy_2 = $MatchTable_GroupBy_Array[0];
		//Gruppiere und filtere ggf.
		$MatchTable_Grouped_Matches = Helper::GroupMatches($MatchTable_GroupBy_2, $MatchTable_Matches, $MatchTable_League, $MatchTable_Club, $MatchTable_Club_FilterSettings, $MatchTable_Exclude_States, $MatchTable_Exclude_Leagues, $MatchTable_Only_Leagues, $MatchTable_Date_DayOfWeek, $MatchTable_Show_AdditionalLeague);
}

$MatchTable_ProvideDetails = !empty($MatchTable_DetailsUrl);
$MatchTable_ProvideFieldDetails = !empty($MatchTable_FieldUrl);

$MatchTable_Highlight_Array = Helper::ConvertParameterListToArray($MatchTable_Highlight);
//Der gewhlte Verein muss benutzt werden
$MatchTable_Highlight_Array_UseSelectedClub = !empty($MatchTable_Club) && in_array("selected", $MatchTable_Highlight_Array);
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="match">
	
<?php if(!is_null($MatchTable_GroupBy_1)): ?>
	<?php foreach($MatchTable_Grouped_Matches as $group_1_Desc => $groups_1): ?>
	<table data-grouping="<?php echo $group_1_Desc; ?>" data-grouping-type="<?php echo $MatchTable_GroupBy_1 == "none" ? "match" : $MatchTable_GroupBy_1; ?>">
		<?php if(($MatchTable_GroupBy_1 == "league" && $MatchTable_Show_League) || ($MatchTable_GroupBy_1 == "date" && $MatchTable_Show_Date)): ?>
			<caption><?php echo $group_1_Desc; ?></caption>
		<?php endif; ?>
		<tbody>
			<tr><td>
			<!-- innere Tabelle Grouping (Level) 2 -->
			<?php 
				$MatchTable_Grouped_Matches = $groups_1;
				if($MatchTable_GroupBy_1 == "league" && $MatchTable_Show_League) {
					$MatchTable_Show_League = false;
					include 'MatchTable_sub.php';
					$MatchTable_Show_League = true;
				} else 
				if($MatchTable_GroupBy_1 == "date" && $MatchTable_Show_Date) {
					$MatchTable_Show_Date = false;
					include 'MatchTable_sub.php';
					$MatchTable_Show_Date = true;
				} else 
					include 'MatchTable_sub.php';
			?>
			<!-- / innere Tabelle Grouping (Level) 2 -->
			</td></tr>
		</tbody>
	</table>
	<?php endforeach; ?>

<?php else: ?>
	<?php include 'MatchTable_sub.php';?>
<?php endif; ?>		
	
</div>
