<?php if(empty($MatchTable_Grouped_Matches)): ?>
	<?php echo Localization::MATCHTABLE_NOENTRIES; ?>
<?php endif; ?>		

<?php foreach($MatchTable_Grouped_Matches as $key => $matches): ?>
	<table data-grouping="<?php echo $key; ?>" data-grouping-type="<?php echo $MatchTable_GroupBy_2 == "none" ? "match" : $MatchTable_GroupBy_2; ?>">
		<?php if(($MatchTable_GroupBy_2 == "league" && $MatchTable_Show_League) || ($MatchTable_GroupBy_2 == "date" && $MatchTable_Show_Date)): ?>
			<caption><?php echo $key; ?></caption>
		<?php endif; ?>
		<?php if(!$MatchTable_Hide_Column_Names): ?>
			<thead>
				<tr>
					<?php if($MatchTable_GroupBy_2 != "date" && $MatchTable_Show_Date): ?>
						<th data-cell-for="date"><?php echo Localization::MATCHTABLE_COLUMN_DATE; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_Time): ?>
						<th data-cell-for="time"><?php echo Localization::MATCHTABLE_COLUMN_TIME; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_GroupBy_2 != "league" && $MatchTable_Show_League_Acronym): ?>
						<th data-cell-for="leagueacronym"><?php echo Localization::MATCHTABLE_COLUMN_LEAGUEACRONYM; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_GroupBy_2 != "league" && $MatchTable_Show_League): ?>
						<th data-cell-for="league"><?php echo Localization::MATCHTABLE_COLUMN_LEAGUE; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_ID): ?>
						<th data-cell-for="id"><?php echo Localization::MATCHTABLE_COLUMN_ID; ?></th>
					<?php endif; ?>
			        <?php if($MatchTable_Show_Name): ?>
						<th data-cell-for="name"></th>
			        <?php endif; ?>
					<?php if($MatchTable_Show_Home_Acronym): ?>
						<th data-cell-for="homeacronym"><?php echo Localization::MATCHTABLE_COLUMN_HOMEACRONYM; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_Home): ?>
						<th data-cell-for="home"><?php echo Localization::MATCHTABLE_COLUMN_HOME; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_Away_Acronym): ?>
						<th data-cell-for="awayacronym"><?php echo Localization::MATCHTABLE_COLUMN_AWAYACRONYM; ?></th>
					<?php endif; ?>			
					<?php if($MatchTable_Show_Away): ?>
						<th data-cell-for="away"><?php echo Localization::MATCHTABLE_COLUMN_AWAY; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_PlannedInnings): ?>
						<th data-cell-for="plannedinnings"><?php echo Localization::MATCHTABLE_COLUMN_PLANNED_INNINGS; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_FieldName || $MatchTable_Show_Address): ?>
						<th data-cell-for="field"><?php echo Localization::MATCHTABLE_COLUMN_FIELD; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_UmpireSelection_Acronym): ?>
						<th data-cell-for="umpireselectionacronym"><?php echo Localization::MATCHTABLE_COLUMN_UMPIRESELECTIONACRONYM; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_UmpireSelection): ?>
						<th data-cell-for="umpireselection"><?php echo Localization::MATCHTABLE_COLUMN_UMPIRESELECTION; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_UmpireAssignments): ?>
						<th data-cell-for="umpireassignments"><?php echo Localization::MATCHTABLE_COLUMN_UMPIREASSIGNMENTS; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_ScorerSelection_Acronym): ?>
						<th data-cell-for="scorerselectionacronym"><?php echo Localization::MATCHTABLE_COLUMN_SCORERSELECTIONACRONYM; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_ScorerSelection): ?>
						<th data-cell-for="scorerselection"><?php echo Localization::MATCHTABLE_COLUMN_SCORERSELECTION; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_ScorerAssignments): ?>
						<th data-cell-for="scorerassignments"><?php echo Localization::MATCHTABLE_COLUMN_SCORERASSIGNMENTS; ?></th>
					<?php endif; ?>			
					<?php if($MatchTable_Show_Result): ?>
						<th data-cell-for="result"><?php echo Localization::MATCHTABLE_COLUMN_RESULT; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_ScoreSheet): ?>
						<th data-cell-for="scoresheet"><?php echo Localization::MATCHTABLE_COLUMN_SCORESHEET; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_LivestreamUrl): ?>
						<th data-cell-for="livestreamurl"><?php echo Localization::MATCHTABLE_COLUMN_LIVESTREAMURL; ?></th>
					<?php endif; ?>
					<?php if($MatchTable_Show_Boxscore): ?>
						<th data-cell-for="boxscore"><?php echo Localization::MATCHTABLE_COLUMN_BOXSCORE; ?></th>
					<?php endif; ?>
				</tr>
			</thead>
		<?php endif; ?>
		<tbody>
			<?php foreach($matches as $match): ?>
			<?php
			//Nur wenn nicht nach Liga gruppiert wird, macht es Sinn, die Liga innerhalb der Tabelle anzuzeigen		 
				$MatchTable_League = $MatchTable_GroupBy_2 != "league" &&  ($MatchTable_Show_League_Acronym || $MatchTable_Show_League) ? $match->GetLeague() : null;
				//Prfung Highlight - Row nur dann, wenn Home oder Away!
				$MatchTable_Highlight_Row_Value = "";
				$MatchTable_Highlight_Home_Value = "";
				$MatchTable_Highlight_Away_Value = "";	
				//Auch bei "selected" true, da "selected" drinsteht				
				if(!empty($MatchTable_Highlight)){
					
					//Vorbereitung
					$homeTeam = $match->GetHomeLeagueEntry()->GetTeam();					
					$homeName = $homeTeam->GetName();
					$homeAcronym = $homeTeam->GetAcronym();
					$awayTeam = $match->GetAwayLeagueEntry()->GetTeam();
					$awayName = $awayTeam->GetName();
					$awayAcronym = $awayTeam->GetAcronym();					
														
					//Wenn Selected, das Team hinzufgen - via Acronym
					if($MatchTable_Highlight_Array_UseSelectedClub){
						//Home - nur wenn noch nicht sowieso enthalten
						$homeClubs = $homeTeam->GetClubs();
						if(!empty($homeClubs) && !in_array($homeAcronym, $MatchTable_Highlight_Array)){
							foreach ($homeClubs as $homeClub){								
								if($homeClub->GetID() == $MatchTable_Club || $homeClub->GetAcronym() == $MatchTable_Club){
									array_push($MatchTable_Highlight_Array, $homeAcronym);
									//Nur 1 Mal
									break;
								}
							}
						}
						//Away - nur wenn noch nicht sowieso enthalten
						$awayClubs = $awayTeam->GetClubs();
						if(!empty($awayClubs) && !in_array($awayAcronym, $MatchTable_Highlight_Array)){
							foreach ($awayClubs as $awayClub){
								if($awayClub->GetID() == $MatchTable_Club || $awayClub->GetAcronym() == $MatchTable_Club){
									array_push($MatchTable_Highlight_Array, $awayAcronym);
									//Nur 1 Mal
									break;
								}
							}
						}
						//Umpire - nur wenn noch nicht sowieso enthalten
						$umpire = $match->GetUmpireSelection();						
						if(!empty($umpire)){	
							$umpireAcronym = $umpire->GetAcronym();
							if(!in_array($umpireAcronym, $MatchTable_Highlight_Array) && ($umpire->GetID() == $MatchTable_Club || $umpireAcronym == $MatchTable_Club)){
								array_push($MatchTable_Highlight_Array, $umpireAcronym);							
							}						
						}
						//Scorer - nur wenn noch nicht sowieso enthalten
						$scorer = $match->GetScorerSelection();
						if(!empty($scorer)){
							$scorerAcronym = $scorer->GetAcronym();
							if(!in_array($scorerAcronym, $MatchTable_Highlight_Array) && ($scorer->GetID() == $MatchTable_Club || $scorerAcronym == $MatchTable_Club)){
								array_push($MatchTable_Highlight_Array, $scorerAcronym);
							}
						}				
					}
					
					//Home - Name?					
					if(in_array($homeName, $MatchTable_Highlight_Array)){
						//Noch nichts gesetzt, daher einfach bernehmen
						$MatchTable_Highlight_Row_Value = $homeName;
						$MatchTable_Highlight_Home_Value = $homeName;
					}
					//Home - Krzel?					
					if(in_array($homeAcronym, $MatchTable_Highlight_Array)){
						//Evtl. bereits wegen anderem Eintrag enthalten, daher anfgen
						$MatchTable_Highlight_Row_Value .= (empty($MatchTable_Highlight_Row_Value) ? "" : ",") . $homeAcronym;
						$MatchTable_Highlight_Home_Value .= (empty($MatchTable_Highlight_Home_Value) ? "" : ",") . $homeAcronym;
					}		
					//Away - Name?					
					if(in_array($awayName, $MatchTable_Highlight_Array)){
						//Evtl. bereits wegen anderem Eintrag enthalten, daher anfgen
						$MatchTable_Highlight_Row_Value .= (empty($MatchTable_Highlight_Row_Value) ? "" : ",") . $awayName;
						$MatchTable_Highlight_Away_Value .= (empty($MatchTable_Highlight_Away_Value) ? "" : ",") . $awayName;
					}
					//Away - Krzel?					
					if(in_array($awayAcronym, $MatchTable_Highlight_Array)){
						//Evtl. bereits wegen anderem Eintrag enthalten, daher anfgen
						$MatchTable_Highlight_Row_Value .= (empty($MatchTable_Highlight_Row_Value) ? "" : ",") . $awayAcronym;
						$MatchTable_Highlight_Away_Value .= (empty($MatchTable_Highlight_Away_Value) ? "" : ",") . $awayAcronym;
					}						
				}

				// Planned Innings
				$MatchTable_PlannedInnings = $MatchTable_Show_PlannedInnings ? $match->GetPlannedInnings() : null;
			?>
			<tr data-row-for="<?php echo $match->GetMatchID(); ?>"<?php if(!empty($MatchTable_Highlight_Row_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_Row_Value; ?>"<?php endif; ?>>
				<?php if($MatchTable_GroupBy_2 != "date" && $MatchTable_Show_Date): ?>
					<td data-cell-for="date" data-label="<?php echo Localization::MATCHTABLE_COLUMN_DATE; ?>">
						<?php echo Helper::PlaceholderIfEmpty(Helper::GetDateByString($match->GetTime(), false, $MatchTable_Date_DayOfWeek === "short", $MatchTable_Date_DayOfWeek === "long")); ?>
					</td>
				<?php endif; ?>
				<?php if($MatchTable_Show_Time): ?>
					<td data-cell-for="time" data-label="<?php echo Localization::MATCHTABLE_COLUMN_TIME; ?>">
						<?php echo Helper::PlaceholderIfEmpty(Helper::GetTimeByString($match->GetTime())); ?>
					</td>
				<?php endif; ?>
				<?php if($MatchTable_GroupBy_2 != "league" && $MatchTable_Show_League_Acronym): ?>
					<td data-cell-for="leagueacronym" data-label="<?php echo Localization::MATCHTABLE_COLUMN_LEAGUEACRONYM; ?>">
						<abbr title="<?php echo $MatchTable_League->GetName(); ?>"><?php echo $MatchTable_League->GetAcronym(); ?></abbr>
					</td>
				<?php endif; ?>
				<?php if($MatchTable_GroupBy_2 != "league" && $MatchTable_Show_League): ?>
					<td data-cell-for="league" data-label="<?php echo Localization::MATCHTABLE_COLUMN_LEAGUE; ?>">
						<?php echo Helper::PlaceholderIfEmpty($MatchTable_League->GetName()); ?>
					</td>
				<?php endif; ?>			
				<?php if($MatchTable_Show_ID) :?>
					<td data-cell-for="id" data-label="<?php echo Localization::MATCHTABLE_COLUMN_ID; ?>">
						<?php if($MatchTable_ProvideDetails): ?>
							<?php 
								$url = $MatchTable_DetailsUrl;
								$query = parse_url($url, PHP_URL_QUERY);
					
								if($query){
									
									$url .= "&amp;bsm_match=";
								}else{
									
									$url .= "?bsm_match=";
								}
								
								$url .= $match->GetID();
							?>
							<a href="<?php echo $url ?>">
				        <?php endif; ?>    
					        <?php echo $match->GetMatchID(); ?>
				        <?php if($MatchTable_ProvideDetails): ?>
					        </a>
				        <?php endif; ?>
			        </td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_Name): ?>
		        	<td data-cell-for="name" data-label="<?php echo Localization::MATCHTABLE_COLUMN_NAME; ?>">
		        		<?php if($match->GetName()): ?>
	        				&nbsp;
	        				<a href="javascript:void(0);" title="<?php echo $match->GetName(); ?>">
	        					<img src="<?php echo Helper::UrlForImage("info.png")?>" alt="<?php echo $match->GetName(); ?>" />
	        				</a>
		        		<?php endif; ?>
		        	</td>
		        <?php endif; ?>
		        <?php 
	        	  $MatchTable_UmpireSelection = $MatchTable_Show_UmpireSelection_Acronym || $MatchTable_Show_UmpireSelection ? $match->GetUmpireSelection() : null;
	        	  //Highlight immer mglich, wirkt sich aber ggf. nicht auf die Row aus
	        	  $MatchTable_Highlight_UmpireSelection_Value = "";
	        	  if(!empty($MatchTable_UmpireSelection)){
	        	  	$MatchTable_UmpireSelectionAcronym = $MatchTable_UmpireSelection->GetAcronym();
	        	  	if(in_array($MatchTable_UmpireSelectionAcronym, $MatchTable_Highlight_Array)){
	        	  		$MatchTable_Highlight_UmpireSelection_Value = $MatchTable_UmpireSelectionAcronym;
	        	  	}   	  		
	        	  	$MatchTable_UmpireSelectionName = $MatchTable_UmpireSelection->GetDisplayName();
        	  		if(in_array($MatchTable_UmpireSelectionName, $MatchTable_Highlight_Array)){
        	  			$MatchTable_Highlight_UmpireSelection_Value .= (empty($MatchTable_Highlight_UmpireSelection_Value) ? "" : ",") . $MatchTable_UmpireSelectionName;
        	  		}	        	  	
	        	  }
	        	  $MatchTable_UmpireAssignments = null;
	       		  if($MatchTable_Show_UmpireAssignments){
	       		  	
	       		  	$assignmentValues = array();
	       		  	$assignments = $match->GetUmpireAssignments();	       		  	
	       		  	
	       		  	if(!empty($assignments)){
		       		  	foreach ($assignments as $assignment){
		       		  		
		       		  		$license = $assignment->GetLicense();
							$position = $assignment->GetAssignmentType();
							$cc = $assignment->GetCrewChief();
		       		  		$displayName =
			       		  		(!empty($position) ? $position . ": " : "") .
		       		  			Helper::GetPersonDisplayName($license->GetPerson(), true, true) . 
		       		  			" (" . $license->GetLevel() . ")" .
		       		  			(!empty($cc) ? " - " . Localization::MATCHTABLE_UMPIREASSIGNMENT_CREWCHIEF : "")
							;	       		  		
		       		  		array_push($assignmentValues, $displayName);
		       		  	}
	       		  	}
	       		  	
	       		  	$MatchTable_UmpireAssignments = $assignmentValues;	       		  	
	       		  }	        
	        	  $MatchTable_ScorerSelection = $MatchTable_Show_ScorerSelection_Acronym || $MatchTable_Show_ScorerSelection ? $match->GetScorerSelection() : null;
				  //Highlight immer mglich, wirkt sich aber ggf. nicht auf die Row aus
	        	  $MatchTable_Highlight_ScorerSelection_Value = "";
	        	  if(!empty($MatchTable_ScorerSelection)){
	        	  	$MatchTable_ScorerSelectionAcronym = $MatchTable_ScorerSelection->GetAcronym();
	        	  	if(in_array($MatchTable_ScorerSelectionAcronym, $MatchTable_Highlight_Array)){
	        	  		$MatchTable_Highlight_ScorerSelection_Value = $MatchTable_ScorerSelectionAcronym;
	        	  	}
        	  		$MatchTable_ScorerSelectionName = $MatchTable_ScorerSelection->GetDisplayName();
        	  		if(in_array($MatchTable_ScorerSelectionName, $MatchTable_Highlight_Array)){
        	  			$MatchTable_Highlight_ScorerSelection_Value .= (empty($MatchTable_Highlight_ScorerSelection_Value) ? "" : ",") . $MatchTable_ScorerSelectionName;	        	  		
	        	  	}
	        	  }
	        	  $MatchTable_ScorerAssignments = null;
	        	  if($MatchTable_Show_ScorerAssignments){
	        	  	 
	        	  	$assignmentValues = array();
	        	  	$assignments = $match->GetScorerAssignments();	        	  	
	        	  	
	        	  	if(!empty($assignments)){
		        	  	foreach ($assignments as $assignment){
		        	  
		        	  		$license = $assignment->GetLicense();
		        	  		$displayName = Helper::GetPersonDisplayName($license->GetPerson(), true, true) . " (" . $license->GetLevel() . ")";
		        	  
		        	  		array_push($assignmentValues, $displayName);
		        	  	}
	        	  	}
	        	  	 
	        	  	$MatchTable_ScorerAssignments = $assignmentValues;
	        	  } 
	        	  
	        	  //Logo-Urls
	        	  $MatchTable_HomeLogoUrl = null;
	        	  $MatchTable_HomeLogoHolder = null;
	        	  $MatchTable_AwayLogoUrl = null;
	        	  $MatchTable_AwayLogoHolder = null;
	        	  //Nur ntig, wenn Logo verwendet wird
	        	  if($MatchTable_LogoMode !== "none"){
	        	  	$MatchTable_HomeLeagueEntry = $MatchTable_Show_Home_Acronym || $MatchTable_Show_Home ? $match->GetHomeLeagueEntry() : null;
	        	  	$MatchTable_AwayLeagueEntry = $MatchTable_Show_Away_Acronym || $MatchTable_Show_Away ? $match->GetAwayLeagueEntry() : null;
	        	  	//Kein DS
	        	  	if(!empty($MatchTable_HomeLeagueEntry)){
	        	  		$MatchTable_LeagueEntry_Team = $MatchTable_HomeLeagueEntry->GetTeam();
	        	  		//Kein DS
	        	  		if(!empty($MatchTable_LeagueEntry_Team)){
	        	  			$MatchTable_LeagueEntry_Team_Clubs = $MatchTable_LeagueEntry_Team->GetClubs();
	        	  			//Kein DS
	        	  			if(!empty($MatchTable_LeagueEntry_Team_Clubs)){
	        	  				//Wenn nur ein Verein, nutze diesen
	        	  				$MatchTable_LeagueEntry_Team_Clubs_Used = count($MatchTable_LeagueEntry_Team_Clubs) === 1 ? $MatchTable_LeagueEntry_Team_Clubs[0] : null;
	        	  				//Entweder vom Verein oder SG
	        	  				$MatchTable_HomeLogoUrl = !empty($MatchTable_LeagueEntry_Team_Clubs_Used)? $MatchTable_LeagueEntry_Team_Clubs_Used->GetLogo() : Helper::UrlForImage("sg.png");
	        	  				//Entweder vom Verein oder SG
	        	  				$MatchTable_HomeLogoHolder = !empty($MatchTable_LeagueEntry_Team_Clubs_Used) ? $MatchTable_LeagueEntry_Team_Clubs_Used->GetAcronym() : "SG";
	        	  			}
	        	  		}
	        	  	}
	        	  if(!empty($MatchTable_AwayLeagueEntry)){
	        	  		$MatchTable_LeagueEntry_Team = $MatchTable_AwayLeagueEntry->GetTeam();
	        	  		//Kein DS
	        	  		if(!empty($MatchTable_LeagueEntry_Team)){
	        	  			$MatchTable_LeagueEntry_Team_Clubs = $MatchTable_LeagueEntry_Team->GetClubs();
	        	  			//Kein DS
	        	  			if(!empty($MatchTable_LeagueEntry_Team_Clubs)){
	        	  				//Wenn nur ein Verein, nutze diesen
	        	  				$MatchTable_LeagueEntry_Team_Clubs_Used = count($MatchTable_LeagueEntry_Team_Clubs) === 1 ? $MatchTable_LeagueEntry_Team_Clubs[0] : null;
	        	  				//Entweder vom Verein oder SG
	        	  				$MatchTable_AwayLogoUrl = !empty($MatchTable_LeagueEntry_Team_Clubs_Used)? $MatchTable_LeagueEntry_Team_Clubs_Used->GetLogo() : Helper::UrlForImage("sg.png");
	        	  				//Entweder vom Verein oder SG
	        	  				$MatchTable_AwayLogoHolder = !empty($MatchTable_LeagueEntry_Team_Clubs_Used) ? $MatchTable_LeagueEntry_Team_Clubs_Used->GetAcronym() : "SG";
	        	  			}
	        	  		}
	        	  	}
	        	  }
	        	  
	        	  //Nur anzeigen, wenn beide Daten gegeben
	        	  $MatchTable_ShowHomeLogo = !empty($MatchTable_HomeLogoUrl) && !empty($MatchTable_HomeLogoHolder);
	        	  $MatchTable_ShowAwayLogo = !empty($MatchTable_AwayLogoUrl) && !empty($MatchTable_AwayLogoHolder);
		        ?>
		        <?php if($MatchTable_Show_Home_Acronym): ?>
			        <td data-cell-for="homeacronym" data-label="<?php echo Localization::MATCHTABLE_COLUMN_HOMEACRONYM; ?>"<?php if(!empty($MatchTable_Highlight_Home_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_Home_Value; ?>"<?php endif; ?>>
			        	<?php if($MatchTable_ShowHomeLogo && $MatchTable_LogoMode === "left"): ?>
							<img class="alignleft" src="<?php echo $MatchTable_HomeLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_HomeLogoHolder; ?>" />
						<?php endif; ?>
						<?php if($MatchTable_ShowHomeLogo && $MatchTable_LogoMode === "only"): ?>
							<?php $MatchTable_LogoAlt = $match->GetHomeLeagueEntry()->GetTeam()->GetAcronym() . " " . Localization::GLOBAL_PLACEHOLDER . " " . $match->GetHomeLeagueEntry()->GetTeam()->GetName(); ?>
							<img class="aligncenter" src="<?php echo $MatchTable_HomeLogoUrl; ?>" alt="<?php echo $MatchTable_LogoAlt; ?>" title="<?php echo $MatchTable_LogoAlt; ?>" data-logo-for="<?php echo $MatchTable_HomeLogoHolder; ?>" />
						<?php else: ?>
							<abbr title="<?php echo $match->GetHomeLeagueEntry()->GetTeam()->GetName(); ?>"><?php echo $match->GetHomeLeagueEntry()->GetTeam()->GetAcronym(); ?></abbr>
						<?php endif; ?>
						<?php if($MatchTable_ShowHomeLogo && $MatchTable_LogoMode === "right"): ?>
							<img class="alignright" src="<?php echo $MatchTable_HomeLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_HomeLogoHolder; ?>" />
						<?php endif; ?>		        	
			        </td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_Home): ?>
			        <td data-cell-for="home" data-label="<?php echo Localization::MATCHTABLE_COLUMN_HOME; ?>"<?php if(!empty($MatchTable_Highlight_Home_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_Home_Value; ?>"<?php endif; ?>>
			        	<?php if($MatchTable_ShowHomeLogo && $MatchTable_LogoMode === "left"): ?>
							<img class="alignleft" src="<?php echo $MatchTable_HomeLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_HomeLogoHolder; ?>" />
						<?php endif; ?>
						<?php if($MatchTable_ShowHomeLogo && $MatchTable_LogoMode === "only"): ?>
							<?php $MatchTable_LogoAlt = $match->GetHomeLeagueEntry()->GetTeam()->GetName(); ?>
							<img class="aligncenter" src="<?php echo $MatchTable_HomeLogoUrl; ?>" alt="<?php echo $MatchTable_LogoAlt; ?>" title="<?php echo $MatchTable_LogoAlt; ?>" data-logo-for="<?php echo $MatchTable_HomeLogoHolder; ?>" />
						<?php else: ?>
							<?php echo $match->GetHomeLeagueEntry()->GetTeam()->GetName(); ?>
						<?php endif; ?>
						<?php if($MatchTable_ShowHomeLogo && $MatchTable_LogoMode === "right"): ?>
							<img class="alignright" src="<?php echo $MatchTable_HomeLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_HomeLogoHolder; ?>" />
						<?php endif; ?>		        	
			        </td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_Away_Acronym): ?>
			        <td data-cell-for="awayacronym" data-label="<?php echo Localization::MATCHTABLE_COLUMN_AWAYACRONYM; ?>"<?php if(!empty($MatchTable_Highlight_Away_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_Away_Value; ?>"<?php endif; ?>>
			        	<?php if($MatchTable_ShowAwayLogo && $MatchTable_LogoMode === "left"): ?>
							<img class="alignleft" src="<?php echo $MatchTable_AwayLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_AwayLogoHolder; ?>" />
						<?php endif; ?>
						<?php if($MatchTable_ShowAwayLogo && $MatchTable_LogoMode === "only"): ?>
							<?php $MatchTable_LogoAlt = $match->GetAwayLeagueEntry()->GetTeam()->GetAcronym() . " " . Localization::GLOBAL_PLACEHOLDER . " " . $match->GetAwayLeagueEntry()->GetTeam()->GetName(); ?>
							<img class="aligncenter" src="<?php echo $MatchTable_AwayLogoUrl; ?>" alt="<?php echo $MatchTable_LogoAlt; ?>" title="<?php echo $MatchTable_LogoAlt; ?>" data-logo-for="<?php echo $MatchTable_AwayLogoHolder; ?>" />
						<?php else: ?>
							<abbr title="<?php echo $match->GetAwayLeagueEntry()->GetTeam()->GetName(); ?>"><?php echo $match->GetAwayLeagueEntry()->GetTeam()->GetAcronym(); ?></abbr>
						<?php endif; ?>
						<?php if($MatchTable_ShowAwayLogo && $MatchTable_LogoMode === "right"): ?>
							<img class="alignright" src="<?php echo $MatchTable_AwayLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_AwayLogoHolder; ?>" />
						<?php endif; ?>		        	
			        </td>
		        <?php endif; ?>	        
		        <?php if($MatchTable_Show_Away): ?>
			        <td data-cell-for="away" data-label="<?php echo Localization::MATCHTABLE_COLUMN_AWAY; ?>"<?php if(!empty($MatchTable_Highlight_Away_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_Away_Value; ?>"<?php endif; ?>>
			        	<?php if($MatchTable_ShowAwayLogo && $MatchTable_LogoMode === "left"): ?>
							<img class="alignleft" src="<?php echo $MatchTable_AwayLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_AwayLogoHolder; ?>" />
						<?php endif; ?>
						<?php if($MatchTable_ShowAwayLogo && $MatchTable_LogoMode === "only"): ?>
							<?php $MatchTable_LogoAlt = $match->GetAwayLeagueEntry()->GetTeam()->GetName(); ?>
							<img class="aligncenter" src="<?php echo $MatchTable_AwayLogoUrl; ?>" alt="<?php echo $MatchTable_LogoAlt; ?>" title="<?php echo $MatchTable_LogoAlt; ?>" data-logo-for="<?php echo $MatchTable_AwayLogoHolder; ?>" />
						<?php else: ?>
							<?php echo $match->GetAwayLeagueEntry()->GetTeam()->GetName(); ?>
						<?php endif; ?>
						<?php if($MatchTable_ShowAwayLogo && $MatchTable_LogoMode === "right"): ?>
							<img class="alignright" src="<?php echo $MatchTable_AwayLogoUrl; ?>" alt="" data-logo-for="<?php echo $MatchTable_AwayLogoHolder; ?>" />
						<?php endif; ?>		        	
			        </td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_PlannedInnings): ?><td data-cell-for="plannedinnings"><?php if(empty($MatchTable_PlannedInnings)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><?php echo $MatchTable_PlannedInnings; ?><?php endif; ?></td><?php endif; ?>
		        <?php if($MatchTable_Show_FieldName || $MatchTable_Show_Address): ?>
		        	<td data-cell-for="field" data-label="<?php echo Localization::MATCHTABLE_COLUMN_FIELD; ?>">
		        		<?php
		        		$MatchTable_Field = $match->GetField();
		        		// Spielfeld
		        		$MatchTable_FieldName = $MatchTable_Show_FieldName && !empty($MatchTable_Field) ? $MatchTable_Field->GetName() : null;
		        		// Adresse
		        		$MatchTable_Address = $MatchTable_Show_Address && !empty($MatchTable_Field) ? Helper::GetFullAddress($MatchTable_Field) : null;
		        		// Zusammen
		        		$MatchTable_FieldValue = null;
		        		// Setze Name, wenn vorhanden
		        		if(!empty($MatchTable_FieldName)){
		        			$MatchTable_FieldValue = $MatchTable_FieldName;	        			
		        		}
		        		if(!empty($MatchTable_Address)){
		        			$MatchTable_FieldValue = !empty($MatchTable_FieldValue)
		        				// Wenn Name bereits enthalten, hinzufgen 
		        				? $MatchTable_FieldValue . " " . Localization::GLOBAL_PLACEHOLDER . " " . $MatchTable_Address
		        				// Ansonsten nur Adresse
		        				: $MatchTable_Address;
		        		}	        	
		        		//Url vorbereiten
		        		if($MatchTable_ProvideFieldDetails && !empty($MatchTable_Field)){
		        			$url = $MatchTable_FieldUrl;
		        			$query = parse_url($url, PHP_URL_QUERY);
		        		
			        		if($query){
			        		
			        			$url .= "&amp;bsm_field=";
			        		}else{
			        		
			        			$url .= "?bsm_field=";
			        		}
			        			
			        		$url .= $MatchTable_Field->GetID();
		        		}
		        		?>
		        		<?php if(empty($MatchTable_FieldValue)): ?>	  
		        			<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
		        		<?php else: ?>        		
			        		<?php if($MatchTable_Use_FieldIcon): ?>
			        		<?php
			        		// Check, ob Away-Feld - im Standard von Away ausgehen
			        		$MatchTable_FieldIconUrl = "locationaway.png";
			        		// Field kann nicht NULL sein, da sonst $MatchTable_FieldValue NULL wre
			        		$MatchTable_FieldClub = $MatchTable_Field->GetClub();
			        		$MatchTable_HomeLeagueEntry = $match->GetHomeLeagueEntry();		        		
			        		// Kein DS
			        		if(!empty($MatchTable_FieldClub) && !empty($MatchTable_HomeLeagueEntry)){
			        			$MatchTable_Team = $MatchTable_HomeLeagueEntry->GetTeam();
			        			// Kein DS
			        			if(!empty($MatchTable_Team)){
			        				$MatchTable_Team_Clubs = $MatchTable_Team->GetClubs();
			        				// Kein DS
			        				if(!empty($MatchTable_Team_Clubs)){
			        					foreach($MatchTable_Team_Clubs as $club){
			        						// Wenn einer der Vereine passt, ist das Spielfeld der Heimmannschaft
			        						if($club->GetID() === $MatchTable_FieldClub->GetID()){
			        							$MatchTable_FieldIconUrl = "location.png";
			        							break;
			        						}
			        					}		        				
			        				}
			        			}		        			
			        		}		        				        		
			        		?>
			        			<a <?php if($MatchTable_ProvideFieldDetails): ?>href="<?php echo $url; ?>" <?php endif; ?>title="<?php echo $MatchTable_FieldValue; ?>"><img src="<?php echo Helper::UrlForImage($MatchTable_FieldIconUrl)?>" alt="<?php echo $MatchTable_FieldValue; ?>" data-icon-for="field" /></a>
			        		<?php else: ?>
			        		<?php if($MatchTable_ProvideFieldDetails): ?>
			       		 		<a href="<?php echo $url ?>">
			        		<?php endif; ?>
			        			<?php echo $MatchTable_FieldValue; ?>
			        		<?php if($MatchTable_ProvideFieldDetails): ?>
					        	</a>
					        <?php endif; ?>
			        		<?php endif; ?>		        		 
			        	<?php endif; ?>     		
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_UmpireSelection_Acronym): ?>
		        	<td data-cell-for="umpireselectionacronym" data-label="<?php echo Localization::MATCHTABLE_COLUMN_UMPIRESELECTIONACRONYM; ?>"<?php if(!empty($MatchTable_Highlight_UmpireSelection_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_UmpireSelection_Value; ?>"<?php endif; ?>>
		        		<?php if(empty($MatchTable_UmpireSelection)): ?>
		        			<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
		        		<?php else: ?>
		        			<abbr title="<?php echo $MatchTable_UmpireSelection->GetDisplayName(); ?>"><?php echo $MatchTable_UmpireSelection->GetAcronym(); ?></abbr>
		        		<?php endif; ?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_UmpireSelection): ?>
		        	<td data-cell-for="umpireselection" data-label="<?php echo Localization::MATCHTABLE_COLUMN_UMPIRESELECTION; ?>"<?php if(!empty($MatchTable_Highlight_UmpireSelection_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_UmpireSelection_Value; ?>"<?php endif; ?>>
		        		<?php echo Helper::PlaceholderIfEmpty(empty($MatchTable_UmpireSelection) ? null : $MatchTable_UmpireSelection->GetDisplayName()); ?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_UmpireAssignments): ?>
		        	<td data-cell-for="umpireassignments" data-label="<?php echo Localization::MATCHTABLE_COLUMN_UMPIREASSIGNMENTS; ?>">
		        		<?php if(empty($MatchTable_UmpireAssignments)): ?>
		        			<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
		        		<?php else: ?>
			        		<ul data-object-type="umpireAssignment">
			        			<?php foreach($MatchTable_UmpireAssignments as $umpireAssignment): ?>
			        			<li><?php echo $umpireAssignment; ?></li>
			        			<?php endforeach; ?>
			        		</ul>
		        		<?php endif; ?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_ScorerSelection_Acronym): ?>
		        	<td data-cell-for="scorerselectionacronym" data-label="<?php echo Localization::MATCHTABLE_COLUMN_SCORERSELECTIONACRONYM; ?>"<?php if(!empty($MatchTable_Highlight_ScorerSelection_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_ScorerSelection_Value; ?>"<?php endif; ?>>
		        		<?php if(empty($MatchTable_ScorerSelection)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><abbr title="<?php echo $MatchTable_ScorerSelection->GetDisplayName(); ?>"><?php echo $MatchTable_ScorerSelection->GetAcronym(); ?></abbr><?php endif; ?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_ScorerSelection): ?>
		        	<td data-cell-for="scorerselection" data-label="<?php echo Localization::MATCHTABLE_COLUMN_SCORERSELECTION; ?>"<?php if(!empty($MatchTable_Highlight_ScorerSelection_Value)):?> data-highlight="<?php echo $MatchTable_Highlight_ScorerSelection_Value; ?>"<?php endif; ?>>
		        		<?php echo Helper::PlaceholderIfEmpty(empty($MatchTable_ScorerSelection) ? null : $MatchTable_ScorerSelection->GetDisplayName()); ?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_ScorerAssignments): ?>
		        	<td data-cell-for="scorerassignments" data-label="<?php echo Localization::MATCHTABLE_COLUMN_SCORERASSIGNMENTS; ?>">
		        		<?php if(empty($MatchTable_ScorerAssignments)): ?>
			        		<?php echo Localization::GLOBAL_PLACEHOLDER; ?>
		        		<?php else: ?>
			        		<ul data-object-type="scorerAssignment">
			        			<?php foreach($MatchTable_ScorerAssignments as $scorerAssignment): ?>
			        			<li><?php echo $scorerAssignment; ?></li>
			        			<?php endforeach; ?>
			        		</ul>
		        		<?php endif; ?>
		        	</td>
		        <?php endif; ?>	        
		        <?php if($MatchTable_Show_Result): ?>
		        	<td data-cell-for="result" data-label="<?php echo Localization::MATCHTABLE_COLUMN_RESULT; ?>">
		        		<?php if($match->GetState() === "canceled"): ?>
		        			<abbr title="<?php echo $match->GetLocalizedState(); ?>">
		        				<?php echo Localization::MATCHTABLE_COLUMN_VALUE_RESULT_PPD; ?>
		        			</abbr>
		        		<?php else: ?>
		        			<?php echo Helper::PlaceholderIfEmpty($match->GetResult()); ?>
		        			<?php if(!empty($match->GetResult()) && $match->GetState() !== "played" && $match->GetState() !== "planned"): ?>
		        				&nbsp;
		        				<a href="javascript:void(0);" title="<?php echo $match->GetLocalizedState(); ?>">
		        					<img src="<?php echo Helper::UrlForImage("info.png")?>" alt="<?php echo $match->GetLocalizedState(); ?>" data-icon-for="result" />
		        				</a>
		        			<?php endif; ?>
		        		<?php endif; ?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_ScoreSheet): ?>
		        	<td data-cell-for="scoresheet" data-label="<?php echo Localization::MATCHTABLE_COLUMN_SCORESHEET; ?>">
		        		<?php if (empty($match->GetScoreSheetUrl()) || empty($match->GetScoreSheetFileName())): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo $match->GetScoreSheetUrl(); ?>" target="_blank" title="<?php echo Localization::GLOBAL_DOWNLOAD. ": " . Localization::MATCHTABLE_COLUMN_VALUE_SCORESHEET . " - " . $match->GetScoreSheetFileName(); ?>"><img src="<?php echo Helper::UrlForImage("paperclip.png")?>" alt="<?php echo Localization::GLOBAL_DOWNLOAD. ": " . Localization::MATCHTABLE_COLUMN_VALUE_SCORESHEET . " - " . $match->GetScoreSheetFileName(); ?>" data-icon-for="scoresheet" /></a><?php endif;?>
		        	</td>
		        <?php endif; ?>
		        <?php if($MatchTable_Show_LivestreamUrl): ?>
		        	<td data-cell-for="livestreamurl" data-label="<?php echo Localization::MATCHTABLE_COLUMN_LIVESTREAMURL; ?>">
		        		<?php if (empty($match->GetLivestreamUrl())): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo $match->GetLivestreamUrl(); ?>" target="_blank" title="<?php echo Localization::MATCHTABLE_COLUMN_LIVESTREAMURL; ?>"><img src="<?php echo Helper::UrlForImage("play.png")?>" alt="<?php echo Localization::MATCHTABLE_COLUMN_LIVESTREAMURL; ?>" data-icon-for="livestreamurl" /></a><?php endif;?>
		        	</td>
		        <?php endif; ?>
				<?php if($MatchTable_Show_Boxscore): ?>
					<td data-cell-for="boxscore">
						<?php if ($match->GetStatisticsPublished()): ?>
							<?php
								$url = $MatchTable_BoxscoreUrl;
								$query = parse_url($url, PHP_URL_QUERY);
								
								if($query){
									$url .= "&amp;bsm_match=";
								}else{
									$url .= "?bsm_match=";
								}
								
								$url .= $match->GetID();
							?>
							<a href="<?php echo $url; ?>"><?php echo Localization::MATCHTABLE_COLUMN_BOXSCORE; ?></a>
						<?php else: ?>
							<?php echo Localization::GLOBAL_PLACEHOLDER ?>					
						<?php endif; ?>					
					</td>
				<?php endif; ?>					
		        </tr>
			<?php endforeach; ?>
		</tbody>
	</table>
<?php endforeach; ?>
