<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($Person_ID)){
	throw new Exception("No person given");
}

//String -> Check empty
if(empty($Person_Data)){
	$Person_Data = null;
}

//Initalisieren der Show-Data Variablen
$Person_Data_Array = Helper::ConvertParameterListToArray($Person_Data);

$Person_Show_First_Name = in_array("firstname", $Person_Data_Array);
$Person_Show_Last_Name = in_array("lastname", $Person_Data_Array);

$Person_Max_HeaderLevel = $Person_Show_First_Name && $Person_Show_Last_Name ? 5 : 6;

//Int != 0 -> Check empty
if(empty($Person_HeaderLevel)){
	$Person_HeaderLevel = 2;
}
else if(!is_numeric($Person_HeaderLevel) || $Person_HeaderLevel < 1 || $Person_HeaderLevel > $Person_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $Person_Max_HeaderLevel);
}

// Person erhalten
$Person = Api::GetPerson($Person_ID);

?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="person">
	<<?php echo ($Person_Show_First_Name || $Person_Show_Last_Name ? "article" : "div") ?>>
		<h<?php echo $Person_HeaderLevel; ?>>
			<?php if($Person_Show_First_Name):?>
				<?php echo $Person->GetFirstName() . " "; ?>
			<?php endif;?> 
			<?php if($Person_Show_Last_Name):?>
				<?php echo $Person->GetLastName(); ?>
			<?php endif;?> 
		</h<?php echo $Person_HeaderLevel; ?>>
	</<?php echo ($Person_Show_First_Name || $Person_Show_Last_Name ? "article" : "div") ?>>
</div>