<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

// Variablen initialisieren
// String/Int != 0 -> Check empty
if (empty ( $StatisticClub_ID )) {
	throw new Exception ( "No club given" );
}

if (empty ( $StatisticClub_Category )) {
	$StatisticClub_Category = "offense";
} else if ($StatisticClub_Category != "offense" && $StatisticClub_Category != "defense" && $StatisticClub_Category != "pitching") {
	throw new Exception ( "Category has only 3 valid values: 'offense' (default), 'defense' and 'pitching', but '" . $StatisticClub_Category . "' was set" );
}

// String -> Check empty
if(empty($StatisticClub_PersonStatisticUrl)){	
	$StatisticClub_PersonStatisticUrl = null;
}

// String -> Check empty
if(empty($StatisticClub_LeagueStatisticUrl)){	
	$StatisticClub_LeagueStatisticUrl = null;
}

//Bool -> Check !isset
if(!isset($StatisticClub_Show_Caption)){
	$StatisticClub_Show_Caption = false;
}

// String -> Check empty
if (empty ( $StatisticClub_Data )) {
	$StatisticClub_Data = null;
}

// Initalisieren der Show Variablen
$StatisticClub_Data_Array = Helper::ConvertParameterListToArray ( $StatisticClub_Data );

$StatisticClub_Show_Sports = in_array("sports", $StatisticClub_Data_Array);
$StatisticClub_Show_SportsShort = in_array("sportsshort", $StatisticClub_Data_Array);
$StatisticClub_Show_Agegroup = in_array("agegroup", $StatisticClub_Data_Array);
$StatisticClub_Show_AgegroupShort = in_array("agegroupshort", $StatisticClub_Data_Array);
$StatisticClub_Show_Season = in_array("season", $StatisticClub_Data_Array);
$StatisticClub_Show_League = in_array("league", $StatisticClub_Data_Array);
$StatisticClub_Show_LeagueShort = in_array("leagueshort", $StatisticClub_Data_Array);

//$StatisticClub_Max_HeaderLevel = $League_Show_Name && ($League_Show_Manager || $League_Show_Statistician || $League_Show_UmpireSelector || $League_Show_GameMode || $League_Show_GameRoundModeDescription || $League_Show_OtherInformation) ? 5 : 6;

//Int != 0 -> Check empty
/*
if(empty($StatisticClub_HeaderLevel)){
	$StatisticClub_HeaderLevel = 2;
}
else if(!is_numeric($StatisticClub_HeaderLevel) || $StatisticClub_HeaderLevel < 1 || $StatisticClub_HeaderLevel > $StatisticClub_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $StatisticClub_Max_HeaderLevel);
}
*/

$StatisticClub_Show_PersonStatistic_Link = !empty($StatisticClub_PersonStatisticUrl);
if($StatisticClub_Show_PersonStatistic_Link) {
	$url = $StatisticClub_PersonStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);

	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}

	if($StatisticClub_Category){
		$url .= "bsm_category=" . $StatisticClub_Category;
	}

	$StatisticClub_PersonStatisticUrl = $url;
}

$StatisticClub_Show_LeagueStatistic_Link = !empty($StatisticClub_LeagueStatisticUrl);
if($StatisticClub_Show_LeagueStatistic_Link) {
	$url = $StatisticClub_LeagueStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);

	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}

	if($StatisticClub_Category){
		$url .= "bsm_category=" . $StatisticClub_Category;
	}

	$StatisticClub_LeagueStatisticUrl = $url;
}



$Club = Api::GetClub($StatisticClub_ID);

// Statistic Club erhalten
$StatisticClub = null;

switch ($StatisticClub_Category) {
	case "offense" :
		$StatisticClub = Api::GetStatisticsClub( $StatisticClub_ID, "offense" );
		include 'StatisticClubBatting_sub.php';
		break;
	
	case "defense" :
		$StatisticClub = Api::GetStatisticsClub( $StatisticClub_ID, "defense" );
		include 'StatisticClubFielding_sub.php';
		break;
	
	case "pitching" :
		$StatisticClub = Api::GetStatisticsClub( $StatisticClub_ID, "pitching" );
		include 'StatisticClubPitching_sub.php';
		break;
	
	default :
		;
		break;
}

?>
