<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="statistics" data-object-category="defense">
	<table>
		<?php if($StatisticClub_Show_Caption): ?>
			<caption><?php echo $Club->GetShortName(); ?>: <?php echo Localization::STATISTIC_CAPTION_CLUB_FIELDING; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<?php if ($StatisticClub_Show_Season): ?>
					<th data-cell-for="season"><?php echo Localization::STATISTIC_COLUMN_SEASON; ?></th>
				<?php endif; ?>
				<th data-cell-for="name"><?php echo Localization::STATISTIC_COLUMN_PERSON; ?></th>
				<?php if ($StatisticClub_Show_AgegroupShort || $StatisticClub_Show_Agegroup): ?>
					<th data-cell-for="ageGroup"><?php echo Localization::STATISTIC_COLUMN_AGEGROUP; ?></th>
				<?php endif; ?>
				<?php if ($StatisticClub_Show_LeagueShort || $StatisticClub_Show_League): ?>
					<th data-cell-for="league"><?php echo Localization::STATISTIC_COLUMN_LEAGUE; ?></th>
				<?php endif; ?>
				<?php if ($StatisticClub_Show_SportsShort || $StatisticClub_Show_Sports): ?>
					<th data-cell-for="sport"><?php echo Localization::STATISTIC_COLUMN_SPORT; ?></th>
				<?php endif; ?>
				<th data-cell-for="g" title="Games">G</th>
				<th data-cell-for="gs" title="Games Started">GS</th>
				<th data-cell-for="ip" title="Innings Played">IP</th>
				<th data-cell-for="a" title="Assists">A</th>
				<th data-cell-for="po" title="Putouts">PO</th>
				<th data-cell-for="e" title="Errors">E</th>
				<th data-cell-for="fld" title="Fielding Average">FLD</th>
				<th data-cell-for="dp" title="Double Plays">DP</th>
				<th data-cell-for="tp" title="Triple Plays">TP</th>
				<th data-cell-for="pb" title="Passed Balls">PB</th>
				<th data-cell-for="sb" title="Stolen Bases">SB</th>
				<th data-cell-for="cs" title="Caught Stealings">CS</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($StatisticClub->GetData() as $data): ?>
			<tr data-row-for="<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>">
				<?php if ($StatisticClub_Show_Season): ?>
					<td data-cell-for="season"><?php echo $data->GetLeague()->GetSeason(); ?></td>
				<?php endif; ?>
				<td data-cell-for="name">
					<?php if($StatisticClub_Show_PersonStatistic_Link): ?>
						<a href="<?php echo $StatisticClub_PersonStatisticUrl . "&amp;bsm_person=" . $data->GetPerson()->GetID(); ?>">
							<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
						</a>
	        		<?php else: ?>
						<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
	        		<?php endif; ?>
				</td>
				<?php if ($StatisticClub_Show_AgegroupShort || $StatisticClub_Show_Agegroup): ?>
					<td data-cell-for="ageGroup">
						<?php if ($StatisticClub_Show_AgegroupShort): ?>
							<abbr title="<?php echo $data->GetLeague()->GetAgegroup(); ?>"><?php echo $data->GetLeague()->GetAgegroupShort(); ?></abbr>
						<?php else: ?>
							<?php echo $data->GetLeague()->GetAgegroup(); ?>
						<?php endif; ?>
					</td>
				<?php endif; ?>
				<?php if ($StatisticClub_Show_LeagueShort || $StatisticClub_Show_League): ?>
					<td data-cell-for="league">
						<?php if($StatisticClub_Show_LeagueStatistic_Link): ?>
							<a href="<?php echo $StatisticClub_LeagueStatisticUrl . "&amp;bsm_league=" . $data->GetLeague()->GetID(); ?>" title="<?php echo $data->GetLeague()->GetName(); ?>">
								<?php if ($StatisticClub_Show_LeagueShort): ?>
									<?php echo $data->GetLeague()->GetAcronym(); ?>
								<?php else: ?>
									<?php echo $data->GetLeague()->GetName(); ?>
								<?php endif; ?>
							</a>
		        		<?php else: ?>
							<?php if ($StatisticClub_Show_LeagueShort): ?>
								<abbr title="<?php echo $data->GetLeague()->GetName(); ?>"><?php echo $data->GetLeague()->GetAcronym(); ?></abbr>
							<?php else: ?>
								<?php echo $data->GetLeague()->GetName(); ?>
							<?php endif; ?>
						<?php endif; ?>
					</td>
				<?php endif; ?>
				<?php if ($StatisticClub_Show_SportsShort || $StatisticClub_Show_Sports): ?>
					<td data-cell-for="sports">
						<?php if($StatisticClub_Show_SportsShort): ?>
							<abbr title="<?php echo $data->GetLeague()->GetSports(); ?>"><?php echo $data->GetLeague()->GetSportsShort(); ?></abbr>
						<?php else: ?>
							<?php echo $data->GetLeague()->GetSports(); ?>
						<?php endif; ?>
					</td>
				<?php endif; ?>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="ip"><?php echo $data->GetValues()->GetInningsPlayed(); ?></td>
				<td data-cell-for="a"><?php echo $data->GetValues()->GetAssists(); ?></td>
				<td data-cell-for="po"><?php echo $data->GetValues()->GetPutouts(); ?></td>
				<td data-cell-for="e"><?php echo $data->GetValues()->GetErrors(); ?></td>
				<td data-cell-for="fld"><?php echo $data->GetValues()->GetFieldingAverage(); ?></td>
				<td data-cell-for="dp"><?php echo $data->GetValues()->GetDoublePlays(); ?></td>
				<td data-cell-for="tp"><?php echo $data->GetValues()->GetTriplePlays(); ?></td>
				<td data-cell-for="pb"><?php echo $data->GetValues()->GetPassedBalls(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php foreach($StatisticClub->GetSummaries() as $data): ?>
			<tr data-row-for="summary">
				<?php if ($StatisticClub_Show_Season): ?>
					<td data-cell-for="season"></td>
				<?php endif; ?>
				<td data-cell-for="name"></td>
				<?php if ($StatisticClub_Show_AgegroupShort || $StatisticClub_Show_Agegroup): ?>
					<td data-cell-for="ageGroup"></td>
				<?php endif; ?>
				<?php if ($StatisticClub_Show_LeagueShort || $StatisticClub_Show_League): ?>
					<td data-cell-for="league"></td>
				<?php endif; ?>
				<?php if ($StatisticClub_Show_SportsShort || $StatisticClub_Show_Sports): ?>
					<td data-cell-for="sport"></td>
				<?php endif; ?>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="ip"><?php echo $data->GetValues()->GetInningsPlayed(); ?></td>
				<td data-cell-for="a"><?php echo $data->GetValues()->GetAssists(); ?></td>
				<td data-cell-for="po"><?php echo $data->GetValues()->GetPutouts(); ?></td>
				<td data-cell-for="e"><?php echo $data->GetValues()->GetErrors(); ?></td>
				<td data-cell-for="fld"><?php echo $data->GetValues()->GetFieldingAverage(); ?></td>
				<td data-cell-for="dp"><?php echo $data->GetValues()->GetDoublePlays(); ?></td>
				<td data-cell-for="tp"><?php echo $data->GetValues()->GetTriplePlays(); ?></td>
				<td data-cell-for="pb"><?php echo $data->GetValues()->GetPassedBalls(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tfoot>
	</table>
</div>