<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="statistics" data-object-category="offense">
	<table>
		<?php if($StatisticLeagueGroup_CaptionMode != ['none']): ?>
			<caption>
				<?php
					foreach ($StatisticLeagueGroup_CaptionMode as $captionEntry){
						switch ($captionEntry) {
							case "season":
								echo "<span caption-cell-for=\"season\"> " . $StatisticLeague->GetLeague()->GetSeason() . " </span>";
							break;
							
							case "league":
								echo "<span caption-cell-for=\"league\"> " . $StatisticLeague->GetLeague()->GetName() . " </span>";
							break;
							
							case "category":
								echo "<span caption-cell-for=\"category\"> " . Localization::STATISTIC_CAPTION_LEAGUEGROUP_BATTING . " </span>";
							break;
							
							default:
								;
							break;
						}
					}
				?>
			</caption>
		<?php endif; ?>
		<thead>
			<tr>
				<?php if ($StatisticLeagueGroup_LogoMode === 'only'): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_TEAM; ?></th>
				<?php elseif ($StatisticLeagueGroup_Show_TeamName): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_TEAM; ?></th>
				<?php elseif ($StatisticLeagueGroup_Show_TeamAcronym): ?>
					<th data-cell-for="acronym"><?php echo Localization::STATISTIC_COLUMN_ACRONYM; ?></th>
				<?php endif; ?>
				<th data-cell-for="g" title="Games">G</th>
				<th data-cell-for="pa" title="Plate Appearances">PA</th>
				<th data-cell-for="ab" title="At Bats">AB</th>
				<th data-cell-for="r" title="Runs">R</th>
				<th data-cell-for="rbi" title="Runs Batted In">RBI</th>
				<th data-cell-for="h" title="Hits">H</th>
				<th data-cell-for="2b" title="Doubles">2B</th>
				<th data-cell-for="3b" title="Triples">3B</th>
				<th data-cell-for="hr" title="Homeruns">HR</th>
				<th data-cell-for="k" title="Strikeouts">K</th>
				<th data-cell-for="bb" title="Base On Balls">BB</th>
				<th data-cell-for="ibb" title="Intentional Base On Balls">IBB</th>
				<th data-cell-for="hp" title="Hit By Pitches">HP</th>
				<th data-cell-for="sb" title="Stolen Bases">SB</th>
				<th data-cell-for="cs" title="Caught Stealings">CS</th>
				<th data-cell-for="sh" title="Sacrifice Hits">SH</th>
				<th data-cell-for="sf" title="Sacrifice Flys">SF</th>
				<th data-cell-for="io" title="Interferences">IO</th>
				<th data-cell-for="avg" title="Batting Average">AVG</th>
				<th data-cell-for="obp" title="On Base Percentage">OBP</th>
				<th data-cell-for="slg" title="Slugging Percentage">SLG</th>
				<th data-cell-for="ops" title="On Base Plus Slugging">OPS</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($StatisticLeague->GetData() as $data): ?>
				<?php
					//Logo-Url
					$LogoUrl = null;
					$LogoHolder = null;
					//Nur ntig, wenn Logo verwendet wird
					if($StatisticLeagueGroup_LogoMode !== "none"){
						$TeamClubs = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetClubs();
						//Wenn nur ein Verein, nutze diesen
						$TeamClubsUsed = count($TeamClubs) === 1 ? $TeamClubs[0] : null;
						//Entweder vom Verein oder SG
						$LogoUrl = !empty($TeamClubsUsed)? $TeamClubsUsed->GetLogo() : Helper::UrlForImage("sg.png");
						//Entweder vom Verein oder SG
						$LogoHolder = !empty($TeamClubsUsed) ? $TeamClubsUsed->GetAcronym() : "SG";
					}			
					//Nur anzeigen, wenn beide Daten gegeben
					$ShowLogo = !empty($LogoUrl) && !empty($LogoHolder);
					
					//Prfung Highlight
					$StatisticLeagueGroup_Highlight_Row_Value = "";
					if(!empty($StatisticLeagueGroup_Highlight)){
						$teamName = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName();
						if(in_array($teamName, $StatisticLeagueGroup_Highlight_Array)){
							//Noch nichts gesetzt, daher einfach bernehmen
							$StatisticLeagueGroup_Highlight_Row_Value = $teamName;
						}				
						$teamAcronym = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym();
						if(in_array($teamAcronym, $StatisticLeagueGroup_Highlight_Array)){
							//Evtl. bereits wegen anderem Eintrag enthalten, daher anfgen
							$StatisticLeagueGroup_Highlight_Row_Value .= (empty($StatisticLeagueGroup_Highlight_Row_Value) ? "" : ",") . $teamAcronym;
						}				
					}
				?>
			<tr	data-row-for="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?>"<?php if(!empty($StatisticLeagueGroup_Highlight_Row_Value)):?> data-highlight="<?php echo $StatisticLeagueGroup_Highlight_Row_Value; ?>"<?php endif; ?>>
				
				<?php if ($StatisticLeagueGroup_LogoMode === 'only'): ?>
					<td data-cell-for="team">
						<?php if($StatisticLeagueGroup_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroup_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<img class="aligncenter" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
							</a>
		        		<?php else: ?>
								<img class="aligncenter" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
		        		<?php endif; ?>
					</td>				
				<?php elseif ($StatisticLeagueGroup_Show_TeamName): ?>
					<td data-cell-for="team">
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'left'): ?>
							<img class="alignleft" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
						
						<?php if($StatisticLeagueGroup_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroup_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
							</a>
		        		<?php else: ?>
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
		        		<?php endif; ?>
						
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'right'): ?>
							<img class="alignright" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
		        	</td>
				<?php elseif ($StatisticLeagueGroup_Show_TeamAcronym): ?>
					<td data-cell-for="team">
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'left'): ?>
							<img class="alignleft" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
						
						<?php if($StatisticLeagueGroup_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroup_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>">
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?>
							</a>
		        		<?php else: ?>
							<abbr title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>"><?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?></abbr>
		        		<?php endif; ?>    
						
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'right'): ?>
							<img class="alignright" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
		        	</td>
				<?php endif; ?>
					
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="pa"><?php echo $data->GetValues()->GetPlateAppearances(); ?></td>
				<td data-cell-for="ab"><?php echo $data->GetValues()->GetAtBats(); ?></td>
				<td data-cell-for="r"><?php echo $data->GetValues()->GetRuns(); ?></td>
				<td data-cell-for="rbi"><?php echo $data->GetValues()->GetRunsBattedIn(); ?></td>
				<td data-cell-for="h"><?php echo $data->GetValues()->GetHits(); ?></td>
				<td data-cell-for="2b"><?php echo $data->GetValues()->GetDoubles(); ?></td>
				<td data-cell-for="3b"><?php echo $data->GetValues()->GetTriples(); ?></td>
				<td data-cell-for="hr"><?php echo $data->GetValues()->GetHomeruns(); ?></td>
				<td data-cell-for="k"><?php echo $data->GetValues()->GetStrikeouts(); ?></td>
				<td data-cell-for="bb"><?php echo $data->GetValues()->GetBaseOnBalls(); ?></td>
				<td data-cell-for="ibb"><?php echo $data->GetValues()->GetIntentionalBaseOnBalls(); ?></td>
				<td data-cell-for="hp"><?php echo $data->GetValues()->GetHitByPitches(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
				<td data-cell-for="sh"><?php echo $data->GetValues()->GetSacrificeHits(); ?></td>
				<td data-cell-for="sf"><?php echo $data->GetValues()->GetSacrificeFlys(); ?></td>
				<td data-cell-for="io"><?php echo $data->GetValues()->GetInterferences(); ?></td>
				<td data-cell-for="avg"><?php echo $data->GetValues()->GetBattingAverage(); ?></td>
				<td data-cell-for="obp"><?php echo $data->GetValues()->GetOnBasePercentage(); ?></td>
				<td data-cell-for="slg"><?php echo $data->GetValues()->GetSluggingPercentage(); ?></td>
				<td data-cell-for="ops"><?php echo $data->GetValues()->GetOnBasePlusSlugging(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php foreach($StatisticLeague->GetSummaries() as $data): ?>
			<tr data-row-for="summary">
				<?php if ($StatisticLeagueGroup_LogoMode === 'only'): ?>
					<td data-cell-for="team"></td>
				<?php elseif ($StatisticLeagueGroup_Show_TeamName): ?>
					<td data-cell-for="team"></td>
				<?php elseif ($StatisticLeagueGroup_Show_TeamAcronym): ?>
					<td data-cell-for="team"></td>
				<?php endif; ?>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="pa"><?php echo $data->GetValues()->GetPlateAppearances(); ?></td>
				<td data-cell-for="ab"><?php echo $data->GetValues()->GetAtBats(); ?></td>
				<td data-cell-for="r"><?php echo $data->GetValues()->GetRuns(); ?></td>
				<td data-cell-for="rbi"><?php echo $data->GetValues()->GetRunsBattedIn(); ?></td>
				<td data-cell-for="h"><?php echo $data->GetValues()->GetHits(); ?></td>
				<td data-cell-for="2b"><?php echo $data->GetValues()->GetDoubles(); ?></td>
				<td data-cell-for="3b"><?php echo $data->GetValues()->GetTriples(); ?></td>
				<td data-cell-for="hr"><?php echo $data->GetValues()->GetHomeruns(); ?></td>
				<td data-cell-for="k"><?php echo $data->GetValues()->GetStrikeouts(); ?></td>
				<td data-cell-for="bb"><?php echo $data->GetValues()->GetBaseOnBalls(); ?></td>
				<td data-cell-for="ibb"><?php echo $data->GetValues()->GetIntentionalBaseOnBalls(); ?></td>
				<td data-cell-for="hp"><?php echo $data->GetValues()->GetHitByPitches(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
				<td data-cell-for="sh"><?php echo $data->GetValues()->GetSacrificeHits(); ?></td>
				<td data-cell-for="sf"><?php echo $data->GetValues()->GetSacrificeFlys(); ?></td>
				<td data-cell-for="io"><?php echo $data->GetValues()->GetInterferences(); ?></td>
				<td data-cell-for="avg"><?php echo $data->GetValues()->GetBattingAverage(); ?></td>
				<td data-cell-for="obp"><?php echo $data->GetValues()->GetOnBasePercentage(); ?></td>
				<td data-cell-for="slg"><?php echo $data->GetValues()->GetSluggingPercentage(); ?></td>
				<td data-cell-for="ops"><?php echo $data->GetValues()->GetOnBasePlusSlugging(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tfoot>
	</table>
</div>