<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="statistics" data-object-category="defense">
	<table>
		<?php if($StatisticLeagueGroup_CaptionMode != ['none']): ?>
			<caption>
				<?php
					foreach ($StatisticLeagueGroup_CaptionMode as $captionEntry){
						switch ($captionEntry) {
							case "season":
								echo "<span caption-cell-for=\"season\"> " . $StatisticLeague->GetLeague()->GetSeason() . " </span>";
							break;
							
							case "league":
								echo "<span caption-cell-for=\"league\"> " . $StatisticLeague->GetLeague()->GetName() . " </span>";
							break;
							
							case "category":
								echo "<span caption-cell-for=\"category\"> " . Localization::STATISTIC_CAPTION_LEAGUEGROUP_FIELDING . " </span>";
							break;
							
							default:
								;
							break;
						}
					}
				?>
			</caption>
		<?php endif; ?>
			<thead>
			<tr>
				<?php if ($StatisticLeagueGroup_LogoMode === 'only'): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_TEAM; ?></th>
				<?php elseif ($StatisticLeagueGroup_Show_TeamName): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_TEAM; ?></th>
				<?php elseif ($StatisticLeagueGroup_Show_TeamAcronym): ?>
					<th data-cell-for="acronym"><?php echo Localization::STATISTIC_COLUMN_ACRONYM; ?></th>
				<?php endif; ?>
				<th data-cell-for="g" title="Games">G</th>
				<th data-cell-for="a" title="Assists">A</th>
				<th data-cell-for="po" title="Putouts">PO</th>
				<th data-cell-for="e" title="Errors">E</th>
				<th data-cell-for="fld" title="Fielding Average">FLD</th>
				<th data-cell-for="dp" title="Double Plays">DP</th>
				<th data-cell-for="tp" title="Triple Plays">TP</th>
				<th data-cell-for="pb" title="Passed Balls">PB</th>
				<th data-cell-for="sb" title="Stolen Bases">SB</th>
				<th data-cell-for="cs" title="Caught Stealings">CS</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($StatisticLeague->GetData() as $data): ?>
				<?php
					//Logo-Url
					$LogoUrl = null;
					$LogoHolder = null;
					//Nur ntig, wenn Logo verwendet wird
					if($StatisticLeagueGroup_LogoMode !== "none"){
						$TeamClubs = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetClubs();
						//Wenn nur ein Verein, nutze diesen
						$TeamClubsUsed = count($TeamClubs) === 1 ? $TeamClubs[0] : null;
						//Entweder vom Verein oder SG
						$LogoUrl = !empty($TeamClubsUsed)? $TeamClubsUsed->GetLogo() : Helper::UrlForImage("sg.png");
						//Entweder vom Verein oder SG
						$LogoHolder = !empty($TeamClubsUsed) ? $TeamClubsUsed->GetAcronym() : "SG";
					}			
					//Nur anzeigen, wenn beide Daten gegeben
					$ShowLogo = !empty($LogoUrl) && !empty($LogoHolder);
					
					//Prfung Highlight
					$StatisticLeagueGroup_Highlight_Row_Value = "";
					if(!empty($StatisticLeagueGroup_Highlight)){
						$teamName = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName();
						if(in_array($teamName, $StatisticLeagueGroup_Highlight_Array)){
							//Noch nichts gesetzt, daher einfach bernehmen
							$StatisticLeagueGroup_Highlight_Row_Value = $teamName;
						}				
						$teamAcronym = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym();
						if(in_array($teamAcronym, $StatisticLeagueGroup_Highlight_Array)){
							//Evtl. bereits wegen anderem Eintrag enthalten, daher anfgen
							$StatisticLeagueGroup_Highlight_Row_Value .= (empty($StatisticLeagueGroup_Highlight_Row_Value) ? "" : ",") . $teamAcronym;
						}				
					}
				?>
			<tr	data-row-for="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?>"<?php if(!empty($StatisticLeagueGroup_Highlight_Row_Value)):?> data-highlight="<?php echo $StatisticLeagueGroup_Highlight_Row_Value; ?>"<?php endif; ?>>
				
				<?php if ($StatisticLeagueGroup_LogoMode === 'only'): ?>
					<td data-cell-for="team">
						<?php if($StatisticLeagueGroup_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroup_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<img class="aligncenter" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
							</a>
		        		<?php else: ?>
								<img class="aligncenter" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
		        		<?php endif; ?>
					</td>				
				<?php elseif ($StatisticLeagueGroup_Show_TeamName): ?>
					<td data-cell-for="team">
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'left'): ?>
							<img class="alignleft" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
						
						<?php if($StatisticLeagueGroup_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroup_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
							</a>
		        		<?php else: ?>
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
		        		<?php endif; ?>
						
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'right'): ?>
							<img class="alignright" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
		        	</td>
				<?php elseif ($StatisticLeagueGroup_Show_TeamAcronym): ?>
					<td data-cell-for="team">
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'left'): ?>
							<img class="alignleft" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
						
						<?php if($StatisticLeagueGroup_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroup_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>">
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?>
							</a>
		        		<?php else: ?>
							<abbr title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>"><?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?></abbr>
		        		<?php endif; ?>    
						
						<?php if($ShowLogo && $StatisticLeagueGroup_LogoMode == 'right'): ?>
							<img class="alignright" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
		        	</td>
				<?php endif; ?>
								
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="a"><?php echo $data->GetValues()->GetAssists(); ?></td>
				<td data-cell-for="po"><?php echo $data->GetValues()->GetPutouts(); ?></td>
				<td data-cell-for="e"><?php echo $data->GetValues()->GetErrors(); ?></td>
				<td data-cell-for="fld"><?php echo $data->GetValues()->GetFieldingAverage(); ?></td>
				<td data-cell-for="dp"><?php echo $data->GetValues()->GetDoublePlays(); ?></td>
				<td data-cell-for="tp"><?php echo $data->GetValues()->GetTriplePlays(); ?></td>
				<td data-cell-for="pb"><?php echo $data->GetValues()->GetPassedBalls(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php foreach($StatisticLeague->GetSummaries() as $data): ?>
			<tr data-row-for="summary">
				<?php if ($StatisticLeagueGroup_LogoMode === 'only'): ?>
					<td data-cell-for="team"></td>
				<?php elseif ($StatisticLeagueGroup_Show_TeamName): ?>
					<td data-cell-for="team"></td>
				<?php elseif ($StatisticLeagueGroup_Show_TeamAcronym): ?>
					<td data-cell-for="team"></td>
				<?php endif; ?>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="a"><?php echo $data->GetValues()->GetAssists(); ?></td>
				<td data-cell-for="po"><?php echo $data->GetValues()->GetPutouts(); ?></td>
				<td data-cell-for="e"><?php echo $data->GetValues()->GetErrors(); ?></td>
				<td data-cell-for="fld"><?php echo $data->GetValues()->GetFieldingAverage(); ?></td>
				<td data-cell-for="dp"><?php echo $data->GetValues()->GetDoublePlays(); ?></td>
				<td data-cell-for="tp"><?php echo $data->GetValues()->GetTriplePlays(); ?></td>
				<td data-cell-for="pb"><?php echo $data->GetValues()->GetPassedBalls(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tfoot>
	</table>
</div>