<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

// Variablen initialisieren
// String/Int != 0 -> Check empty
if (empty ( $StatisticLeagueGroupLeaders_ID )) {
	throw new Exception ( "No league given" );
}

if (empty ( $StatisticLeagueGroupLeaders_Category )) {
	$StatisticLeagueGroupLeaders_Category = "offense";
} else if ($StatisticLeagueGroupLeaders_Category != "offense" && $StatisticLeagueGroupLeaders_Category != "defense" && $StatisticLeagueGroupLeaders_Category != "pitching") {
	throw new Exception ( "Category has only 3 valid values: 'offense' (default), 'defense' and 'pitching', but '" . $StatisticLeagueGroupLeaders_Category . "' was set" );
}

// String -> Check empty
if(empty($StatisticLeagueGroupLeaders_LeadersCategories)){
	$StatisticLeagueGroupLeaders_LeadersCategories = "";
}
$StatisticLeagueGroupLeaders_LeadersCategories = Helper::ConvertParameterListToArray($StatisticLeagueGroupLeaders_LeadersCategories);
$StatisticLeagueGroupLeaders_LeadersCategories = array_map( 'strtolower', $StatisticLeagueGroupLeaders_LeadersCategories );

// todo: add check

// String -> Check empty
if(empty($StatisticLeagueGroupLeaders_TeamStatisticUrl)){	
	$StatisticLeagueGroupLeaders_TeamStatisticUrl = null;
}

// String -> Check empty
if(empty($StatisticLeagueGroupLeaders_PersonStatisticUrl)){	
	$StatisticLeagueGroupLeaders_PersonStatisticUrl = null;
}

//String -> Check empty
if(empty($StatisticLeagueGroupLeaders_CaptionMode)){
	$StatisticLeagueGroupLeaders_CaptionMode = 'none';
}
$StatisticLeagueGroupLeaders_CaptionMode = Helper::ConvertParameterListToArray($StatisticLeagueGroupLeaders_CaptionMode);
$CaptionModeValidEntries = [ 'none', 'season', 'league', 'category' ];
if(!Helper::hasArrayOnlyValidEntries($StatisticLeagueGroupLeaders_CaptionMode, $CaptionModeValidEntries)){
	throw new Exception("captionmode has these valid values: '" . Helper::ToDelimitedList($CaptionModeValidEntries) . "', but '" . Helper::ToDelimitedList($StatisticLeagueGroupLeaders_CaptionMode) . "' was set");
}

//String -> Check empty
if(empty($StatisticLeagueGroupLeaders_LogoMode)){
	$StatisticLeagueGroupLeaders_LogoMode = "none";
}
else if ($StatisticLeagueGroupLeaders_LogoMode != "none" && $StatisticLeagueGroupLeaders_LogoMode != "left" && $StatisticLeagueGroupLeaders_LogoMode != "right" && $StatisticLeagueGroupLeaders_LogoMode != "only") {
	throw new Exception ( "LogoMode has only these valid values: 'none' (default), 'left', 'right', 'only', but '" . $StatisticLeagueGroupLeaders_LogoMode . "' was set" );
}

//Int != 0 -> Check empty
if(empty($StatisticLeagueGroupLeaders_HeaderLevel)){
	$StatisticLeagueGroupLeaders_HeaderLevel = 2;
}

//String/Int != 0 -> Check empty
if(empty($StatisticLeagueGroupLeaders_Highlight)){
	$StatisticLeagueGroupLeaders_Highlight = null;
}

// String -> Check empty
if (empty ( $StatisticLeagueGroupLeaders_Data )) {
	$StatisticLeagueGroupLeaders_Data = null;
}


// Initalisieren der Show Variablen
$StatisticLeagueGroupLeaders_Data_Array = Helper::ConvertParameterListToArray ( $StatisticLeagueGroupLeaders_Data );

$StatisticLeagueGroupLeaders_Show_TeamName = in_array ( "team", $StatisticLeagueGroupLeaders_Data_Array );
$StatisticLeagueGroupLeaders_Show_TeamAcronym = in_array ( "teamacronym", $StatisticLeagueGroupLeaders_Data_Array );

$StatisticLeagueGroupLeaders_Show_TeamStatistic_Link = !empty($StatisticLeagueGroupLeaders_TeamStatisticUrl);
if($StatisticLeagueGroupLeaders_Show_TeamStatistic_Link) {
	$url = $StatisticLeagueGroupLeaders_TeamStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);
	
	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}
	
	if($StatisticLeagueGroupLeaders_Category){
		$url .= "bsm_category=" . $StatisticLeagueGroupLeaders_Category;
	}
	
	$StatisticLeagueGroupLeaders_TeamStatisticUrl = $url;
}


$StatisticLeagueGroupLeaders_Show_PersonStatistic_Link = !empty($StatisticLeagueGroupLeaders_PersonStatisticUrl);
if($StatisticLeagueGroupLeaders_Show_PersonStatistic_Link) {
	$url = $StatisticLeagueGroupLeaders_PersonStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);
	
	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}
	
	if($StatisticLeagueGroupLeaders_Category){
		$url .= "bsm_category=" . $StatisticLeagueGroupLeaders_Category;
	}
	
	$StatisticLeagueGroupLeaders_PersonStatisticUrl = $url;
}


$StatisticLeagueGroupLeaders_Highlight_Array = Helper::ConvertParameterListToArray($StatisticLeagueGroupLeaders_Highlight);


// Configuration
$leadersConfigJson = '[
	{
		"category": "offense",
		"leadersCategory": "runs",
		"leadersCategoryKey": "r",
		"leadersCategoryLabel": "R",
		"leadersCategoryCaption": "Runs"
	},
	{
		"category": "offense",
		"leadersCategory": "runs_batted_in",
		"leadersCategoryKey": "rbi",
		"leadersCategoryLabel": "RBI",
		"leadersCategoryCaption": "Runs Batted In"
	},
	{
		"category": "offense",
		"leadersCategory": "hits",
		"leadersCategoryKey": "h",
		"leadersCategoryLabel": "H",
		"leadersCategoryCaption": "Hits"
	},
	{
		"category": "offense",
		"leadersCategory": "doubles",
		"leadersCategoryKey": "2b",
		"leadersCategoryLabel": "2B",
		"leadersCategoryCaption": "Doubles"
	},
	{
		"category": "offense",
		"leadersCategory": "triples",
		"leadersCategoryKey": "3b",
		"leadersCategoryLabel": "3B",
		"leadersCategoryCaption": "Triples"
	},
	{
		"category": "offense",
		"leadersCategory": "homeruns",
		"leadersCategoryKey": "hr",
		"leadersCategoryLabel": "HR",
		"leadersCategoryCaption": "Homeruns"
	},
	{
		"category": "offense",
		"leadersCategory": "strikeouts",
		"leadersCategoryKey": "k",
		"leadersCategoryLabel": "K",
		"leadersCategoryCaption": "Strikeouts"
	},
	{
		"category": "offense",
		"leadersCategory": "base_on_balls",
		"leadersCategoryKey": "bb",
		"leadersCategoryLabel": "BB",
		"leadersCategoryCaption": "Base On Balls"
	},
	{
		"category": "offense",
		"leadersCategory": "hit_by_pitches",
		"leadersCategoryKey": "hp",
		"leadersCategoryLabel": "HP",
		"leadersCategoryCaption": "Hit By Pitches"
	},
	{
		"category": "offense",
		"leadersCategory": "stolen_bases",
		"leadersCategoryKey": "sb",
		"leadersCategoryLabel": "SB",
		"leadersCategoryCaption": "Stolen Bases"
	},
	{
		"category": "offense",
		"leadersCategory": "caught_stealings",
		"leadersCategoryKey": "cs",
		"leadersCategoryLabel": "CS",
		"leadersCategoryCaption": "Caught Stealings"
	},
	{
		"category": "offense",
		"leadersCategory": "batting_average",
		"leadersCategoryKey": "avg",
		"leadersCategoryLabel": "AVG",
		"leadersCategoryCaption": "Batting Average",
		"additionalColumns": [
			{
				"key": "PlateAppearances", 
				"label": "PA"
			}, 
			{
				"key": "AtBats", 
				"label": "AB"
			}, 
			{
				"key": "Hits", 
				"label": "H"
			}
		]
	},
	{
		"category": "offense",
		"leadersCategory": "on_base_percentage",
		"leadersCategoryKey": "obp",
		"leadersCategoryLabel": "OBP",
		"leadersCategoryCaption": "On Base Percentage",
		"additionalColumns": [
			{
				"key": "PlateAppearances", 
				"label": "PA"
			}, 
			{
				"key": "Hits", 
				"label": "H"
			}, 
			{
				"key": "BaseOnBalls", 
				"label": "BB"
			}, 
			{
				"key": "HitByPitches", 
				"label": "HP"
			}
		]
	},
	{
		"category": "offense",
		"leadersCategory": "slugging_percentage",
		"leadersCategoryKey": "slg",
		"leadersCategoryLabel": "SLG",
		"leadersCategoryCaption": "Slugging Percentage",
		"additionalColumns": [
			{
				"key": "PlateAppearances", 
				"label": "PA"
			}, 
			{
				"key": "AtBats", 
				"label": "AB"
			}, 
			{
				"key": "Hits", 
				"label": "H"
			}, 
			{
				"key": "Doubles", 
				"label": "2B"
			}, 
			{
				"key": "Triples", 
				"label": "3B"
			}, 
			{
				"key": "Homeruns", 
				"label": "HR"
			}
		]
	},
	{
		"category": "offense",
		"leadersCategory": "on_base_plus_slugging",
		"leadersCategoryKey": "ops",
		"leadersCategoryLabel": "OPS",
		"leadersCategoryCaption": "On Base Plus Slugging",
		"additionalColumns": [
			{
				"key": "PlateAppearances", 
				"label": "PA"
			}, 
			{
				"key": "OnBasePercentage", 
				"label": "OBP"
			}, 
			{
				"key": "SluggingPercentage", 
				"label": "SLG"
			}
		]
	},
		
	{
		"category": "defense",
		"leadersCategory": "assists",
		"leadersCategoryKey": "a",
		"leadersCategoryLabel": "A",
		"leadersCategoryCaption": "Assists"
	},
	{
		"category": "defense",
		"leadersCategory": "putouts",
		"leadersCategoryKey": "po",
		"leadersCategoryLabel": "PO",
		"leadersCategoryCaption": "Putouts"
	},
	{
		"category": "defense",
		"leadersCategory": "errors",
		"leadersCategoryKey": "e",
		"leadersCategoryLabel": "E",
		"leadersCategoryCaption": "Errors"
	},
	{
		"category": "defense",
		"leadersCategory": "fielding_average",
		"leadersCategoryKey": "fld",
		"leadersCategoryLabel": "FLD",
		"leadersCategoryCaption": "Fielding Average",
		"additionalColumns": [
			{
				"key": "Assists", 
				"label": "A"
			}, 
			{
				"key": "Putouts", 
				"label": "PO"
			}, 
			{
				"key": "Errors", 
				"label": "E"
			}
		]
	},
	{
		"category": "defense",
		"leadersCategory": "double_plays",
		"leadersCategoryKey": "dp",
		"leadersCategoryLabel": "DP",
		"leadersCategoryCaption": "Double Plays"
	},
	{
		"category": "defense",
		"leadersCategory": "triple_plays",
		"leadersCategoryKey": "tp",
		"leadersCategoryLabel": "TP",
		"leadersCategoryCaption": "Triple Plays"
	},
	{
		"category": "defense",
		"leadersCategory": "passed_balls",
		"leadersCategoryKey": "pb",
		"leadersCategoryLabel": "PB",
		"leadersCategoryCaption": "Passed Balls"
	},
		
	{
		"category": "pitching",
		"leadersCategory": "games",
		"leadersCategoryKey": "g",
		"leadersCategoryLabel": "G",
		"leadersCategoryCaption": "Games"
	},
	{
		"category": "pitching",
		"leadersCategory": "complete_games",
		"leadersCategoryKey": "cg",
		"leadersCategoryLabel": "CG",
		"leadersCategoryCaption": "Complete Games"
	},
	{
		"category": "pitching",
		"leadersCategory": "innings_pitched",
		"leadersCategoryKey": "ip",
		"leadersCategoryLabel": "IP",
		"leadersCategoryCaption": "Innings Pitched"
	},
		{
		"category": "pitching",
		"leadersCategory": "batters_faced",
		"leadersCategoryKey": "bf",
		"leadersCategoryLabel": "BF",
		"leadersCategoryCaption": "Batters Faced"
	},
	{
		"category": "pitching",
		"leadersCategory": "runs",
		"leadersCategoryKey": "r",
		"leadersCategoryLabel": "R",
		"leadersCategoryCaption": "Runs"
	},
	{
		"category": "pitching",
		"leadersCategory": "earned_runs",
		"leadersCategoryKey": "er",
		"leadersCategoryLabel": "ER",
		"leadersCategoryCaption": "Earned Runs"
	},
	{
		"category": "pitching",
		"leadersCategory": "hits",
		"leadersCategoryKey": "h",
		"leadersCategoryLabel": "H",
		"leadersCategoryCaption": "Hits"
	},
	{
		"category": "pitching",
		"leadersCategory": "doubles",
		"leadersCategoryKey": "2b",
		"leadersCategoryLabel": "2B",
		"leadersCategoryCaption": "Doubles"
	},
	{
		"category": "pitching",
		"leadersCategory": "triples",
		"leadersCategoryKey": "3b",
		"leadersCategoryLabel": "3B",
		"leadersCategoryCaption": "Triples"
	},
	{
		"category": "pitching",
		"leadersCategory": "homeruns",
		"leadersCategoryKey": "hr",
		"leadersCategoryLabel": "HR",
		"leadersCategoryCaption": "Homeruns"
	},
	{
		"category": "pitching",
		"leadersCategory": "strikeouts",
		"leadersCategoryKey": "k",
		"leadersCategoryLabel": "K",
		"leadersCategoryCaption": "Strikeouts"
	},
	{
		"category": "pitching",
		"leadersCategory": "base_on_balls_allowed",
		"leadersCategoryKey": "bb",
		"leadersCategoryLabel": "BB",
		"leadersCategoryCaption": "Base On Balls Allowed"
	},
	{
		"category": "pitching",
		"leadersCategory": "hit_by_pitches",
		"leadersCategoryKey": "hp",
		"leadersCategoryLabel": "HP",
		"leadersCategoryCaption": "Hit By Pitches"
	},
	{
		"category": "pitching",
		"leadersCategory": "wild_pitches",
		"leadersCategoryKey": "wp",
		"leadersCategoryLabel": "WP",
		"leadersCategoryCaption": "Wild Pitches"
	},
	{
		"category": "pitching",
		"leadersCategory": "wins",
		"leadersCategoryKey": "w",
		"leadersCategoryLabel": "W",
		"leadersCategoryCaption": "Wins"
	},
	{
		"category": "pitching",
		"leadersCategory": "losses",
		"leadersCategoryKey": "l",
		"leadersCategoryLabel": "L",
		"leadersCategoryCaption": "Losses"
	},
	{
		"category": "pitching",
		"leadersCategory": "saves",
		"leadersCategoryKey": "s",
		"leadersCategoryLabel": "S",
		"leadersCategoryCaption": "Saves"
	},
	{
		"category": "pitching",
		"leadersCategory": "earned_runs_average",
		"leadersCategoryKey": "era",
		"leadersCategoryLabel": "ERA",
		"leadersCategoryCaption": "Earned Runs Average",
		"additionalColumns": [
			{
				"key": "InningsPitched", 
				"label": "IP"
			},
			{
				"key": "EarnedRuns", 
				"label": "ER"
			} 
		]
	},
	{
		"category": "pitching",
		"leadersCategory": "walks_and_hits_per_innings_pitched",
		"leadersCategoryKey": "whip",
		"leadersCategoryLabel": "WHIP",
		"leadersCategoryCaption": "Walks And Hits Per Innings Pitched",
		"additionalColumns": [
			{
				"key": "InningsPitched", 
				"label": "IP"
			}, 
			{
				"key": "BaseOnBallsAllowed", 
				"label": "BB"
			}, 
			{
				"key": "Hits", 
				"label": "H"
			}
		]
	}
]';

$leadersConfig = json_decode($leadersConfigJson);


// Prfen welche Leaders gewnscht sind
$leadersConfigEntries = $leadersConfig;
// 1. wenn category gesetzt => auf diese category filtern
if(!empty($StatisticLeagueGroupLeaders_Category)) {
	$leadersConfigEntries = array_filter($leadersConfigEntries, fn($c) => strtolower($c->category) == strtolower($StatisticLeagueGroupLeaders_Category));
}
// 2. wenn leaderCategories auch gesetzt => auf diese leaderCategories filtern
if(!empty($StatisticLeagueGroupLeaders_LeadersCategories)) {
// 	$leadersConfigEntries = array_filter($leadersConfigEntries, fn($c) => in_array(strtolower($c->leadersCategoryKey), $StatisticLeagueGroupLeaders_LeadersCategories));
	// die obige Zeile filtert einfach. Wir wollen gern die Reihenfolge wie sie in leadercategories angegeben wurde.
	$tempArray = [];
	foreach ($StatisticLeagueGroupLeaders_LeadersCategories as $leadersCat) {
		$arrayOneElem = array_filter($leadersConfigEntries, fn($c) => strtolower($c->leadersCategoryKey) === strtolower($leadersCat));
		$tempArray += $arrayOneElem;
	}
	$leadersConfigEntries = $tempArray;
}

// echo("leadersConfigEntries :");
// print_r($leadersConfigEntries);


// Daten holen ber die Liga fr den Container
$LeagueGroup = Api::GetLeagueGroup($StatisticLeagueGroupLeaders_ID);

?>
<div data-bsm="data-bsm" data-type="container"
	data-object-type="statistics-leaders">
	<section data-type="header">
		<h <?php echo $StatisticLeagueGroupLeaders_HeaderLevel; ?>>
			<?php
				foreach ($StatisticLeagueGroupLeaders_CaptionMode as $captionEntry){
					switch ($captionEntry) {
						case "season":
							echo "<span header-cell-for=\"season\"> " . $LeagueGroup->GetLeague()->GetSeason() . " </span>";
						break;
						
						case "league":
							echo "<span header-cell-for=\"league\"> " . $LeagueGroup->GetLeague()->GetName() . " </span>";
						break;
						
						case "category":
							echo "<span header-cell-for=\"category\"> ";
							switch ($StatisticLeagueGroupLeaders_Category) {
								case "offense" :
									echo Localization::STATISTIC_CAPTION_LEAGUEGROUP_LEADERS_BATTING;
									break;
								
								case "defense" :
									echo Localization::STATISTIC_CAPTION_LEAGUEGROUP_LEADERS_FIELDING;
									break;
								
								case "pitching" :
									echo Localization::STATISTIC_CAPTION_LEAGUEGROUP_LEADERS_PITCHING;
									break;
								
								default :
									;
									break;
							}
							echo " </span>";
						break;
						
						default:
							;
						break;
					}
				}
			?>
		</h<?php echo $StatisticLeagueGroupLeaders_HeaderLevel; ?>>
	</section>

	<section data-type="content">
		<?php 
		// Schleife ber alle brig gebliebenen ConfigEntries, die gezeigt werden sollen
		foreach ($leadersConfigEntries as $leadersConfigEntry) {
		
			// Statistic League Leaders erhalten
			$StatisticLeagueLeaders = Api::GetStatisticsLeagueLeaders( $StatisticLeagueGroupLeaders_ID, $leadersConfigEntry->category, $leadersConfigEntry->leadersCategory );
			
			// Berechnung "tied":
			// nimm den letzten Wert und zhle wie oft er vorkommt
			$StatisticLeagueGroupLeaders_TiedValue = null;
			$StatisticLeagueGroupLeaders_TiedCount = 0;
			$StatisticLeagueGroupLeaders_TiedRank = 0;
			$data = $StatisticLeagueLeaders->GetData();
			if(!$data){
				echo "<p>" . $leadersConfigEntry->leadersCategoryCaption . ": " . Localization::STATISTIC_LEAGUEGROUP_LEADERS_NOT_AVAILABLE . "</p>";
				continue;
			}
			
// 			if($data[0]->GetValue() == 0) {
// 				echo "<p>" . $leadersConfigEntry->leadersCategoryCaption . ": " . Localization::STATISTIC_LEAGUEGROUP_LEADERS_NOT_VALUES_YET . "</p>";
// 				continue;
// 			}
			
			$lastEntry = $data[array_key_last($data)];
			if($lastEntry){
				$StatisticLeagueGroupLeaders_TiedValue = $lastEntry->GetValue();
				$StatisticLeagueGroupLeaders_TiedRank = $lastEntry->GetRank();
				$StatisticLeagueGroupLeaders_TiedCount = count(array_filter($data, fn($c) => $c->GetValue() === $StatisticLeagueGroupLeaders_TiedValue));
// 				echo "<br/> Leader Cat: " . $leadersConfigEntry->leadersCategoryCaption;
// 				echo " TiedValue: " . $StatisticLeagueGroupLeaders_TiedValue;
// 				echo " TiedCount: " . $StatisticLeagueGroupLeaders_TiedCount;
				// KEINE Tied Angabe,
				// WENN nur einer den TiedCount hat, dann ist es kein Tied (ist dann einfach der Wert des letzten Eintrags)
				// ODER wenn der TiedValue gleich 0 ist (erstmal wieder entfernt, weil whrschnl nicht richtig)
				// ODER wenn es ingesamt nur max 10 Personen sind
				// ODER wenn die Anzahl der Personen gleich des TiedCount ist, gibt es auch kein Tied (erstmal wieder entfernt, weil whrschnl nicht richtig)
				if( $StatisticLeagueGroupLeaders_TiedCount === 1
						//|| $StatisticLeagueGroupLeaders_TiedValue === 0
						|| count($data) <= 10
// 						|| (count($data) === $StatisticLeagueGroupLeaders_TiedCount && $StatisticLeagueGroupLeaders_TiedValue === 0) 
				) {
					$StatisticLeagueGroupLeaders_TiedValue = null;
					$StatisticLeagueGroupLeaders_TiedCount = 0;
					$StatisticLeagueGroupLeaders_TiedRank = 0;
				}
			}
			include 'StatisticLeagueGroupLeaders_sub.php';
		}
		?>
	</section>
</div>
