<div data-bsm="data-bsm" data-type="table" data-object-type="statistics-leaders" data-object-category="<?php echo $leadersConfigEntry->leadersCategory ?>">
	<table>
		<caption>
			<?php echo $leadersConfigEntry->leadersCategoryCaption ?>
		</caption>
		<thead>
			<tr>
				<th data-cell-for="rank" title="Rank">#</th>
				<th data-cell-for="name" title="Name"><?php echo Localization::STATISTIC_COLUMN_PERSON?></th>
				<?php if ($StatisticLeagueGroupLeaders_LogoMode === 'only'): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_TEAM; ?></th>
				<?php elseif ($StatisticLeagueGroupLeaders_Show_TeamName): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_TEAM; ?></th>
				<?php elseif ($StatisticLeagueGroupLeaders_Show_TeamAcronym): ?>
					<th data-cell-for="team"><?php echo Localization::STATISTIC_COLUMN_ACRONYM; ?></th>
				<?php endif; ?>
				<th data-cell-for="<?php echo $leadersConfigEntry->leadersCategoryKey ?>" title="<?php echo $leadersConfigEntry->leadersCategoryCaption ?>">
					<?php echo $leadersConfigEntry->leadersCategoryLabel ?>
				</th>
				<?php if (!empty($leadersConfigEntry->additionalColumns)): ?>
				<?php foreach ($leadersConfigEntry->additionalColumns as $col): ?>
					<th data-cell-for="<?php echo strtolower($col->label) ?>">
						<?php echo $col->label; ?>
					</th>
				<?php endforeach; ?>
				<?php endif; ?>
			</tr>
		</thead>
		<tbody>
			<?php
				// Prfen ob wir einen Zhlwert haben oder einen Durchschnittswert 
				$isAverageStatistic = !empty($leadersConfigEntry->additionalColumns);
				
				$recentRank = 0; 
				foreach($StatisticLeagueLeaders->GetData() as $data): 
			?>
				<?php
					// Prfen ob wir bereits in den tied Werten sind und dann abbrechen
					if($StatisticLeagueGroupLeaders_TiedValue !== null
							&& $StatisticLeagueGroupLeaders_TiedValue === $data->GetValue()){
// 						echo "<tr><td>Wir sind im tied Bereich</td></tr>";
 						break;
					}
					
					//Logo-Url
					$LogoUrl = null;
					$LogoHolder = null;
					//Nur ntig, wenn Logo verwendet wird
					if($StatisticLeagueGroupLeaders_LogoMode !== "none"){
						$TeamClubs = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetClubs();
						//Wenn nur ein Verein, nutze diesen
						$TeamClubsUsed = count($TeamClubs) === 1 ? $TeamClubs[0] : null;
						//Entweder vom Verein oder SG
						$LogoUrl = !empty($TeamClubsUsed)? $TeamClubsUsed->GetLogo() : Helper::UrlForImage("sg.png");
						//Entweder vom Verein oder SG
						$LogoHolder = !empty($TeamClubsUsed) ? $TeamClubsUsed->GetAcronym() : "SG";
					}			
					//Nur anzeigen, wenn beide Daten gegeben
					$ShowLogo = !empty($LogoUrl) && !empty($LogoHolder);
					
					//Prfung Highlight
					$StatisticLeagueGroupLeaders_Highlight_Row_Value = "";
					if(!empty($StatisticLeagueGroupLeaders_Highlight)){
						$teamName = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName();
						if(in_array($teamName, $StatisticLeagueGroupLeaders_Highlight_Array)){
							//Noch nichts gesetzt, daher einfach bernehmen
							$StatisticLeagueGroupLeaders_Highlight_Row_Value = $teamName;
						}				
						$teamAcronym = $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym();
						if(in_array($teamAcronym, $StatisticLeagueGroupLeaders_Highlight_Array)){
							//Evtl. bereits wegen anderem Eintrag enthalten, daher anfgen
							$StatisticLeagueGroupLeaders_Highlight_Row_Value .= (empty($StatisticLeagueGroupLeaders_Highlight_Row_Value) ? "" : ",") . $teamAcronym;
						}				
					}
				?>
			<tr	data-row-for="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?>"<?php if(!empty($StatisticLeagueGroupLeaders_Highlight_Row_Value)):?> data-highlight="<?php echo $StatisticLeagueGroupLeaders_Highlight_Row_Value; ?>"<?php endif; ?>>
				<td data-cell-for="rank">
					<?php 
						$rank = $data->GetRank();
						echo $rank !== $recentRank ? $rank : "";
						$recentRank = $rank;
					?>
				</td>

				<td data-cell-for="name">
					<?php if($StatisticLeagueGroupLeaders_Show_PersonStatistic_Link): ?>
						<a href="<?php echo $StatisticLeagueGroupLeaders_PersonStatisticUrl . "&amp;bsm_person=" . $data->GetPerson()->GetID(); ?>">
							<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
						</a>
		       		<?php else: ?>
							<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
		       		<?php endif; ?>
				</td>
				
				<?php if ($StatisticLeagueGroupLeaders_LogoMode === 'only'): ?>
					<td data-cell-for="team">
						<?php if($StatisticLeagueGroupLeaders_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroupLeaders_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<img class="aligncenter" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
							</a>
		        		<?php else: ?>
								<img class="aligncenter" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
		        		<?php endif; ?>
					</td>
				<?php elseif ($StatisticLeagueGroupLeaders_Show_TeamName): ?>
					<td data-cell-for="team">
						<?php if($ShowLogo && $StatisticLeagueGroupLeaders_LogoMode == 'left'): ?>
							<img class="alignleft" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
						
						<?php if($StatisticLeagueGroupLeaders_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroupLeaders_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
							</a>
		        		<?php else: ?>
								<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
		        		<?php endif; ?>
						
						<?php if($ShowLogo && $StatisticLeagueGroupLeaders_LogoMode == 'right'): ?>
							<img class="alignright" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
					</td>
				<?php elseif ($StatisticLeagueGroupLeaders_Show_TeamAcronym): ?>
					<td data-cell-for="team">
						<?php if($ShowLogo && $StatisticLeagueGroupLeaders_LogoMode == 'left'): ?>
							<img class="alignleft" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
						
						<?php if($StatisticLeagueGroupLeaders_Show_TeamStatistic_Link): ?>
							<a href="<?php echo $StatisticLeagueGroupLeaders_TeamStatisticUrl . "&amp;bsm_league_team=" . $data->GetLeagueEntry()->GetID(); ?>">
								<abbr title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>"><?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?></abbr>
							</a>
		        		<?php else: ?>
								<abbr title="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>"><?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetAcronym(); ?></abbr>
		        		<?php endif; ?>
						
						<?php if($ShowLogo && $StatisticLeagueGroupLeaders_LogoMode == 'right'): ?>
							<img class="alignright" src="<?php echo $LogoUrl; ?>" alt="<?php echo $data->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>" data-logo-for="<?php echo $LogoHolder; ?>" />
						<?php endif; ?>
					</td>
				<?php endif; ?>
				
				<td data-cell-for="<?php echo $leadersConfigEntry->leadersCategoryKey ?>">
					<?php echo $data->GetValue(); ?>
				</td>
				<?php if (!empty($leadersConfigEntry->additionalColumns)): ?>
				<?php foreach ($leadersConfigEntry->additionalColumns as $col): ?>
					<td data-cell-for="<?php echo strtolower($col->label) ?>">
						<?php echo $data->GetPropertyByName($col->key); ?>
					</td>
				<?php endforeach; ?>
				<?php endif; ?>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php 
				// Wenn wir einen Tied haben...
				if($StatisticLeagueGroupLeaders_TiedValue !== null && $StatisticLeagueGroupLeaders_TiedValue !== 0): 
			?>
				<tr data-row-for="tied">
					<td data-cell-for="rank">
						<?php echo $StatisticLeagueGroupLeaders_TiedRank; ?>
					</td>
					<td data-cell-for="name">
						<?php echo $StatisticLeagueGroupLeaders_TiedCount; ?> tied
					</td>
					
					<?php if ($StatisticLeagueGroupLeaders_LogoMode === 'only'): ?>
						<td data-cell-for="team"></td>
					<?php elseif ($StatisticLeagueGroupLeaders_Show_TeamName): ?>
						<td data-cell-for="team"></td>
					<?php elseif ($StatisticLeagueGroupLeaders_Show_TeamAcronym): ?>
						<td data-cell-for="team"></td>
					<?php endif; ?>
					
					<td data-cell-for="<?php echo $leadersConfigEntry->leadersCategoryKey ?>">
						<?php echo $StatisticLeagueGroupLeaders_TiedValue; ?>
					</td>
				</tr>
			<?php
				// Wenn wir keine Daten haben fr diese Statistik... 
				// (Wenn Durchschnittswert => diese Statistik immer anzeigen (weil dort die Werte 0 sein knnen))
				// (Wenn Zhlwert und der erste ist schon 0 => Meldung zeigen, dass Statistik leer)
				elseif(!$isAverageStatistic && $StatisticLeagueLeaders->GetData()[0]->GetValue() === 0): 
			?>
				<tr data-row-for="nodata">
					<td data-cell-for="rank" colspan="4">
						<?php echo Localization::STATISTIC_LEAGUEGROUP_LEADERS_NOT_VALUES_YET; ?>
					</td>
				</tr>
			<?php endif; ?>
		</tfoot>
	</table>
	
	<div data-for="info"><?php echo $StatisticLeagueLeaders->GetInfo() ?></div>
</div>
