<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

// Variablen initialisieren
// String/Int != 0 -> Check empty
if (empty ( $StatisticLeagueGroupTeam_leagueTeamID )) {
	throw new Exception ( "No leagueTeam given" );
}

if (empty ( $StatisticLeagueGroupTeam_Category )) {
	$StatisticLeagueGroupTeam_Category = "offense";
} else if ($StatisticLeagueGroupTeam_Category != "offense" && $StatisticLeagueGroupTeam_Category != "defense" && $StatisticLeagueGroupTeam_Category != "pitching") {
	throw new Exception ( "Category has only 3 valid values: 'offense' (default), 'defense' and 'pitching', but '" . $StatisticLeagueGroupTeam_Category . "' was set" );
}

// String -> Check empty
if(empty($StatisticLeagueGroupTeam_PersonStatisticUrl)){	
	$StatisticLeagueGroupTeam_PersonStatisticUrl = null;
}

//Bool -> Check !isset
if(!isset($StatisticLeagueGroupTeam_Show_Caption)){
	$StatisticLeagueGroupTeam_Show_Caption = false;
}

// String -> Check empty
if (empty ( $StatisticLeagueGroupTeam_Data )) {
	$StatisticLeagueGroupTeam_Data = null;
}

// Initalisieren der Show Variablen
$StatisticLeagueGroupTeam_Data_Array = Helper::ConvertParameterListToArray ( $StatisticLeagueGroupTeam_Data );

//$StatisticLeagueGroupTeam_Show_Name = in_array ( "team", $StatisticLeagueGroupTeam_Data_Array );

//$StatisticLeagueGroupTeam_Max_HeaderLevel = $League_Show_Name && ($League_Show_Manager || $League_Show_Statistician || $League_Show_UmpireSelector || $League_Show_GameMode || $League_Show_GameRoundModeDescription || $League_Show_OtherInformation) ? 5 : 6;

//Int != 0 -> Check empty
/*
if(empty($StatisticLeagueGroupTeam_HeaderLevel)){
	$StatisticLeagueGroupTeam_HeaderLevel = 2;
}
else if(!is_numeric($StatisticLeagueGroupTeam_HeaderLevel) || $StatisticLeagueGroupTeam_HeaderLevel < 1 || $StatisticLeagueGroupTeam_HeaderLevel > $StatisticLeagueGroupTeam_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $StatisticLeagueGroupTeam_Max_HeaderLevel);
}
*/

$StatisticLeagueGroupTeam_Show_PersonStatistic_Link = !empty($StatisticLeagueGroupTeam_PersonStatisticUrl);
if($StatisticLeagueGroupTeam_Show_PersonStatistic_Link) {
	$url = $StatisticLeagueGroupTeam_PersonStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);

	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}

	if($StatisticLeagueGroupTeam_Category){
		$url .= "bsm_category=" . $StatisticLeagueGroupTeam_Category;
	}

	$StatisticLeagueGroupTeam_PersonStatisticUrl = $url;
}



// Statistic Liga erhalten
$StatisticLeagueTeam = null;
switch ($StatisticLeagueGroupTeam_Category) {
	case "offense" :
		$StatisticLeagueTeam = Api::GetStatisticsLeagueTeamForLeague( $StatisticLeagueGroupTeam_leagueTeamID, "offense" );
		if(!$StatisticLeagueTeam->GetData()) {
			echo Localization::STATISTIC_LEAGUEGROUP_TEAM_NOT_AVAILABLE;
		} else
			include 'StatisticLeagueGroupTeamBatting_sub.php';
		break;
	
	case "defense" :
		$StatisticLeagueTeam = Api::GetStatisticsLeagueTeamForLeague( $StatisticLeagueGroupTeam_leagueTeamID, "defense" );
		if(!$StatisticLeagueTeam->GetData()) {
			echo Localization::STATISTIC_LEAGUEGROUP_TEAM_NOT_AVAILABLE;
		} else
			include 'StatisticLeagueGroupTeamFielding_sub.php';
		break;
	
	case "pitching" :
		$StatisticLeagueTeam = Api::GetStatisticsLeagueTeamForLeague( $StatisticLeagueGroupTeam_leagueTeamID, "pitching" );
		if(!$StatisticLeagueTeam->GetData()) {
			echo Localization::STATISTIC_LEAGUEGROUP_TEAM_NOT_AVAILABLE;
		} else
			include 'StatisticLeagueGroupTeamPitching_sub.php';
		break;
	
	default :
		;
		break;
}

?>
