<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="statistics" data-object-category="offense">
	<table>
		<?php if($StatisticLeagueGroupTeam_Show_Caption): ?>
			<caption><?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetLeague()->GetName(); ?> (<?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetLeague()->GetSeason(); ?>): <?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?> - <?php echo Localization::STATISTIC_CAPTION_LEAGUEGROUP_TEAM_BATTING; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="name"><?php echo Localization::STATISTIC_COLUMN_PERSON; ?></th>
				<th data-cell-for="g" title="Games">G</th>
				<th data-cell-for="gs" title="Games Started">GS</th>
				<th data-cell-for="pa" title="Plate Appearances">PA</th>
				<th data-cell-for="ab" title="At Bats">AB</th>
				<th data-cell-for="r" title="Runs">R</th>
				<th data-cell-for="rbi" title="Runs Batted In">RBI</th>
				<th data-cell-for="h" title="Hits">H</th>
				<th data-cell-for="2b" title="Doubles">2B</th>
				<th data-cell-for="3b" title="Triples">3B</th>
				<th data-cell-for="hr" title="Homeruns">HR</th>
				<th data-cell-for="k" title="Strikeouts">K</th>
				<th data-cell-for="bb" title="Base On Balls">BB</th>
				<th data-cell-for="ibb" title="Intentional Base On Balls">IBB</th>
				<th data-cell-for="hp" title="Hit By Pitches">HP</th>
				<th data-cell-for="sb" title="Stolen Bases">SB</th>
				<th data-cell-for="cs" title="Caught Stealings">CS</th>
				<th data-cell-for="sh" title="Sacrifice Hits">SH</th>
				<th data-cell-for="sf" title="Sacrifice Flys">SF</th>
				<th data-cell-for="io" title="Interferences">IO</th>
				<th data-cell-for="avg" title="Batting Average">AVG</th>
				<th data-cell-for="obp" title="On Base Percentage">OBP</th>
				<th data-cell-for="slg" title="Slugging Percentage">SLG</th>
				<th data-cell-for="ops" title="On Base Plus Slugging">OPS</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($StatisticLeagueTeam->GetData() as $data): ?>
			<tr data-row-for="<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>">
				<td data-cell-for="name">
					<?php if($StatisticLeagueGroupTeam_Show_PersonStatistic_Link): ?>
						<a href="<?php echo $StatisticLeagueGroupTeam_PersonStatisticUrl . "&amp;bsm_person=" . $data->GetPerson()->GetID(); ?>">
							<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
						</a>
	        		<?php else: ?>
						<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
	        		<?php endif; ?>
				</td>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="pa"><?php echo $data->GetValues()->GetPlateAppearances(); ?></td>
				<td data-cell-for="ab"><?php echo $data->GetValues()->GetAtBats(); ?></td>
				<td data-cell-for="r"><?php echo $data->GetValues()->GetRuns(); ?></td>
				<td data-cell-for="rbi"><?php echo $data->GetValues()->GetRunsBattedIn(); ?></td>
				<td data-cell-for="h"><?php echo $data->GetValues()->GetHits(); ?></td>
				<td data-cell-for="2b"><?php echo $data->GetValues()->GetDoubles(); ?></td>
				<td data-cell-for="3b"><?php echo $data->GetValues()->GetTriples(); ?></td>
				<td data-cell-for="hr"><?php echo $data->GetValues()->GetHomeruns(); ?></td>
				<td data-cell-for="k"><?php echo $data->GetValues()->GetStrikeouts(); ?></td>
				<td data-cell-for="bb"><?php echo $data->GetValues()->GetBaseOnBalls(); ?></td>
				<td data-cell-for="ibb"><?php echo $data->GetValues()->GetIntentionalBaseOnBalls(); ?></td>
				<td data-cell-for="hp"><?php echo $data->GetValues()->GetHitByPitches(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
				<td data-cell-for="sh"><?php echo $data->GetValues()->GetSacrificeHits(); ?></td>
				<td data-cell-for="sf"><?php echo $data->GetValues()->GetSacrificeFlys(); ?></td>
				<td data-cell-for="io"><?php echo $data->GetValues()->GetInterferences(); ?></td>
				<td data-cell-for="avg"><?php echo $data->GetValues()->GetBattingAverage(); ?></td>
				<td data-cell-for="obp"><?php echo $data->GetValues()->GetOnBasePercentage(); ?></td>
				<td data-cell-for="slg"><?php echo $data->GetValues()->GetSluggingPercentage(); ?></td>
				<td data-cell-for="ops"><?php echo $data->GetValues()->GetOnBasePlusSlugging(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php foreach($StatisticLeagueTeam->GetSummaries() as $data): ?>
			<tr data-row-for="summary">
				<td data-cell-for="name"></td>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="pa"><?php echo $data->GetValues()->GetPlateAppearances(); ?></td>
				<td data-cell-for="ab"><?php echo $data->GetValues()->GetAtBats(); ?></td>
				<td data-cell-for="r"><?php echo $data->GetValues()->GetRuns(); ?></td>
				<td data-cell-for="rbi"><?php echo $data->GetValues()->GetRunsBattedIn(); ?></td>
				<td data-cell-for="h"><?php echo $data->GetValues()->GetHits(); ?></td>
				<td data-cell-for="2b"><?php echo $data->GetValues()->GetDoubles(); ?></td>
				<td data-cell-for="3b"><?php echo $data->GetValues()->GetTriples(); ?></td>
				<td data-cell-for="hr"><?php echo $data->GetValues()->GetHomeruns(); ?></td>
				<td data-cell-for="k"><?php echo $data->GetValues()->GetStrikeouts(); ?></td>
				<td data-cell-for="bb"><?php echo $data->GetValues()->GetBaseOnBalls(); ?></td>
				<td data-cell-for="ibb"><?php echo $data->GetValues()->GetIntentionalBaseOnBalls(); ?></td>
				<td data-cell-for="hp"><?php echo $data->GetValues()->GetHitByPitches(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
				<td data-cell-for="sh"><?php echo $data->GetValues()->GetSacrificeHits(); ?></td>
				<td data-cell-for="sf"><?php echo $data->GetValues()->GetSacrificeFlys(); ?></td>
				<td data-cell-for="io"><?php echo $data->GetValues()->GetInterferences(); ?></td>
				<td data-cell-for="avg"><?php echo $data->GetValues()->GetBattingAverage(); ?></td>
				<td data-cell-for="obp"><?php echo $data->GetValues()->GetOnBasePercentage(); ?></td>
				<td data-cell-for="slg"><?php echo $data->GetValues()->GetSluggingPercentage(); ?></td>
				<td data-cell-for="ops"><?php echo $data->GetValues()->GetOnBasePlusSlugging(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tfoot>
	</table>
</div>