<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="statistics" data-object-category="defense">
	<table>
		<?php if($StatisticLeagueGroupTeam_Show_Caption): ?>
			<caption><?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetLeague()->GetName(); ?> (<?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetLeague()->GetSeason(); ?>): <?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?> - <?php echo Localization::STATISTIC_CAPTION_LEAGUEGROUP_TEAM_FIELDING; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="name"><?php echo Localization::STATISTIC_COLUMN_PERSON; ?></th>
				<th data-cell-for="g" title="Games">G</th>
				<th data-cell-for="gs" title="Games Started">GS</th>
				<th data-cell-for="ip" title="Innings Played">IP</th>
				<th data-cell-for="a" title="Assists">A</th>
				<th data-cell-for="po" title="Putouts">PO</th>
				<th data-cell-for="e" title="Errors">E</th>
				<th data-cell-for="fld" title="Fielding Average">FLD</th>
				<th data-cell-for="dp" title="Double Plays">DP</th>
				<th data-cell-for="tp" title="Triple Plays">TP</th>
				<th data-cell-for="pb" title="Passed Balls">PB</th>
				<th data-cell-for="sb" title="Stolen Bases">SB</th>
				<th data-cell-for="cs" title="Caught Stealings">CS</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($StatisticLeagueTeam->GetData() as $data): ?>
			<tr data-row-for="<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>">
				<td data-cell-for="name">
					<?php if($StatisticLeagueGroupTeam_Show_PersonStatistic_Link): ?>
						<a href="<?php echo $StatisticLeagueGroupTeam_PersonStatisticUrl . "&amp;bsm_person=" . $data->GetPerson()->GetID(); ?>">
							<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
						</a>
	        		<?php else: ?>
						<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
	        		<?php endif; ?>
				</td>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="ip"><?php echo $data->GetValues()->GetInningsPlayed(); ?></td>
				<td data-cell-for="a"><?php echo $data->GetValues()->GetAssists(); ?></td>
				<td data-cell-for="po"><?php echo $data->GetValues()->GetPutouts(); ?></td>
				<td data-cell-for="e"><?php echo $data->GetValues()->GetErrors(); ?></td>
				<td data-cell-for="fld"><?php echo $data->GetValues()->GetFieldingAverage(); ?></td>
				<td data-cell-for="dp"><?php echo $data->GetValues()->GetDoublePlays(); ?></td>
				<td data-cell-for="tp"><?php echo $data->GetValues()->GetTriplePlays(); ?></td>
				<td data-cell-for="pb"><?php echo $data->GetValues()->GetPassedBalls(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php foreach($StatisticLeagueTeam->GetSummaries() as $data): ?>
			<tr data-row-for="summary">
				<td data-cell-for="name"></td>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="ip"><?php echo $data->GetValues()->GetInningsPlayed(); ?></td>
				<td data-cell-for="a"><?php echo $data->GetValues()->GetAssists(); ?></td>
				<td data-cell-for="po"><?php echo $data->GetValues()->GetPutouts(); ?></td>
				<td data-cell-for="e"><?php echo $data->GetValues()->GetErrors(); ?></td>
				<td data-cell-for="fld"><?php echo $data->GetValues()->GetFieldingAverage(); ?></td>
				<td data-cell-for="dp"><?php echo $data->GetValues()->GetDoublePlays(); ?></td>
				<td data-cell-for="tp"><?php echo $data->GetValues()->GetTriplePlays(); ?></td>
				<td data-cell-for="pb"><?php echo $data->GetValues()->GetPassedBalls(); ?></td>
				<td data-cell-for="sb"><?php echo $data->GetValues()->GetStolenBases(); ?></td>
				<td data-cell-for="cs"><?php echo $data->GetValues()->GetCaughtStealings(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tfoot>
	</table>
</div>