<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="statistics" data-object-category="pitching">
	<table>
		<?php if($StatisticLeagueGroupTeam_Show_Caption): ?>
			<caption><?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetLeague()->GetName(); ?> (<?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetLeague()->GetSeason(); ?>): <?php echo $StatisticLeagueTeam->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?> - <?php echo Localization::STATISTIC_CAPTION_LEAGUEGROUP_TEAM_PITCHING; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="name"><?php echo Localization::STATISTIC_COLUMN_PERSON; ?></th>
				<th data-cell-for="g" title="Games">G</th>
				<th data-cell-for="gs" title="Games Started">GS</th>
				<th data-cell-for="cg" title="Complete Games">CG</th>
				<th data-cell-for="ip" title="Innings Pitched">IP</th>
				<th data-cell-for="bf" title="Batters Faced">BF</th>
				<th data-cell-for="ab" title="At Bats">AB</th>
				<th data-cell-for="r" title="Runs">R</th>
				<th data-cell-for="er" title="Earned Runs">ER</th>
				<th data-cell-for="h" title="Hits">H</th>
				<th data-cell-for="2b" title="Doubles">2B</th>
				<th data-cell-for="3b" title="Triples">3B</th>
				<th data-cell-for="hr" title="Homeruns">HR</th>
				<th data-cell-for="k" title="Strikeouts">K</th>
				<th data-cell-for="bb" title="Base On Balls Allowed">BB</th>
				<th data-cell-for="ibb" title="Intentional Base On Balls">IBB</th>
				<th data-cell-for="hp" title="Hit By Pitches">HP</th>
				<th data-cell-for="wp" title="Wild Pitches">WP</th>
				<th data-cell-for="io" title="Interferences">IO</th>
				<th data-cell-for="bk" title="Balks">BK</th>
				<th data-cell-for="w" title="Wins">W</th>
				<th data-cell-for="l" title="Losses">L</th>
				<th data-cell-for="s" title="Saves">S</th>
				<th data-cell-for="era" title="Earned Runs Average">ERA</th>
				<th data-cell-for="whip" title="Walks And Hits Per Innings Pitched">WHIP</th>
			</tr>
		</thead>
		<tbody>
			<?php foreach($StatisticLeagueTeam->GetData() as $data): ?>
			<tr data-row-for="<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>">
				<td data-cell-for="name">
					<?php if($StatisticLeagueGroupTeam_Show_PersonStatistic_Link): ?>
						<a href="<?php echo $StatisticLeagueGroupTeam_PersonStatisticUrl . "&amp;bsm_person=" . $data->GetPerson()->GetID(); ?>">
							<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
						</a>
	        		<?php else: ?>
						<?php echo Helper::GetPersonDisplayName($data->GetPerson(), true); ?>
	        		<?php endif; ?>
				</td>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="cg"><?php echo $data->GetValues()->GetCompleteGames(); ?></td>
				<td data-cell-for="ip"><?php echo $data->GetValues()->GetInningsPitched(); ?></td>
				<td data-cell-for="bf"><?php echo $data->GetValues()->GetBattersFaced(); ?></td>
				<td data-cell-for="ab"><?php echo $data->GetValues()->GetAtBats(); ?></td>
				<td data-cell-for="r"><?php echo $data->GetValues()->GetRuns(); ?></td>
				<td data-cell-for="er"><?php echo $data->GetValues()->GetEarnedRuns(); ?></td>
				<td data-cell-for="h"><?php echo $data->GetValues()->GetHits(); ?></td>
				<td data-cell-for="2b"><?php echo $data->GetValues()->GetDoubles(); ?></td>
				<td data-cell-for="3b"><?php echo $data->GetValues()->GetTriples(); ?></td>
				<td data-cell-for="hr"><?php echo $data->GetValues()->GetHomeruns(); ?></td>
				<td data-cell-for="k"><?php echo $data->GetValues()->GetStrikeouts(); ?></td>
				<td data-cell-for="bb"><?php echo $data->GetValues()->GetBaseOnBallsAllowed(); ?></td>
				<td data-cell-for="ibb"><?php echo $data->GetValues()->GetIntentionalBaseOnBalls(); ?></td>
				<td data-cell-for="hp"><?php echo $data->GetValues()->GetHitByPitches(); ?></td>
				<td data-cell-for="wp"><?php echo $data->GetValues()->GetWildPitches(); ?></td>
				<td data-cell-for="io"><?php echo $data->GetValues()->GetInterferences(); ?></td>
				<td data-cell-for="bk"><?php echo $data->GetValues()->GetBalks(); ?></td>
				<td data-cell-for="w"><?php echo $data->GetValues()->GetWins(); ?></td>
				<td data-cell-for="l"><?php echo $data->GetValues()->GetLosses(); ?></td>
				<td data-cell-for="s"><?php echo $data->GetValues()->GetSaves(); ?></td>
				<td data-cell-for="era"><?php echo $data->GetValues()->GetEarnedRunsAverage(); ?></td>
				<td data-cell-for="whip"><?php echo $data->GetValues()->GetWalksAndHitsPerInningsPitched(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		<tfoot>
			<?php foreach($StatisticLeagueTeam->GetSummaries() as $data): ?>
			<tr data-row-for="summary">
				<td data-cell-for="name"></td>
				<td data-cell-for="g"><?php echo $data->GetValues()->GetGames(); ?></td>
				<td data-cell-for="gs"><?php echo $data->GetValues()->GetGamesStarted(); ?></td>
				<td data-cell-for="cg"><?php echo $data->GetValues()->GetCompleteGames(); ?></td>
				<td data-cell-for="ip"><?php echo $data->GetValues()->GetInningsPitched(); ?></td>
				<td data-cell-for="bf"><?php echo $data->GetValues()->GetBattersFaced(); ?></td>
				<td data-cell-for="ab"><?php echo $data->GetValues()->GetAtBats(); ?></td>
				<td data-cell-for="r"><?php echo $data->GetValues()->GetRuns(); ?></td>
				<td data-cell-for="er"><?php echo $data->GetValues()->GetEarnedRuns(); ?></td>
				<td data-cell-for="h"><?php echo $data->GetValues()->GetHits(); ?></td>
				<td data-cell-for="2b"><?php echo $data->GetValues()->GetDoubles(); ?></td>
				<td data-cell-for="3b"><?php echo $data->GetValues()->GetTriples(); ?></td>
				<td data-cell-for="hr"><?php echo $data->GetValues()->GetHomeruns(); ?></td>
				<td data-cell-for="k"><?php echo $data->GetValues()->GetStrikeouts(); ?></td>
				<td data-cell-for="bb"><?php echo $data->GetValues()->GetBaseOnBallsAllowed(); ?></td>
				<td data-cell-for="ibb"><?php echo $data->GetValues()->GetIntentionalBaseOnBalls(); ?></td>
				<td data-cell-for="hp"><?php echo $data->GetValues()->GetHitByPitches(); ?></td>
				<td data-cell-for="wp"><?php echo $data->GetValues()->GetWildPitches(); ?></td>
				<td data-cell-for="io"><?php echo $data->GetValues()->GetInterferences(); ?></td>
				<td data-cell-for="bk"><?php echo $data->GetValues()->GetBalks(); ?></td>
				<td data-cell-for="w"><?php echo $data->GetValues()->GetWins(); ?></td>
				<td data-cell-for="l"><?php echo $data->GetValues()->GetLosses(); ?></td>
				<td data-cell-for="s"><?php echo $data->GetValues()->GetSaves(); ?></td>
				<td data-cell-for="era"><?php echo $data->GetValues()->GetEarnedRunsAverage(); ?></td>
				<td data-cell-for="whip"><?php echo $data->GetValues()->GetWalksAndHitsPerInningsPitched(); ?></td>
			</tr>
			<?php endforeach; ?>
		</tfoot>
	</table>
</div>