<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

// Variablen initialisieren
// String/Int != 0 -> Check empty
if (empty ( $StatisticPerson_ID )) {
	throw new Exception ( "No person given" );
}

if (empty ( $StatisticPerson_Category )) {
	$StatisticPerson_Category = "offense";
} else if ($StatisticPerson_Category != "offense" && $StatisticPerson_Category != "defense" && $StatisticPerson_Category != "pitching") {
	throw new Exception ( "Category has only 3 valid values: 'offense' (default), 'defense' and 'pitching', but '" . $StatisticPerson_Category . "' was set" );
}

// String -> Check empty
if(empty($StatisticPerson_ClubStatisticUrl)){	
	$StatisticPerson_ClubStatisticUrl = null;
}

// String -> Check empty
if(empty($StatisticPerson_LeagueStatisticUrl)){	
	$StatisticPerson_LeagueStatisticUrl = null;
}

//Bool -> Check !isset
if(!isset($StatisticPerson_Show_Caption)){
	$StatisticPerson_Show_Caption = false;
}

// String -> Check empty
if (empty ( $StatisticPerson_Data )) {
	$StatisticPerson_Data = null;
}


// Initalisieren der Show Variablen
$StatisticPerson_Data_Array = Helper::ConvertParameterListToArray ( $StatisticPerson_Data );

$StatisticPerson_Show_Sports = in_array("sports", $StatisticPerson_Data_Array);
$StatisticPerson_Show_SportsShort = in_array("sportsshort", $StatisticPerson_Data_Array);
$StatisticPerson_Show_Season = in_array("season", $StatisticPerson_Data_Array);
$StatisticPerson_Show_Club = in_array("club", $StatisticPerson_Data_Array);
$StatisticPerson_Show_ClubShort = in_array("clubshort", $StatisticPerson_Data_Array);
$StatisticPerson_Show_League = in_array("league", $StatisticPerson_Data_Array);
$StatisticPerson_Show_LeagueShort = in_array("leagueshort", $StatisticPerson_Data_Array);


$StatisticPerson_Show_ClubStatistic_Link = !empty($StatisticPerson_ClubStatisticUrl);
if($StatisticPerson_Show_ClubStatistic_Link) {
	$url = $StatisticPerson_ClubStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);
	
	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}
	
	if($StatisticPerson_Category){
		$url .= "bsm_category=" . $StatisticPerson_Category;
	}
	
	$StatisticPerson_ClubStatisticUrl = $url;
}

$StatisticPerson_Show_LeagueStatistic_Link = !empty($StatisticPerson_LeagueStatisticUrl);
if($StatisticPerson_Show_LeagueStatistic_Link) {
	$url = $StatisticPerson_LeagueStatisticUrl;
	$query = parse_url($url, PHP_URL_QUERY);
	
	if($query){
		$url .= "&amp;";
	}else{
		$url .= "?";
	}
	
	if($StatisticPerson_Category){
		$url .= "bsm_category=" . $StatisticPerson_Category;
	}
	
	$StatisticPerson_LeagueStatisticUrl = $url;
}

// $StatisticPerson_Show_Name = in_array ( "team", $StatisticPerson_Data_Array );
// $StatisticPerson_Show_Acronym = in_array ( "teamacronym", $StatisticPerson_Data_Array );

//$StatisticPerson_Max_HeaderLevel = $League_Show_Name && ($League_Show_Manager || $League_Show_Statistician || $League_Show_UmpireSelector || $League_Show_GameMode || $League_Show_GameRoundModeDescription || $League_Show_OtherInformation) ? 5 : 6;

//Int != 0 -> Check empty
/*
if(empty($StatisticPerson_HeaderLevel)){
	$StatisticPerson_HeaderLevel = 2;
}
else if(!is_numeric($StatisticPerson_HeaderLevel) || $StatisticPerson_HeaderLevel < 1 || $StatisticPerson_HeaderLevel > $StatisticPerson_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $StatisticPerson_Max_HeaderLevel);
}
*/


$Person = Api::GetPerson($StatisticPerson_ID);

// Statistic Club erhalten
$StatisticPerson = null;

switch ($StatisticPerson_Category) {
	case "offense" :
		$StatisticPerson = Api::GetStatisticsPerson( $StatisticPerson_ID, "offense" );
		if(!$StatisticPerson->GetData()) {
			echo Localization::STATISTIC_PERSON_NOT_AVAILABLE;
		} else
			include 'StatisticPersonBatting_sub.php';
		break;
	
	case "defense" :
		$StatisticPerson = Api::GetStatisticsPerson( $StatisticPerson_ID, "defense" );
		if(!$StatisticPerson->GetData()) {
			echo Localization::STATISTIC_PERSON_NOT_AVAILABLE;
		} else
			include 'StatisticPersonFielding_sub.php';
		break;
	
	case "pitching" :
		$StatisticPerson = Api::GetStatisticsPerson( $StatisticPerson_ID, "pitching" );
		if(!$StatisticPerson->GetData()) {
			echo Localization::STATISTIC_PERSON_NOT_AVAILABLE;
		} else
			include 'StatisticPersonPitching_sub.php';
		break;
	
	default :
		;
		break;
}

?>
