<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($TeamList_Club)){
	$TeamList_Club = null;
}
//String/Int != 0 -> Check empty
if(empty($TeamList_League)){
	$TeamList_League = null;
}
//String -> Check empty
if(empty($TeamList_Data)){
	$TeamList_Data = null;
}

//Initalisieren der Show-Data Variablen
$TeamList_Data_Array = Helper::ConvertParameterListToArray($TeamList_Data);

$TeamList_Show_Team = in_array("team", $TeamList_Data_Array);
$TeamList_Show_NotCompeting = in_array("notcompeting", $TeamList_Data_Array);
$TeamList_Show_Contacts = in_array("contacts", $TeamList_Data_Array);
$TeamList_Show_Phone = in_array("phone", $TeamList_Data_Array);
$TeamList_Show_Mobile = in_array("mobile", $TeamList_Data_Array);
$TeamList_Show_EMail = in_array("email", $TeamList_Data_Array);

//Bei Liga beliebig hoch, bei Verein je nachdem, ob die Unterebenen angezeigt werden
$TeamList_Max_HeaderLevel = empty($TeamList_League) && ($TeamList_Show_Team || $TeamList_Show_Contacts) ? 5 : 6;

//Int != 0 -> Check empty
if(empty($TeamList_HeaderLevel)){
	$TeamList_HeaderLevel = 2;
}
else if(!is_numeric($TeamList_HeaderLevel) || $TeamList_HeaderLevel < 1 || $TeamList_HeaderLevel > $TeamList_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $TeamList_Max_HeaderLevel);
}
?>
<div data-bsm="data-bsm" data-type="list" data-object-type="team">
	<?php if(!empty($TeamList_League)): ?>	
	<?php $TeamList_LeagueEntries = Api::GetLeagueEntriesForLeague($TeamList_League); ?>
	<?php if(!empty($TeamList_LeagueEntries)): ?>
	<ul>
	<?php foreach ($TeamList_LeagueEntries as $leagueEntry): ?>
		<li><?php echo $leagueEntry->GetTeam()->GetName(); if($TeamList_Show_NotCompeting && $leagueEntry->GetIsNotCompeting() == true) { echo "&nbsp;" . Localization::TEAMLIST_NOTCOMPETING; } ?></li>
	<?php endforeach; ?>
	</ul>
	<?php endif; ?>
	<?php else: ?>
	<?php 
	$TeamList_Teams = !empty($TeamList_Club) ? Api::GetTeamsForClub($TeamList_Club) : Api::GetTeamsForOrganization();	
	?>
	<?php foreach($TeamList_Teams as $team): ?>
	<?php
		$TeamList_LeagueEntries = $team->GetLeagueEntries();		
		$TeamList_LeagueEntry = $TeamList_LeagueEntries[0];		
	?>
	<article>		
		<h<?php echo $TeamList_HeaderLevel; ?>><?php echo $TeamList_LeagueEntry->GetLeague()->GetName(); ?></h<?php echo $TeamList_HeaderLevel; ?>>
		<?php if($TeamList_Show_Team): ?>
		<section data-type="name">
		    <h<?php echo $TeamList_HeaderLevel + 1; ?>><?php echo Localization::TEAMLIST_HEADLINE_NAME; ?></h<?php echo $TeamList_HeaderLevel + 1; ?>>
		    <p>
		    	<?php echo $team->GetName(); if($TeamList_Show_NotCompeting && $TeamList_LeagueEntry->GetIsNotCompeting() == true) { echo "&nbsp;" . Localization::TEAMLIST_NOTCOMPETING; } ?>
		    </p>
	    </section>
	    <?php endif; ?>
		<?php $TeamList_Contacts = $TeamList_LeagueEntry->GetContacts(); ?>
		<?php if($TeamList_Show_Contacts && !empty($TeamList_Contacts)): ?>
		<section data-type="contacts">
			<h<?php echo $TeamList_HeaderLevel + 1; ?>><?php echo Localization::TEAMLIST_HEADLINE_CONTACTPEOPLE; ?></h<?php echo $TeamList_HeaderLevel + 1; ?>>
			<?php foreach($TeamList_Contacts as $contactPerson): ?>	
			<?php		
				$TeamList_ContactInfo = $contactPerson->GetContactInfo();					
				
				// Telefon
				$TeamList_Phone = ($TeamList_Show_Phone && !empty($TeamList_ContactInfo) ? $TeamList_ContactInfo->GetPhone() : null);	
				
				// Mobil
				$TeamList_Mobile = ($TeamList_Show_Mobile && !empty($TeamList_ContactInfo) ? $TeamList_ContactInfo->GetMobile() : null);	
				
				// EMail
				$TeamList_EMail = ($TeamList_Show_EMail && !empty($TeamList_ContactInfo) ? Helper::GetUsedEMail($TeamList_ContactInfo) : null);			
			?>
	   		<p>		   			
	   			<?php echo Helper::GetPersonDisplayName($contactPerson); ?>
	   			<br />		    
			    <?php if(!empty($TeamList_Phone)): ?>
			    <?php echo Localization::TEAMLIST_LABEL_PHONE . " "; ?><a href="<?php echo Helper::ToTelLink($TeamList_Phone); ?>"><?php echo Helper::ToHtmlNumbers($TeamList_Phone); ?></a>
			    <br />
			    <?php endif; ?>
			    <?php if(!empty($TeamList_Mobile)): ?>
			    <?php echo Localization::TEAMLIST_LABEL_MOBILE . " "; ?><a href="<?php echo Helper::ToTelLink($TeamList_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($TeamList_Mobile); ?></a>
			    <br />
			    <?php endif; ?>						    
			    <?php if(!empty($TeamList_EMail)): ?>
				<a href="<?php echo Helper::ToMailToLink($TeamList_EMail); ?>"><?php echo Helper::ToHtmlNumbers($TeamList_EMail); ?></a>
				<br />
				<?php endif; ?>
			</p>
			<?php endforeach; ?>
		</section>
		<?php endif; ?>
	</article>		
	<?php endforeach; ?>
	<?php endif; ?>
</div>