<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($TeamTable_Club)){
	$TeamTable_Club = null;
}
//String -> Check empty
if(empty($TeamTable_Data)){
	$TeamTable_Data = null;
}
//Bool -> Check !isset
if(!isset($TeamTable_Use_EMailIcon)){
	$TeamTable_Use_EMailIcon = false;
}
//Bool -> Check !isset
if(!isset($TeamTable_Show_Caption)){
	$TeamTable_Show_Caption = false;
}

//Initalisieren der Show-Data Variablen
$TeamTable_Data_Array = Helper::ConvertParameterListToArray($TeamTable_Data);

$TeamTable_Show_TeamName = in_array("team", $TeamTable_Data_Array);
$TeamTable_Show_TeamShortName = in_array("acronym", $TeamTable_Data_Array);
$TeamTable_Show_NotCompeting = in_array("notcompeting", $TeamTable_Data_Array);
$TeamTable_Show_Contacts = in_array("contacts", $TeamTable_Data_Array);
$TeamTable_Show_Phone = in_array("phone", $TeamTable_Data_Array);
$TeamTable_Show_Mobile = in_array("mobile", $TeamTable_Data_Array);
$TeamTable_Show_EMail = in_array("email", $TeamTable_Data_Array);

$TeamTable_Teams = !empty($TeamTable_Club) ? Api::GetTeamsForClub($TeamTable_Club) : Api::GetTeamsForOrganization();
?>
<div data-bsm="data-bsm" data-type="table" data-object-type="team">	
	<?php if(empty($TeamTable_Teams)): ?>
	<?php echo Localization::TEAMTABLE_NOENTRIES; ?>	
	<?php else: ?>
	<table>
		<?php if($TeamTable_Show_Caption): ?>
		<caption><?php echo Localization::TEAMTABLE_CAPTION; ?></caption>
		<?php endif; ?>
		<thead>
			<tr>
				<th data-cell-for="league"><?php echo Localization::TEAMTABLE_COLUMN_LEAGUE; ?></th>
				<?php if ($TeamTable_Show_TeamName): ?><th data-cell-for="team"><?php echo Localization::TEAMTABLE_COLUMN_TEAMNAME; ?></th><?php endif; ?>
				<?php if ($TeamTable_Show_TeamShortName): ?><th data-cell-for="acronym"><?php echo Localization::TEAMTABLE_COLUMN_TEAMSHORTNAME; ?></th><?php endif; ?>
				<?php if ($TeamTable_Show_Contacts): ?>
				<th data-cell-for="contact"><?php echo Localization::TEAMTABLE_COLUMN_CONTACT; ?></th>
				<?php if ($TeamTable_Show_Phone): ?><th data-cell-for="phone"><?php echo Localization::TEAMTABLE_COLUMN_PHONE; ?></th><?php endif; ?>
				<?php if ($TeamTable_Show_Mobile): ?><th data-cell-for="mobile"><?php echo Localization::TEAMTABLE_COLUMN_MOBILE; ?></th><?php endif; ?>
				<?php if ($TeamTable_Show_EMail): ?><th data-cell-for="email"><?php echo Localization::TEAMTABLE_COLUMN_EMAIL; ?></th><?php endif; ?>
				<?php endif; ?>			
			</tr>
		</thead>
		<tbody>
			<?php foreach($TeamTable_Teams as $team): ?>
			<?php
				$TeamTable_LeagueEntries = $team->GetLeagueEntries();			
				$TeamTable_LeagueEntry = $TeamTable_LeagueEntries[0];			
			
				$TeamTable_RowSpan = 1;
				$TeamTable_Contacts = array();
				
				// Nur ntig, wenn mehrere gegeben
				if($TeamTable_Show_Contacts){			
					
					// Erhalte Kontakte
					$TeamTable_Contacts = $TeamTable_LeagueEntry->GetContacts();
					
					// Rowspan
					$TeamTable_RowSpan = count($TeamTable_Contacts);	
					
					if ($TeamTable_RowSpan < 1){
						//Min. 1
						$TeamTable_RowSpan = 1;
						//Pseudo-Eintrag
						array_push($TeamTable_Contacts, null);
					}
				}
			?>
			<?php for($TeamTable_Index = 0; $TeamTable_Index < $TeamTable_RowSpan; $TeamTable_Index++): ?>
			<tr data-row-for="<?php echo $team->GetName(); ?>">
				<?php if ($TeamTable_Index === 0): ?>
				<td data-cell-for="league"<?php if ($TeamTable_RowSpan > 1): ?> rowspan="<?php echo $TeamTable_RowSpan; ?>"<?php endif; ?>><?php echo $TeamTable_LeagueEntry->GetLeague()->GetName();?></td>
				<?php if ($TeamTable_Show_TeamName): ?><td data-cell-for="team"<?php if ($TeamTable_RowSpan > 1): ?> rowspan="<?php echo $TeamTable_RowSpan; ?>"<?php endif; ?>><?php echo $team->GetName(); if($TeamTable_Show_NotCompeting && $TeamTable_LeagueEntry->GetIsNotCompeting() == true) { echo "&nbsp;" . Localization::TEAMTABLE_NOTCOMPETING; } ?></td><?php endif; ?>
				<?php if ($TeamTable_Show_TeamShortName): ?><td data-cell-for="acronym"<?php if ($TeamTable_RowSpan > 1): ?> rowspan="<?php echo $TeamTable_RowSpan; ?>"<?php endif; ?>><abbr title="<?php echo $team->GetName(); ?>"><?php echo $team->GetAcronym(); ?></abbr><?php if($TeamTable_Show_NotCompeting && $TeamTable_LeagueEntry->GetIsNotCompeting() == true) { echo "&nbsp;" . Localization::TEAMTABLE_NOTCOMPETING; } ?></td><?php endif; ?>
				<?php endif; ?>
				<?php if ($TeamTable_Show_Contacts): ?>
				<?php
					// Aktueller Eintrag			
					$TeamTable_ContactPerson = $TeamTable_Contacts[$TeamTable_Index];
					// Info
					$TeamTable_ContactInfo = empty($TeamTable_ContactPerson) ? null : $TeamTable_ContactPerson->GetContactInfo();
					// Tel
					$TeamTable_Phone = empty($TeamTable_ContactInfo) ? null : $TeamTable_ContactInfo->GetPhone();
					// Mobil
					$TeamTable_Mobile = empty($TeamTable_ContactInfo) ? null : $TeamTable_ContactInfo->GetMobile();
					// EMail
					$TeamTable_EMail = empty($TeamTable_ContactInfo) ? null : Helper::GetUsedEMail($TeamTable_ContactInfo);
				?>			
				<td data-cell-for="contact"><?php echo Helper::PlaceholderIfEmpty(!empty($TeamTable_ContactPerson) ? Helper::GetPersonDisplayName($TeamTable_ContactPerson) : null); ?></td>
				<?php if ($TeamTable_Show_Phone): ?><td data-cell-for="phone"><?php if (empty($TeamTable_Phone)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($TeamTable_Phone); ?>"><?php echo Helper::ToHtmlNumbers($TeamTable_Phone); ?></a><?php endif;?></td><?php endif; ?>
				<?php if ($TeamTable_Show_Mobile): ?><td data-cell-for="mobile"><?php if (empty($TeamTable_Mobile)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToTelLink($TeamTable_Mobile); ?>"><?php echo Helper::ToHtmlNumbers($TeamTable_Mobile); ?></a><?php endif;?></td><?php endif; ?>			
				<?php if ($TeamTable_Show_EMail): ?><td data-cell-for="email"><?php if (empty($TeamTable_EMail)): ?><?php echo Localization::GLOBAL_PLACEHOLDER; ?><?php else: ?><a href="<?php echo Helper::ToMailToLink($TeamTable_EMail); ?>"<?php if($TeamTable_Use_EMailIcon): ?> title="<?php echo Helper::ToHtmlNumbers($TeamTable_EMail); ?>"<?php endif; ?>><?php if($TeamTable_Use_EMailIcon): ?><img src="<?php echo Helper::UrlForImage("mail.png")?>" alt="<?php echo Helper::ToHtmlNumbers($TeamTable_EMail); ?>" data-icon-for="email" /><?php else: ?><?php echo Helper::ToHtmlNumbers($TeamTable_EMail); ?><?php endif; ?></a><?php endif;?></td><?php endif; ?>
				<?php endif; ?>					
			</tr>
			<?php endfor; ?>
			<?php endforeach; ?>
		</tbody>
	</table>
	<?php endif; ?>
</div>