<?php

//GENERATED FILE: DO NOT CHANGE

//Include common features
include_once (dirname(__File__) . "/../Localization.php");

//Include dependencies
include_once ("Person.php");
include_once ("Club.php");
include_once ("Organization.php");
include_once ("AssignmentYears.php");

class License{
    
    private $ID;
    
    private $Number;
    
    private $ValidUntil;
    
    private $MainCategory;
    
    private $LocalizedMainCategory;
    
    private $OnlyBaseball;
    
    private $OnlySoftball;
    
    private $Level;
    
    private $Person;
    
    private $Club;
    
    private $Organization;
    
    private $AssignmentYears;
    
    public function __construct($json) {
    
        if (isset($json->id))
        {
            $this->ID = $json->id;
        }
        if (isset($json->number))
        {
            $this->Number = $json->number;
        }
        if (isset($json->valid_until))
        {
            $this->ValidUntil = $json->valid_until;
        }
        if (isset($json->category))
        {
            $this->MainCategory = $json->category;
        }
        if (isset($json->human_category))
        {
            $this->LocalizedMainCategory = $json->human_category;
        }
        if (isset($json->baseball))
        {
            $this->OnlyBaseball = $json->baseball;
        }
        if (isset($json->softball))
        {
            $this->OnlySoftball = $json->softball;
        }
        if (isset($json->level))
        {
            $this->Level = $json->level;
        }
        if (!empty($json->person))
        {
            $this->Person = new Person($json->person);
        }
        if (!empty($json->club))
        {
            $this->Club = new Club($json->club);
        }
        if (!empty($json->organization))
        {
            $this->Organization = new Organization($json->organization);
        }
        if (!empty($json->assignment_years) && is_array($json->assignment_years))
        {
            $this->AssignmentYears = array();
            foreach ($json->assignment_years as $jsonElement)
            {
                array_push($this->AssignmentYears, new AssignmentYears($jsonElement));
            }
        }
    }
    
    public function GetID(){
        return $this->ID;
    }
    
    public function GetNumber(){
        return $this->Number;
    }
    
    public function GetValidUntil(){
        return $this->ValidUntil;
    }
    
    public function GetMainCategory(){
        return $this->MainCategory;
    }
    
    public function GetLocalizedMainCategory(){
        return $this->LocalizedMainCategory;
    }
    
    public function GetOnlyBaseball(){
        return $this->OnlyBaseball;
    }
    
    public function GetOnlySoftball(){
        return $this->OnlySoftball;
    }
    
    public function GetLevel(){
        return $this->Level;
    }
    
    //getter to access a property by name
    public function GetPropertyByName($name){
        return $this->$name;
    }
    
    public function GetClubAcronymOrDefault(){
        return $this->GetClub() === null ? Localization::DTO_LICENSE_DEFAULTCLUB_ACRONYM : $this->GetClub()->GetAcronym();
    }
    
    public function GetClubShortNameOrDefault(){
        return $this->GetClub() === null ? Localization::DTO_LICENSE_DEFAULTCLUB_SHORTNAME : $this->GetClub()->GetShortName();
    }
    
    public function GetCategory(){
        return $this->GetLocalizedMainCategory() . ($this->GetMainCategory() === "Umpire" && ($this->GetOnlyBaseball() || $this->GetOnlySoftball()) ? " " . ($this->GetOnlyBaseball() ? Localization::DTO_LICENSE_BASEBALL : Localization::DTO_LICENSE_SOFTBALL) : "");
    }
    
    public function GetPerson(){
        
        return $this->Person;
    }
    
    public function GetClub(){
        
        return $this->Club;
    }
    
    public function GetOrganization(){
        
        return $this->Organization;
    }
    
    public function GetAssignmentYears(){
        
        return $this->AssignmentYears;
    }
}

?>
