<?php

//GENERATED FILE: DO NOT CHANGE

//Include common features
include_once (dirname(__File__) . "/../Localization.php");

//Include dependencies
include_once ("LeagueEntry.php");
include_once ("Field.php");
include_once ("Context.php");
include_once ("LeagueGroup.php");
include_once ("UmpireAssignment.php");
include_once ("ScorerAssignment.php");

class Matchup{
    
    private $ID;
    
    private $MatchID;
    
    private $Time;
    
    private $HomeRuns;
    
    private $AwayRuns;
    
    private $State;
    
    private $LocalizedState;
    
    private $ScoreSheetUrl;
    
    private $ScoreSheetFileName;
    
    private $PlannedInnings;
    
    private $LivestreamUrl;
    
    private $StatisticsPublished;
    
    private $Name;
    
    private $Season;
    
    private $HomeLeagueEntry;
    
    private $AwayLeagueEntry;
    
    private $Field;
    
    private $UmpireSelection;
    
    private $ScorerSelection;
    
    private $League;
    
    private $ExtraRatingLeague;
    
    private $ExtraRatingLeague2;
    
    private $SecondLeague;
    
    private $UmpireAssignments;
    
    private $ScorerAssignments;
    
    public function __construct($json) {
    
        if (isset($json->id))
        {
            $this->ID = $json->id;
        }
        if (isset($json->match_id))
        {
            $this->MatchID = $json->match_id;
        }
        if (isset($json->time))
        {
            $this->Time = $json->time;
        }
        if (isset($json->home_runs))
        {
            $this->HomeRuns = $json->home_runs;
        }
        if (isset($json->away_runs))
        {
            $this->AwayRuns = $json->away_runs;
        }
        if (isset($json->state))
        {
            $this->State = $json->state;
        }
        if (isset($json->human_state))
        {
            $this->LocalizedState = $json->human_state;
        }
        if (isset($json->scoresheet_url))
        {
            $this->ScoreSheetUrl = $json->scoresheet_url;
        }
        if (isset($json->scoresheet_file_name))
        {
            $this->ScoreSheetFileName = $json->scoresheet_file_name;
        }
        if (isset($json->planned_innings))
        {
            $this->PlannedInnings = $json->planned_innings;
        }
        if (isset($json->livestream_url))
        {
            $this->LivestreamUrl = $json->livestream_url;
        }
        if (isset($json->statistics_published))
        {
            $this->StatisticsPublished = $json->statistics_published;
        }
        if (isset($json->name))
        {
            $this->Name = $json->name;
        }
        if (isset($json->season))
        {
            $this->Season = $json->season;
        }
        if (!empty($json->home_league_entry))
        {
            $this->HomeLeagueEntry = new LeagueEntry($json->home_league_entry);
        }
        if (!empty($json->away_league_entry))
        {
            $this->AwayLeagueEntry = new LeagueEntry($json->away_league_entry);
        }
        if (!empty($json->field))
        {
            $this->Field = new Field($json->field);
        }
        if (!empty($json->umpire_selection))
        {
            $this->UmpireSelection = new Context($json->umpire_selection);
        }
        if (!empty($json->scorer_selection))
        {
            $this->ScorerSelection = new Context($json->scorer_selection);
        }
        if (!empty($json->league))
        {
            $this->League = new LeagueGroup($json->league);
        }
        if (!empty($json->extra_rating_league))
        {
            $this->ExtraRatingLeague = new LeagueGroup($json->extra_rating_league);
        }
        if (!empty($json->extra_rating_league2))
        {
            $this->ExtraRatingLeague2 = new LeagueGroup($json->extra_rating_league2);
        }
        if (!empty($json->second_league))
        {
            $this->SecondLeague = new LeagueGroup($json->second_league);
        }
        if (!empty($json->umpire_assignments) && is_array($json->umpire_assignments))
        {
            $this->UmpireAssignments = array();
            foreach ($json->umpire_assignments as $jsonElement)
            {
                array_push($this->UmpireAssignments, new UmpireAssignment($jsonElement));
            }
        }
        if (!empty($json->scorer_assignments) && is_array($json->scorer_assignments))
        {
            $this->ScorerAssignments = array();
            foreach ($json->scorer_assignments as $jsonElement)
            {
                array_push($this->ScorerAssignments, new ScorerAssignment($jsonElement));
            }
        }
    }
    
    public function GetID(){
        return $this->ID;
    }
    
    public function GetMatchID(){
        return $this->MatchID;
    }
    
    public function GetTime(){
        return $this->Time;
    }
    
    public function GetHomeRuns(){
        return $this->HomeRuns;
    }
    
    public function GetAwayRuns(){
        return $this->AwayRuns;
    }
    
    public function GetState(){
        return $this->State;
    }
    
    public function GetLocalizedState(){
        return $this->LocalizedState;
    }
    
    public function GetScoreSheetUrl(){
        return $this->ScoreSheetUrl;
    }
    
    public function GetScoreSheetFileName(){
        return $this->ScoreSheetFileName;
    }
    
    public function GetPlannedInnings(){
        return $this->PlannedInnings;
    }
    
    public function GetLivestreamUrl(){
        return $this->LivestreamUrl;
    }
    
    public function GetStatisticsPublished(){
        return $this->StatisticsPublished;
    }
    
    public function GetName(){
        return $this->Name;
    }
    
    public function GetSeason(){
        return $this->Season;
    }
    
    //getter to access a property by name
    public function GetPropertyByName($name){
        return $this->$name;
    }
    
    public function GetResult(){
        return $this->GetHomeRuns() === null || $this->GetAwayRuns() === null ? null : $this->GetHomeRuns() . ":" . $this->GetAwayRuns();
    }
    
    public function GetHomeLeagueEntry(){
        
        return $this->HomeLeagueEntry;
    }
    
    public function GetAwayLeagueEntry(){
        
        return $this->AwayLeagueEntry;
    }
    
    public function GetField(){
        
        return $this->Field;
    }
    
    public function GetUmpireSelection(){
        
        return $this->UmpireSelection;
    }
    
    public function GetScorerSelection(){
        
        return $this->ScorerSelection;
    }
    
    public function GetLeague(){
        
        return $this->League;
    }
    
    public function GetExtraRatingLeague(){
        
        return $this->ExtraRatingLeague;
    }
    
    public function GetExtraRatingLeague2(){
        
        return $this->ExtraRatingLeague2;
    }
    
    public function GetSecondLeague(){
        
        return $this->SecondLeague;
    }
    
    public function GetUmpireAssignments(){
        
        return $this->UmpireAssignments;
    }
    
    public function GetScorerAssignments(){
        
        return $this->ScorerAssignments;
    }
}

?>
