<?php
include_once (dirname(__File__) . "/../data/Api.php");
include_once (dirname(__File__) . "/../data/Helper.php");
include_once (dirname(__File__) . "/../data/Localization.php");

$bsmLeague = $_GET['bsm_league'];
$bsmClub = $_GET['bsm_club'];
$bsmClubFilterSettings = $_GET['bsm_club_filtersettings']; 
$bsmSeason = $_GET['bsm_season'];
$bsmExcludeLeagues = $_GET['bsm_exclude_leagues'];
$bsmOnlyLeagues = $_GET['bsm_only_leagues'];

$MatchCalendar_Data = $_GET['bsm_data'];

//Initalisieren der Show Variablen
$MatchCalendar_Data_Array = Helper::ConvertParameterListToArray($MatchCalendar_Data);

$MatchCalendar_Show_League = in_array("league", $MatchCalendar_Data_Array);


$matches = null;
if(!empty($bsmClub)){
	//Wenn Verein gegeben, anhand des Vereins die Daten laden - kleinste erwartete Datenmenge
	$matches = Api::GetMatchesForClub($bsmClub, "any", $bsmSeason, false);
}
else{
	//Wenn kein Verein gegeben, aber Liga, anhand der Liga die Daten laden - mittlere erwartete Datenmenge - Ansonsten alle - grte erwartete Datenmenge!
	$matches = empty($bsmLeague) ? Api::GetMatches("any", $bsmSeason, false) : Api::GetMatchesForLeague($bsmLeague, "any", $bsmSeason, false);
}

//Filter etc. anwenden - keine richtige Gruppierung ntig
$matches = Helper::GroupMatches("AllMatches", $matches, $bsmLeague, $bsmClub, $bsmClubFilterSettings, null, $bsmExcludeLeagues, $bsmOnlyLeagues, null, null); // RF 2019-02-05: additional league immer null?
//Nimm erstes Array
$matches = empty($matches) ? array() : $matches["AllMatches"];

//Params
$leagueObj = null;
//$name = Localization::MATCHCALENDAR_NAME . "\n";
$name = "\n";
if(!empty($bsmLeague) && !empty($matches)){
	$leagueObj = $matches[0]->GetLeague();
	$season = $matches[0]->GetSeason();
	if(!empty($leagueObj)){
		$name = $leagueObj->GetName() . " " . Localization::GLOBAL_PLACEHOLDER . " " . $season . $name;
	}	
}

$fileName = "calendar";
if(!empty($leagueObj)){
	$fileName = $leagueObj->GetAcronym();
}
if(!empty($season)){
	$fileName .= " " . $season;
}

header('Content-type: text/calendar; charset=utf-8');
header('Content-Disposition: inline; filename=' . $fileName . '.ics');
?>
BEGIN:VCALENDAR
VERSION:2.0
PRODID:BSM-MatchCalendar
NAME:<?php echo $name; ?>
X-WR-CALNAME:<?php echo $name; ?>
<?php foreach ($matches as $match): ?>
<?php
//Start
$startObject = strtotime($match->GetTime());
//Ende
$endObject = strtotime('+2 hours', $startObject); 

//Spielfeld
$field = $match->GetField();
$fieldName = !empty($field) ? $field->GetName() : null;
// Adresse
$address = !empty($field) ? Helper::GetFullAddress($field) : null;
// Zusammen
$fieldValue = null;
// Setze Name, wenn vorhanden
if(!empty($fieldName)){
	$fieldValue = $fieldName;
}
if(!empty($address)){
	$fieldValue = !empty($fieldValue)
	// Wenn Name bereits enthalten, hinzufgen
	? $fieldValue . " " . Localization::GLOBAL_PLACEHOLDER . " " . $address
	// Ansonsten nur Adresse
	: $address;
}
//Params
$matchDate = Helper::GetDateByString($match->GetTime(), false, true, true);
$matchTime = Helper::GetTimeByString($match->GetTime());
$matchYear = Helper::GetDateByString($match->GetTime(), true);
$uid = $matchYear . "-" . $match->GetMatchID() . "@bsm.baseball-softball.de\n";
$dtstamp = gmdate("Ymd") . "T" . gmdate("His") . "Z\n";
$dtstart = gmdate("Ymd", $startObject) . "T" . gmdate("His", $startObject) . "Z\n";
$dtend = gmdate("Ymd", $endObject) . "T" . gmdate("His", $endObject) . "Z\n";
$location = $fieldValue . "\n";
$matchName = $match->GetName();
$matchTeamsShort = $match->GetHomeLeagueEntry()->GetTeam()->GetAcronym() . " " . Localization::GLOBAL_PLACEHOLDER . " " . $match->GetAwayLeagueEntry()->GetTeam()->GetAcronym();
$matchTeams = $match->GetHomeLeagueEntry()->GetTeam()->GetName() . " " . Localization::GLOBAL_PLACEHOLDER . " " . $match->GetAwayLeagueEntry()->GetTeam()->GetName();

$summary = $matchTeamsShort;
if($MatchCalendar_Show_League && !empty($leagueObj)){
	$summary .= " " . "(" . $leagueObj->GetAcronym() . ")";
}
$summary .= "\n";

$description = $matchDate . " " . $matchTime;
if(!empty($matchName)){
	$description .= "\\n" . $matchName;
}
$description .= "\\n" . $matchTeams;
if($MatchCalendar_Show_League && !empty($leagueObj)){
	$description .= " " . "(" . $leagueObj->GetName() . ")";
}
if(!empty($match->GetPlannedInnings())){
	$description .= "\\n" . Localization::MATCH_LABEL_INNINGS . ": " . $match->GetPlannedInnings();
}
if(!empty($match->GetLivestreamUrl())){
	$description .= "\\n" . Localization::MATCH_LABEL_LIVESTREAMURL . ": ";
?>
	<a href="<?php echo $match->GetLivestreamUrl(); ?>" target="_blank" title="<?php echo Localization::MATCHTABLE_COLUMN_LIVESTREAMURL; ?>"><?php echo $match->GetLivestreamUrl(); ?></a>
<?php 
}

$description .= "\n";
?>
BEGIN:VEVENT
UID:<?php echo $uid; ?>
DTSTAMP:<?php echo $dtstamp; ?>
DTSTART:<?php echo $dtstart; ?>
DTEND:<?php echo $dtend; ?>
LOCATION:<?php echo $location; ?>
SUMMARY:<?php echo $summary; ?>
DESCRIPTION:<?php echo $description; ?>
END:VEVENT
<?php endforeach; ?>
END:VCALENDAR