<?php

//Include Localization
include_once ("bsm/data/Localization.php");
//Include Helper
include_once ("bsm/data/Helper.php");

//Include Automatic Update
include_once ("lib/plugin-update-checker/plugin-update-checker.php");

function bsm_include($file, $args, $shortcodeName){
		
	ob_start();
	
	try{		
		extract($args);
		include($file);
	}
	catch(Exception $e){
		
		ob_clean();
		
		echo "<p>";
		echo Localization::GLOBAL_ERROR_IN_SHORTCODE;
		
		$options = bsm_get_option("debug");
		if($options === true){
			echo "<br />ShortCode: " . $shortcodeName;
			echo "<br />Error: " . $e->getMessage();
		}
		echo "</p>";
	}
	return ob_get_clean();
}

//Helper
function bsm_current_url(){
	$protocol = isset($_SERVER["HTTPS"]) ? "https" : "http";
	return $protocol . "://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
}

//Scripts
function bsm_enqueue_scripts() {
	wp_enqueue_script('json2');
	wp_enqueue_script('jquery');

	wp_enqueue_style('datatables-css', '//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css');
	wp_enqueue_script('datatables-js', '//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js', array('jquery'));
}
add_action('wp_enqueue_scripts', 'bsm_enqueue_scripts');

//Automatic Update
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
		$bsm_plugin_update_path,
		$bsm_plugin_path
);

//Documentation
function bsm_meta_links($links, $file) {

	global $bsm_plugin_path;
	//Link
	if ($file == plugin_basename($bsm_plugin_path)) {

		return array_merge(
				$links,
				array('<a href="../wp-content/plugins/bsm-wordpress-plugin/doc/bsm-Schnittstellendokumentation.pdf">' . __( 'Documentation', 'BSM' ) . '</a>')
		);
	}
	return $links;
}

add_filter('plugin_row_meta', 'bsm_meta_links', 10, 2);

//Resources
function bsm_show_resource(){
	
	$resource = $_GET["bsm_resource"];
	
	//Only if supported - Atm only one
	if($resource === "MatchCalendar"){
	
		echo bsm_include('bsm/drg/' . $resource . '.php', [], 'bsm_show_resource');
	}
	else{
		echo "The requested resource does not exist in BSM";
	}

	wp_die();
}

add_action('wp_ajax_bsm_show_resource', 'bsm_show_resource');
add_action('wp_ajax_nopriv_bsm_show_resource', 'bsm_show_resource');
?>